package org.gaugebook;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.BevelBorder;
import javax.swing.border.EtchedBorder;
import javax.swing.border.TitledBorder;

/**
 * FKeyBar
 * 
 * Gaugebook user interface funtion key bar. 
 *  
 * @author Michael Nagler
 */
public class FKeyBar extends JPanel {

	private FSXVariable varCom1Xmit;
	private FSXVariable varCom2Xmit;
	private FSXVariable varNav1Xmit;
	private FSXVariable varNav2Xmit;
	private FSXVariable varAdf1Xmit;
	private FSXVariable varComBoth;
	private FSXVariable varMarkerSound;
	private FSXVariable varDMESound;
	private FSXVariable varADFSound;

	private FSXVariable varAPactive;
	private FSXVariable varHDGhold;
	private FSXVariable varNAVhold;
	private FSXVariable varAPRhold;
	private FSXVariable varREVhold;
	private FSXVariable varALThold;
	private FSXVariable varSPDhold;
	private FSXVariable varVShold;
	private FSXVariable varGPSdrivesNAV;

	//private FSXVariable varMaster;
	//private FSXVariable varFuelPump;
	private FSXVariable varAvionicsMaster;
	private FSXVariable varCabinL;
	private FSXVariable varPanelL;
	private FSXVariable varBeaconL;
	private FSXVariable varLandingL;
	private FSXVariable varTaxiL;
	private FSXVariable varNavL;
	private FSXVariable varStrobeL;
	private FSXVariable varPitotHeat;
	private FSXVariable varSmoke;
	private FSXVariable varSmokeAvailable;
	
	private LED[] leds  = { new LED("F1"), new LED("F2"), new LED("F3"), new LED("F4"), new LED("F5"), new LED("F6"), 
					        new LED("F7"), new LED("F8"), new LED("F9"), new LED("F10"), new LED("F11"), new LED("F12") };
	/*
	private FKey[][] fkeypages = {
			{	// page 0
				new FKey(KeyEvent.VK_F1, "COM1", "COM1STBY", true ),
				new FKey(KeyEvent.VK_F2, "COM2", "COM2STBY", true ),
				new FKey(KeyEvent.VK_F3, "BOTH", "COMBOTH" , true ),
				new FKey(KeyEvent.VK_F4, "NAV1", "NAV1STBY", true ),
				new FKey(KeyEvent.VK_F5, "NAV2", "NAV2STBY", true ),
				new FKey(KeyEvent.VK_F6, "MKR" , "MKRTGL"  , true ),
				new FKey(KeyEvent.VK_F7, "DME" , "DMETGL"  , true ),
				new FKey(KeyEvent.VK_F8, "ADF" , "ADF1FREQ", true ),
				new FKey(KeyEvent.VK_F9, "XPDR", "XPDRCODE", true ),
				new FKey(KeyEvent.VK_F10, "PREV", "PREV"    , true ),
				new FKey(KeyEvent.VK_F11, "NEXT", "NEXT"    , true )
			},
			{	// page 1
				new FKey(KeyEvent.VK_F1, "AP"  , "COM1STBY", true ),
				new FKey(KeyEvent.VK_F2, "HDG" , "COM2STBY", true ),
				new FKey(KeyEvent.VK_F3, "NAV" , "COMBOTH" , true ),
				new FKey(KeyEvent.VK_F4, "APR" , "NAV1STBY", true ),
				new FKey(KeyEvent.VK_F5, "REV" , "NAV2STBY", true ),
				new FKey(KeyEvent.VK_F6, "ALT" , "MKRTGL"  , true ),
				new FKey(KeyEvent.VK_F7, "CRS" , "DMETGL"  , true ),
				new FKey(KeyEvent.VK_F8, "SPD" , "ADF1FREQ", true ),
				new FKey(KeyEvent.VK_F9, "VS"  , "XPDRCODE", true ),
				new FKey(KeyEvent.VK_F9, "PREV", "PREV"    , true ),
				new FKey(KeyEvent.VK_F9, "NEXT", "NEXT"    , true )
			},
			{	// page 2
				new FKey(KeyEvent.VK_F1, "COM1", "COM1STBY", true ),
				new FKey(KeyEvent.VK_F2, "COM2", "COM2STBY", true ),
				new FKey(KeyEvent.VK_F3, "BOTH", "COMBOTH" , true ),
				new FKey(KeyEvent.VK_F4, "NAV1", "NAV1STBY", true ),
				new FKey(KeyEvent.VK_F5, "NAV2", "NAV2STBY", true ),
				new FKey(KeyEvent.VK_F6, "MKR" , "MKRTGL"  , true ),
				new FKey(KeyEvent.VK_F7, "DME" , "DMETGL"  , true ),
				new FKey(KeyEvent.VK_F8, "ADF" , "ADF1FREQ", true ),
				new FKey(KeyEvent.VK_F9, "XPDR", "XPDRCODE", true ),
				new FKey(KeyEvent.VK_F9, "PREV", "PREV"    , true ),
				new FKey(KeyEvent.VK_F9, "NEXT", "NEXT"    , true )
			}
	};
	*/

	//                            1       2      3     4      5      6     7     8     9      10     11     12
	private String[] labels = {"COM1","COM2","BOTH","NAV1","NAV2","MKR","DME","ADF","XPDR","QNH","PREV","NEXT"};
	private String[] names  = {"COM1STBY", "COM2STBY", "COMBOTH", "NAV1STBY", "NAV2STBY", "MKRTGL", "DMETGL", 
			                   "ADF1FREQ", "XPDRCODE", "QNHSET", "PREV", "NEXT" };
	private boolean[] ledsp0 = { true, true, true, true, true, true, 
								 true, true, false, false, false, false };
	
	//                               1     2      3      4      5      6      7      8     9     10     11     12
	private String[] labels_nav = {"AP", "HDG", "NAV", "APR", "REV", "ALT", "CRS", "SPD", "VS", "GPS","PREV","NEXT"};
	private String[] names_nav = labels_nav;
	private boolean[] ledsp1 = { true, true, true, true, true, true, 
			 					 false, true, true, true, false, false };
	
	//                               1        2       3       4       5      6       7        8         9        10       11     12
	private String[] labels_lights = {"AVI","CABIN", "PANEL", "BCN", "LAND", "TAXI", "NAV", "STROBE", "PITOT", "SMOKE", "PREV", "NEXT"};
	private String[] names_lights = {"AVI","CABIN", "PANEL", "BCN", "LAND", "TAXI", "NAVL", "STROBE", "PITOT", "SMOKE", "PREV", "NEXT"};
	private boolean[] ledsp2 = { true, true, true, true, true, true, 
							 	 true, true, true, true, false, false };

	private Vector<String[]> page_labels;
	private Vector<String[]> page_names;
	
	private int page_num = 0;
	private boolean custompage = false;
	private String[] customnames = null;
	private String[] customevents = null;
	private boolean[] customleds = null;
	
	private JLabel[] lblFkeys = new JLabel[12];
	
	public FKeyBar( GaugeBook owner ) {
		super();
		// setBackground( Color.GRAY );
		setLayout(new GridLayout() );
		varCom1Xmit = owner.registerFSXVariable("COM TRANSMIT:1");
		varCom2Xmit = owner.registerFSXVariable("COM TRANSMIT:2");
		varNav1Xmit = owner.registerFSXVariable("NAV SOUND:1");
		varNav2Xmit = owner.registerFSXVariable("NAV SOUND:2");
		varAdf1Xmit = owner.registerFSXVariable("ADF SOUND:1");
		varComBoth  = owner.registerFSXVariable("COM RECIEVE ALL");
		varMarkerSound= owner.registerFSXVariable("MARKER SOUND");
		varDMESound = owner.registerFSXVariable("DME SOUND");
		varADFSound = owner.registerFSXVariable("ADF SOUND:1");

		varAPactive = owner.registerFSXVariable("AUTOPILOT MASTER");
		varHDGhold = owner.registerFSXVariable("AUTOPILOT HEADING LOCK");
		varNAVhold = owner.registerFSXVariable("AUTOPILOT NAV1 LOCK");
		varAPRhold = owner.registerFSXVariable("AUTOPILOT APPROACH HOLD");
		varREVhold = owner.registerFSXVariable("AUTOPILOT BACKCOURSE HOLD");
		varALThold = owner.registerFSXVariable("AUTOPILOT ALTITUDE LOCK");
		varSPDhold = owner.registerFSXVariable("AUTOPILOT AIRSPEED HOLD");
		varVShold =  owner.registerFSXVariable("AUTOPILOT VERTICAL HOLD");
		varGPSdrivesNAV = owner.registerFSXVariable("GPS DRIVES NAV1");

		//varMaster = owner.registerFSXVariable("ELECTRICAL MASTER BATTERY");
		//varFuelPump = owner.registerFSXVariable("GENERAL ENG FUEL PUMP ON:1");;
		varAvionicsMaster = owner.registerFSXVariable("AVIONICS MASTER SWITCH");
		varCabinL = owner.registerFSXVariable("LIGHT CABIN");
		varPanelL = owner.registerFSXVariable("LIGHT PANEL");
		varBeaconL = owner.registerFSXVariable("LIGHT BEACON");
		varLandingL = owner.registerFSXVariable("LIGHT LANDING");
		varTaxiL = owner.registerFSXVariable("LIGHT TAXI");
		varNavL = owner.registerFSXVariable("LIGHT NAV");
		varStrobeL = owner.registerFSXVariable("LIGHT STROBE");
		varPitotHeat = owner.registerFSXVariable("PITOT HEAT");
		varSmoke = owner.registerFSXVariable("SMOKE ENABLE");
		varSmokeAvailable = owner.registerFSXVariable("SMOKESYSTEM AVAILABLE");
		
		page_labels = new Vector<String[]>();
		page_labels.add( labels );
		page_labels.add( labels_nav );
		page_labels.add( labels_lights );

		page_names = new Vector<String[]>();
		page_names.add( names );
		page_names.add( names_nav );
		page_names.add( names_lights );

		JPanel p;
		for( int i = 0; i < 12; i++ ) {
			lblFkeys[i] = new JLabel();

			TitledBorder tb = BorderFactory.createTitledBorder(""); // "F"+(1+i));
			tb.setTitleFont(tb.getTitleFont().deriveFont(Math.round(tb.getTitleFont().getSize() * .5))); // .8
//			tb.setTitleColor(Color.LIGHT_GRAY);
//			tb.setTitleJustification(TitledBorder.CENTER);

			lblFkeys[i].setForeground(Color.LIGHT_GRAY);
			lblFkeys[i].addMouseListener( owner );
			lblFkeys[i].addMouseWheelListener( owner );
			lblFkeys[i].setHorizontalTextPosition(JLabel.CENTER);
			lblFkeys[i].setHorizontalAlignment(JLabel.CENTER);
			p = new JPanel( new BorderLayout() );
			//p.setBackground( Color.DARK_GRAY );
			p.setBorder( BorderFactory.createCompoundBorder( BorderFactory.createEmptyBorder(1,1,1,1), BorderFactory.createCompoundBorder( tb, BorderFactory.createEmptyBorder( -10, 0, -6, 0 ))));		
			p.add( lblFkeys[i], BorderLayout.CENTER );
			p.add( leds[i], BorderLayout.SOUTH );
			if( i >= 9 ) leds[i].hide();
			add( p );
		}
		setPage( page_num = 0 );
	}

	public void update() {
		if( varCom1Xmit == null ) return;
		if( custompage ) {
			for( int i = 0; i < 12; i++ ) {
				if( customleds[i] ) leds[i].show(); else leds[i].hide();
			}
		}
		else {
			switch( page_num ) {
			case 0:
				leds[0].set( varCom1Xmit.getBooleanValue() );
				leds[1].set( varCom2Xmit.getBooleanValue() );
				leds[2].set( varComBoth.getBooleanValue() );
				leds[3].set( varNav1Xmit.getBooleanValue() );
				leds[4].set( varNav2Xmit.getBooleanValue() );
				leds[5].set( varMarkerSound.getBooleanValue() );
				leds[6].set( varDMESound.getBooleanValue() ); 
				leds[7].set( varADFSound.getBooleanValue() ); 
				for( int i = 0; i < 12; i++ ) {
					if( ledsp0[i] ) leds[i].show(); else leds[i].hide();
				}
				break;
			case 1:
				leds[0].set( varAPactive.getBooleanValue() );
				leds[1].set( varHDGhold.getBooleanValue() );
				leds[2].set( varNAVhold.getBooleanValue() );
				leds[3].set( varAPRhold.getBooleanValue() );
				leds[4].set( varREVhold.getBooleanValue() );
				leds[5].set( varALThold.getBooleanValue() );
				leds[7].set( varSPDhold.getBooleanValue() );
				leds[8].set( varVShold.getBooleanValue() );
				leds[9].set( varGPSdrivesNAV.getBooleanValue() );
				for( int i = 0; i < 12; i++ ) {
					if( ledsp1[i] ) leds[i].show(); else leds[i].hide();
				}
				break;
			case 2:
				//   1        2       3       4       5      6       7        8         9      10   11     12
				// "AVI","CABIN", "PANEL", "BCN", "LAND", "TAXI", "NAV", "STROBE", "PITOT","SMOKE","PREV","NEXT"};
				leds[0].set( varAvionicsMaster.getBooleanValue());
				leds[1].set( varCabinL.getBooleanValue() );
				leds[2].set( varPanelL.getBooleanValue() );
				leds[3].set( varBeaconL.getBooleanValue() );
				leds[4].set( varLandingL.getBooleanValue() );
				leds[5].set( varTaxiL.getBooleanValue() );
				leds[6].set( varNavL.getBooleanValue() ); 
				leds[7].set( varStrobeL.getBooleanValue() );
				leds[8].set( varPitotHeat.getBooleanValue() );
				for( int i = 0; i < 12; i++ ) {
					if( ledsp2[i] ) leds[i].show(); else leds[i].hide();
				}
				if( (Double)varSmokeAvailable.getValue() == -1 ) {
					leds[9].set( (Double)varSmoke.getValue() ); leds[9].show();
				} else {
					leds[9].hide();
				}
				break;
			}
		}
		for( int i = 0; i < 12; i++ ) {
			leds[i].repaint();
		}
		repaint();
	}
	
	public void setPage( int num ) {
		String[] lbls = (String[])page_labels.elementAt( num );
		String[] nms  = (String[])page_names.elementAt( num );
		
		for( int i = 0; i < 12; i++ ) {
			lblFkeys[i].setName(nms[i]);
			lblFkeys[i].setText(lbls[i]);
		}
		custompage = false;
		page_num = num;
	}
	
	public void setCustomPage( String[] names, String[] events, boolean[] showleds ) {
		customnames = names;
		customevents = events;
		customleds = showleds;
		for( int i = 0; i < 12; i++ ) {
			lblFkeys[i].setName(names[i]);
			lblFkeys[i].setText(events[i] == null ? names[i] :events[i] );
			if( showleds[i] ) leds[i].show(); else leds[i].hide();
			System.out.println( "custom page: "+ names[i] );
		}
		custompage = true;
		repaint();
	}
	
	public void nextPage() {
		if( custompage ) return;
		page_num = page_num + 1 > page_labels.size() -1 ? 0 : page_num + 1;
		setPage( page_num );
	}
	
	public void prevPage() {
		if( custompage ) return;
		page_num = page_num - 1 < 0 ? page_labels.size() -1 : page_num - 1;
		setPage( page_num );
	}
	
	public int getPage() {
		return page_num;
	}
	
	public boolean isCustomPage() {
		return custompage;
	}
}
