package org.gaugebook;

import java.util.HashMap;

public class FSXEvent {
	private static HashMap<String,FSXEvent> fsxEvents = new HashMap<String,FSXEvent>(1000);
	static {
		// SimConnect Name => Event ID, Description, Multiplayer 
		fsxEvents.put("throttle_full", new FSXEvent("KEY_THROTTLE_FULL", "Set throttles max", "Shared Cockpit"));
		fsxEvents.put("throttle_incr", new FSXEvent("KEY_THROTTLE_INCR", "Increment throttles", "Shared Cockpit"));
		fsxEvents.put("throttle_incr_small", new FSXEvent("KEY_THROTTLE_INCR_SMALL", "Increment throttles small", "Shared Cockpit"));
		fsxEvents.put("throttle_decr", new FSXEvent("KEY_THROTTLE_DECR", "Decrement throttles", "Shared Cockpit"));
		fsxEvents.put("throttle_decr_small", new FSXEvent("KEY_THROTTLE_DECR_SMALL ", "Decrease throttles small", "Shared Cockpit"));
		fsxEvents.put("throttle_cut", new FSXEvent("KEY_THROTTLE_CUT", "Set throttles to idle", "Shared Cockpit"));
		fsxEvents.put("increase_throttle", new FSXEvent("KEY_INCREASE_THROTTLE", "Increment throttles", "Shared Cockpit"));
		fsxEvents.put("decrease_throttle", new FSXEvent("KEY_DECREASE_THROTTLE", "Decrement throttles", "Shared Cockpit"));
		fsxEvents.put("throttle_set", new FSXEvent("KEY_THROTTLE_SET", "Set throttles exactly (0- 16383)", "Shared Cockpit"));
		fsxEvents.put("axis_throttle_set", new FSXEvent("KEY_AXIS_THROTTLE_SET", "Set throttles (0- 16383)", "Shared Cockpit (Pilot only, transmitted to Co-pilot if in a helicopter, not-transmitted otherwise). "));
		fsxEvents.put("throttle1_set", new FSXEvent("KEY_THROTTLE1_SET", "Set throttle 1 exactly (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("throttle2_set", new FSXEvent("KEY_THROTTLE2_SET", "Set throttle 2 exactly (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("throttle3_set", new FSXEvent("KEY_THROTTLE3_SET", "Set throttle 3 exactly (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("throttle4_set", new FSXEvent("KEY_THROTTLE4_SET", "Set throttle 4 exactly (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("throttle1_full", new FSXEvent("KEY_THROTTLE1_FULL", "Set throttle 1 max", "Shared Cockpit"));
		fsxEvents.put("throttle1_incr", new FSXEvent("KEY_THROTTLE1_INCR", "Increment throttle 1", "Shared Cockpit"));
		fsxEvents.put("throttle1_incr_small", new FSXEvent("KEY_THROTTLE1_INCR_SMALL", "Increment throttle 1 small", "Shared Cockpit"));
		fsxEvents.put("throttle1_decr", new FSXEvent("KEY_THROTTLE1_DECR", "Decrement throttle 1", "Shared Cockpit"));
		fsxEvents.put("throttle1_cut", new FSXEvent("KEY_THROTTLE1_CUT", "Set throttle 1 to idle", "Shared Cockpit"));
		fsxEvents.put("throttle2_full", new FSXEvent("KEY_THROTTLE2_FULL", "Set throttle 2 max", "Shared Cockpit"));
		fsxEvents.put("throttle2_incr", new FSXEvent("KEY_THROTTLE2_INCR", "Increment throttle 2", "Shared Cockpit"));
		fsxEvents.put("throttle2_incr_small", new FSXEvent("KEY_THROTTLE2_INCR_SMALL", "Increment throttle 2 small", "Shared Cockpit"));
		fsxEvents.put("throttle2_decr", new FSXEvent("KEY_THROTTLE2_DECR", "Decrement throttle 2", "Shared Cockpit"));
		fsxEvents.put("throttle2_cut", new FSXEvent("KEY_THROTTLE2_CUT", "Set throttle 2 to idle", "Shared Cockpit"));
		fsxEvents.put("throttle3_full", new FSXEvent("KEY_THROTTLE3_FULL", "Set throttle 3 max", "Shared Cockpit"));
		fsxEvents.put("throttle3_incr", new FSXEvent("KEY_THROTTLE3_INCR", "Increment throttle 3", "Shared Cockpit"));
		fsxEvents.put("throttle3_incr_small", new FSXEvent("KEY_THROTTLE3_INCR_SMALL", "Increment throttle 3 small", "Shared Cockpit"));
		fsxEvents.put("throttle3_decr", new FSXEvent("KEY_THROTTLE3_DECR", "Decrement throttle 3", "Shared Cockpit"));
		fsxEvents.put("throttle3_cut", new FSXEvent("KEY_THROTTLE3_CUT", "Set throttle 3 to idle", "Shared Cockpit"));
		fsxEvents.put("throttle4_full", new FSXEvent("KEY_THROTTLE4_FULL", "Set throttle 1 max", "Shared Cockpit"));
		fsxEvents.put("throttle4_incr", new FSXEvent("KEY_THROTTLE4_INCR", "Increment throttle 4", "Shared Cockpit"));
		fsxEvents.put("throttle4_incr_small", new FSXEvent("KEY_THROTTLE4_INCR_SMALL", "Increment throttle 4 small", "Shared Cockpit"));
		fsxEvents.put("throttle4_decr", new FSXEvent("KEY_THROTTLE4_DECR", "Decrement throttle 4", "Shared Cockpit"));
		fsxEvents.put("throttle4_cut", new FSXEvent("KEY_THROTTLE4_CUT", "Set throttle 4 to idle", "Shared Cockpit"));
		fsxEvents.put("throttle_10", new FSXEvent("KEY_THROTTLE_10", "Set throttles to 10%", "Shared Cockpit"));
		fsxEvents.put("throttle_20", new FSXEvent("KEY_THROTTLE_20", "Set throttles to 20%", "Shared Cockpit"));
		fsxEvents.put("throttle_30", new FSXEvent("KEY_THROTTLE_30", "Set throttles to 30%", "Shared Cockpit"));
		fsxEvents.put("throttle_40", new FSXEvent("KEY_THROTTLE_40", "Set throttles to 40%", "Shared Cockpit"));
		fsxEvents.put("throttle_50", new FSXEvent("KEY_THROTTLE_50", "Set throttles to 50%", "Shared Cockpit"));
		fsxEvents.put("throttle_60", new FSXEvent("KEY_THROTTLE_60", "Set throttles to 60%", "Shared Cockpit"));
		fsxEvents.put("throttle_70", new FSXEvent("KEY_THROTTLE_70", "Set throttles to 70%", "Shared Cockpit"));
		fsxEvents.put("throttle_80", new FSXEvent("KEY_THROTTLE_80", "Set throttles to 80%", "Shared Cockpit"));
		fsxEvents.put("throttle_90", new FSXEvent("KEY_THROTTLE_90", "Set throttles to 90%", "Shared Cockpit"));
		fsxEvents.put("axis_throttle1_set", new FSXEvent("KEY_AXIS_THROTTLE1_SET", "Set throttle 1 exactly (-16383 - +16383)", "Shared Cockpit"));
		fsxEvents.put("axis_throttle2_set", new FSXEvent("KEY_AXIS_THROTTLE2_SET", "Set throttle 2 exactly (-16383 - +16383)", "Shared Cockpit"));
		fsxEvents.put("axis_throttle3_set", new FSXEvent("KEY_AXIS_THROTTLE3_SET", "Set throttle 3 exactly (-16383 - +16383)", "Shared Cockpit"));
		fsxEvents.put("axis_throttle4_set", new FSXEvent("KEY_AXIS_THROTTLE4_SET", "Set throttle 4 exactly (-16383 - +16383)", "Shared Cockpit"));
		fsxEvents.put("throttle1_decr_small", new FSXEvent("KEY_THROTTLE1_DECR_SMALL ", "Decrease throttle 1 small", "Shared Cockpit"));
		fsxEvents.put("throttle2_decr_small", new FSXEvent("KEY_THROTTLE2_DECR_SMALL ", "Decrease throttle 2 small", "Shared Cockpit"));
		fsxEvents.put("throttle3_decr_small", new FSXEvent("KEY_THROTTLE3_DECR_SMALL ", "Decrease throttle 3 small", "Shared Cockpit"));
		fsxEvents.put("throttle4_decr_small", new FSXEvent("KEY_THROTTLE4_DECR_SMALL ", "Decrease throttle 4 small", "Shared Cockpit"));
		fsxEvents.put("prop_pitch_decr_small", new FSXEvent("KEY_PROP_PITCH_DECR_SMALL ", "Decrease prop levers small", "Shared Cockpit"));
		fsxEvents.put("prop_pitch1_decr_small", new FSXEvent("KEY_PROP_PITCH1_DECR_SMALL ", "Decrease prop lever 1 small", "Shared Cockpit"));
		fsxEvents.put("prop_pitch2_decr_small", new FSXEvent("KEY_PROP_PITCH2_DECR_SMALL ", "Decrease prop lever 2 small", "Shared Cockpit"));
		fsxEvents.put("prop_pitch3_decr_small", new FSXEvent("KEY_PROP_PITCH3_DECR_SMALL ", "Decrease prop lever 3 small", "Shared Cockpit"));
		fsxEvents.put("prop_pitch4_decr_small", new FSXEvent("KEY_PROP_PITCH4_DECR_SMALL ", "Decrease prop lever 4 small", "Shared Cockpit"));
		fsxEvents.put("mixture1_rich", new FSXEvent("KEY_MIXTURE1_RICH", "Set mixture lever 1 to max rich", "Shared Cockpit"));
		fsxEvents.put("mixture1_incr", new FSXEvent("KEY_MIXTURE1_INCR", "Increment mixture lever 1 ", "Shared Cockpit"));
		fsxEvents.put("mixture1_incr_small", new FSXEvent("KEY_MIXTURE1_INCR_SMALL", "Increment mixture lever 1 small", "Shared Cockpit"));
		fsxEvents.put("mixture1_decr", new FSXEvent("KEY_MIXTURE1_DECR", "Decrement mixture lever 1 ", "Shared Cockpit"));
		fsxEvents.put("mixture1_lean", new FSXEvent("KEY_MIXTURE1_LEAN", "Set mixture lever 1 to max lean", "Shared Cockpit"));
		fsxEvents.put("mixture2_rich", new FSXEvent("KEY_MIXTURE2_RICH", "Set mixture lever 2 to max rich", "Shared Cockpit"));
		fsxEvents.put("mixture2_incr", new FSXEvent("KEY_MIXTURE2_INCR", "Increment mixture lever 2 ", "Shared Cockpit"));
		fsxEvents.put("mixture2_incr_small", new FSXEvent("KEY_MIXTURE2_INCR_SMALL", "Increment mixture lever 2 small", "Shared Cockpit"));
		fsxEvents.put("mixture2_decr", new FSXEvent("KEY_MIXTURE2_DECR", "Decrement mixture lever 2 ", "Shared Cockpit"));
		fsxEvents.put("mixture2_lean", new FSXEvent("KEY_MIXTURE2_LEAN", "Set mixture lever 2 to max lean", "Shared Cockpit"));
		fsxEvents.put("mixture3_rich", new FSXEvent("KEY_MIXTURE3_RICH", "Set mixture lever 3 to max rich", "Shared Cockpit"));
		fsxEvents.put("mixture3_incr", new FSXEvent("KEY_MIXTURE3_INCR", "Increment mixture lever 3 ", "Shared Cockpit"));
		fsxEvents.put("mixture3_incr_small", new FSXEvent("KEY_MIXTURE3_INCR_SMALL", "Increment mixture lever 3 small", "Shared Cockpit"));
		fsxEvents.put("mixture3_decr", new FSXEvent("KEY_MIXTURE3_DECR", "Decrement mixture lever 3 ", "Shared Cockpit"));
		fsxEvents.put("mixture3_lean", new FSXEvent("KEY_MIXTURE3_LEAN", "Set mixture lever 3 to max lean", "Shared Cockpit"));
		fsxEvents.put("mixture4_rich", new FSXEvent("KEY_MIXTURE4_RICH", "Set mixture lever 4 to max rich", "Shared Cockpit"));
		fsxEvents.put("mixture4_incr", new FSXEvent("KEY_MIXTURE4_INCR", "Increment mixture lever 4", "Shared Cockpit"));
		fsxEvents.put("mixture4_incr_small", new FSXEvent("KEY_MIXTURE4_INCR_SMALL", "Increment mixture lever 4 small", "Shared Cockpit"));
		fsxEvents.put("mixture4_decr", new FSXEvent("KEY_MIXTURE4_DECR", "Decrement mixture lever 4 ", "Shared Cockpit"));
		fsxEvents.put("mixture4_lean", new FSXEvent("KEY_MIXTURE4_LEAN", "Set mixture lever 4 to max lean", "Shared Cockpit"));
		fsxEvents.put("mixture_set", new FSXEvent("KEY_MIXTURE_SET", "Set mixture levers to exact value (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("mixture_rich", new FSXEvent("KEY_MIXTURE_RICH", "Set mixture levers to max rich ", "Shared Cockpit"));
		fsxEvents.put("mixture_incr", new FSXEvent("KEY_MIXTURE_INCR", "Increment mixture levers", "Shared Cockpit"));
		fsxEvents.put("mixture_incr_small", new FSXEvent("KEY_MIXTURE_INCR_SMALL", "Increment mixture levers small ", "Shared Cockpit"));
		fsxEvents.put("mixture_decr", new FSXEvent("KEY_MIXTURE_DECR", "Decrement mixture levers", "Shared Cockpit"));
		fsxEvents.put("mixture_lean", new FSXEvent("KEY_MIXTURE_LEAN", "Set mixture levers to max lean", "Shared Cockpit"));
		fsxEvents.put("mixture1_set", new FSXEvent("KEY_MIXTURE1_SET", "Set mixture lever 1 exact value (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("mixture2_set", new FSXEvent("KEY_MIXTURE2_SET", "Set mixture lever 2 exact value (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("mixture3_set", new FSXEvent("KEY_MIXTURE3_SET", "Set mixture lever 3 exact value (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("mixture4_set", new FSXEvent("KEY_MIXTURE4_SET", "Set mixture lever 4 exact value (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("axis_mixture_set", new FSXEvent("KEY_AXIS_MIXTURE_SET", "Set mixture lever 1 exact value (-16383 to +16383)", "Shared Cockpit"));
		fsxEvents.put("axis_mixture1_set", new FSXEvent("KEY_AXIS_MIXTURE1_SET", "Set mixture lever 1 exact value (-16383 to +16383)", "Shared Cockpit"));
		fsxEvents.put("axis_mixture2_set", new FSXEvent("KEY_AXIS_MIXTURE2_SET", "Set mixture lever 2 exact value (-16383 to +16383)", "Shared Cockpit"));
		fsxEvents.put("axis_mixture3_set", new FSXEvent("KEY_AXIS_MIXTURE3_SET", "Set mixture lever 3 exact value (-16383 to +16383)", "Shared Cockpit"));
		fsxEvents.put("axis_mixture4_set", new FSXEvent("KEY_AXIS_MIXTURE4_SET", "Set mixture lever 4 exact value (-16383 to +16383)", "Shared Cockpit"));
		fsxEvents.put("mixture_set_best", new FSXEvent("KEY_MIXTURE_SET_BEST ", "Set mixture levers to current best power setting", "Shared Cockpit"));
		fsxEvents.put("mixture_decr_small", new FSXEvent("KEY_MIXTURE_DECR_SMALL ", "Decrement mixture levers small", "Shared Cockpit"));
		fsxEvents.put("mixture1_decr_small", new FSXEvent("KEY_MIXTURE1_DECR_SMALL ", "Decrement mixture lever 1 small", "Shared Cockpit"));
		fsxEvents.put("mixture2_decr_small", new FSXEvent("KEY_MIXTURE2_DECR_SMALL ", "Decrement mixture lever 4 small", "Shared Cockpit"));
		fsxEvents.put("mixture3_decr_small", new FSXEvent("KEY_MIXTURE3_DECR_SMALL ", "Decrement mixture lever 4 small", "Shared Cockpit"));
		fsxEvents.put("mixture4_decr_small", new FSXEvent("KEY_MIXTURE4_DECR_SMALL ", "Decrement mixture lever 4 small", "Shared Cockpit"));
		fsxEvents.put("prop_pitch_set", new FSXEvent("KEY_PROP_PITCH_SET", "Set prop pitch levers (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("prop_pitch_lo", new FSXEvent("KEY_PROP_PITCH_LO", "Set prop pitch levers max (lo pitch)", "Shared Cockpit"));
		fsxEvents.put("prop_pitch_incr", new FSXEvent("KEY_PROP_PITCH_INCR", "Increment prop pitch levers", "Shared Cockpit"));
		fsxEvents.put("prop_pitch_incr_small", new FSXEvent("KEY_PROP_PITCH_INCR_SMALL", "Increment prop pitch levers small", "Shared Cockpit"));
		fsxEvents.put("prop_pitch_decr", new FSXEvent("KEY_PROP_PITCH_DECR", "Decrement prop pitch levers", "Shared Cockpit"));
		fsxEvents.put("prop_pitch_hi", new FSXEvent("KEY_PROP_PITCH_HI", "Set prop pitch levers min (hi pitch)", "Shared Cockpit"));
		fsxEvents.put("prop_pitch1_set", new FSXEvent("KEY_PROP_PITCH1_SET", "Set prop pitch lever 1 exact value (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("prop_pitch2_set", new FSXEvent("KEY_PROP_PITCH2_SET", "Set prop pitch lever 2 exact value (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("prop_pitch3_set", new FSXEvent("KEY_PROP_PITCH3_SET", "Set prop pitch lever 3 exact value (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("prop_pitch4_set", new FSXEvent("KEY_PROP_PITCH4_SET", "Set prop pitch lever 4 exact value (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("prop_pitch1_lo", new FSXEvent("KEY_PROP_PITCH1_LO", "Set prop pitch lever 1 max (lo pitch)", "Shared Cockpit"));
		fsxEvents.put("prop_pitch1_incr", new FSXEvent("KEY_PROP_PITCH1_INCR", "Increment prop pitch lever 1", "Shared Cockpit"));
		fsxEvents.put("prop_pitch1_incr_small", new FSXEvent("KEY_PROP_PITCH1_INCR_SMALL", "Increment prop pitch lever 1 small", "Shared Cockpit"));
		fsxEvents.put("prop_pitch1_decr", new FSXEvent("KEY_PROP_PITCH1_DECR", "Decrement prop pitch lever 1", "Shared Cockpit"));
		fsxEvents.put("prop_pitch1_hi", new FSXEvent("KEY_PROP_PITCH1_HI", "Set prop pitch lever 1 min (hi pitch)", "Shared Cockpit"));
		fsxEvents.put("prop_pitch2_lo", new FSXEvent("KEY_PROP_PITCH2_LO", "Set prop pitch lever 2 max (lo pitch)", "Shared Cockpit"));
		fsxEvents.put("prop_pitch2_incr", new FSXEvent("KEY_PROP_PITCH2_INCR", "Increment prop pitch lever 2", "Shared Cockpit"));
		fsxEvents.put("prop_pitch2_incr_small", new FSXEvent("KEY_PROP_PITCH2_INCR_SMALL", "Increment prop pitch lever 2 small", "Shared Cockpit"));
		fsxEvents.put("prop_pitch2_decr", new FSXEvent("KEY_PROP_PITCH2_DECR", "Decrement prop pitch lever 2", "Shared Cockpit"));
		fsxEvents.put("prop_pitch2_hi", new FSXEvent("KEY_PROP_PITCH2_HI", "Set prop pitch lever 2 min (hi pitch)", "Shared Cockpit"));
		fsxEvents.put("prop_pitch3_lo", new FSXEvent("KEY_PROP_PITCH3_LO", "Set prop pitch lever 3 max (lo pitch)", "Shared Cockpit"));
		fsxEvents.put("prop_pitch3_incr", new FSXEvent("KEY_PROP_PITCH3_INCR", "Increment prop pitch lever 3", "Shared Cockpit"));
		fsxEvents.put("prop_pitch3_incr_small", new FSXEvent("KEY_PROP_PITCH3_INCR_SMALL", "Increment prop pitch lever 3 small", "Shared Cockpit"));
		fsxEvents.put("prop_pitch3_decr", new FSXEvent("KEY_PROP_PITCH3_DECR", "Decrement prop pitch lever 3", "Shared Cockpit"));
		fsxEvents.put("prop_pitch3_hi", new FSXEvent("KEY_PROP_PITCH3_HI", "Set prop pitch lever 3 min (hi pitch)", "Shared Cockpit"));
		fsxEvents.put("prop_pitch4_lo", new FSXEvent("KEY_PROP_PITCH4_LO", "Set prop pitch lever 4 max (lo pitch)", "Shared Cockpit"));
		fsxEvents.put("prop_pitch4_incr", new FSXEvent("KEY_PROP_PITCH4_INCR", "Increment prop pitch lever 4", "Shared Cockpit"));
		fsxEvents.put("prop_pitch4_incr_small", new FSXEvent("KEY_PROP_PITCH4_INCR_SMALL", "Increment prop pitch lever 4 small", "Shared Cockpit"));
		fsxEvents.put("prop_pitch4_decr", new FSXEvent("KEY_PROP_PITCH4_DECR", "Decrement prop pitch lever 4", "Shared Cockpit"));
		fsxEvents.put("prop_pitch4_hi", new FSXEvent("KEY_PROP_PITCH4_HI", "Set prop pitch lever 4 min (hi pitch)", "Shared Cockpit"));
		fsxEvents.put("axis_propeller_set", new FSXEvent("KEY_AXIS_PROPELLER_SET", "Set propeller levers exact value (-16383 to +16383)", "Shared Cockpit"));
		fsxEvents.put("axis_propeller1_set", new FSXEvent("KEY_AXIS_PROPELLER1_SET", "Set propeller lever 1 exact value (-16383 to +16383)", "Shared Cockpit"));
		fsxEvents.put("axis_propeller2_set", new FSXEvent("KEY_AXIS_PROPELLER2_SET", "Set propeller lever 2 exact value (-16383 to +16383)", "Shared Cockpit"));
		fsxEvents.put("axis_propeller3_set", new FSXEvent("KEY_AXIS_PROPELLER3_SET", "Set propeller lever 3 exact value (-16383 to +16383)", "Shared Cockpit"));
		fsxEvents.put("axis_propeller4_set", new FSXEvent("KEY_AXIS_PROPELLER4_SET", "Set propeller lever 4 exact value (-16383 to +16383)", "Shared Cockpit"));
		fsxEvents.put("jet_starter", new FSXEvent("KEY_JET_STARTER", "Selects jet engine starter (for +/- sequence)", "Shared Cockpit"));
		fsxEvents.put("magneto_set", new FSXEvent("KEY_STARTER_SET", "Sets magnetos (0,1)", "Shared Cockpit"));
		fsxEvents.put("toggle_starter1", new FSXEvent("KEY_TOGGLE_STARTER1", "Toggle starter 1", "Shared Cockpit"));
		fsxEvents.put("toggle_starter2", new FSXEvent("KEY_TOGGLE_STARTER2", "Toggle starter 2", "Shared Cockpit"));
		fsxEvents.put("toggle_starter3", new FSXEvent("KEY_TOGGLE_STARTER3", "Toggle starter 3", "Shared Cockpit"));
		fsxEvents.put("toggle_starter4", new FSXEvent("KEY_TOGGLE_STARTER4", "Toggle starter 4", "Shared Cockpit"));
		fsxEvents.put("toggle_all_starters", new FSXEvent("KEY_TOGGLE_ALL_STARTERS", "Toggle starters", "Shared Cockpit"));
		fsxEvents.put("engine_auto_start", new FSXEvent("KEY_ENGINE_AUTO_START", "Triggers auto-start", "Shared Cockpit"));
		fsxEvents.put("engine_auto_shutdown", new FSXEvent("KEY_ENGINE_AUTO_SHUTDOWN", "Triggers auto-shutdown", "Shared Cockpit"));
		fsxEvents.put("magneto", new FSXEvent("KEY_MAGNETO", "Selects magnetos (for +/- sequence)", "Shared Cockpit"));
		fsxEvents.put("magneto_decr", new FSXEvent("KEY_MAGNETO_DECR", "Decrease magneto switches positions", "Shared Cockpit"));
		fsxEvents.put("magneto_incr", new FSXEvent("KEY_MAGNETO_INCR", "Increase magneto switches positions", "Shared Cockpit"));
		fsxEvents.put("magneto1_off", new FSXEvent("KEY_MAGNETO1_OFF", "Set engine 1 magnetos off", "Shared Cockpit"));
		fsxEvents.put("magneto1_right", new FSXEvent("KEY_MAGNETO1_RIGHT", "Toggle engine 1 right magneto", "All aircraft"));
		fsxEvents.put("magneto1_left", new FSXEvent("KEY_MAGNETO1_LEFT", "Toggle engine 1 left magneto", "All aircraft"));
		fsxEvents.put("magneto1_both", new FSXEvent("KEY_MAGNETO1_BOTH", "Set engine 1 magnetos on", "Shared Cockpit"));
		fsxEvents.put("magneto1_start", new FSXEvent("KEY_MAGNETO1_START", "Set engine 1 magnetos on and toggle starter", "Shared Cockpit"));
		fsxEvents.put("magneto2_off", new FSXEvent("KEY_MAGNETO2_OFF", "Set engine 2 magnetos off", "Shared Cockpit"));
		fsxEvents.put("magneto2_right", new FSXEvent("KEY_MAGNETO2_RIGHT", "Toggle engine 2 right magneto", "All aircraft"));
		fsxEvents.put("magneto2_left", new FSXEvent("KEY_MAGNETO2_LEFT", "Toggle engine 2 left magneto", "All aircraft"));
		fsxEvents.put("magneto2_both", new FSXEvent("KEY_MAGNETO2_BOTH", "Set engine 2 magnetos on", "Shared Cockpit"));
		fsxEvents.put("magneto2_start", new FSXEvent("KEY_MAGNETO2_START", "Set engine 2 magnetos on and toggle starter", "Shared Cockpit"));
		fsxEvents.put("magneto3_off", new FSXEvent("KEY_MAGNETO3_OFF", "Set engine 3 magnetos off", "Shared Cockpit"));
		fsxEvents.put("magneto3_right", new FSXEvent("KEY_MAGNETO3_RIGHT", "Toggle engine 3 right magneto", "All aircraft"));
		fsxEvents.put("magneto3_left", new FSXEvent("KEY_MAGNETO3_LEFT", "Toggle engine 3 left magneto", "All aircraft"));
		fsxEvents.put("magneto3_both", new FSXEvent("KEY_MAGNETO3_BOTH", "Set engine 3 magnetos on", "Shared Cockpit"));
		fsxEvents.put("magneto3_start", new FSXEvent("KEY_MAGNETO3_START", "Set engine 3 magnetos on and toggle starter", "Shared Cockpit"));
		fsxEvents.put("magneto4_off", new FSXEvent("KEY_MAGNETO4_OFF", "Set engine 4 magnetos off", "Shared Cockpit"));
		fsxEvents.put("magneto4_right", new FSXEvent("KEY_MAGNETO4_RIGHT", "Toggle engine 4 right magneto", "All aircraft"));
		fsxEvents.put("magneto4_left", new FSXEvent("KEY_MAGNETO4_LEFT", "Toggle engine 4 left magneto", "All aircraft"));
		fsxEvents.put("magneto4_both", new FSXEvent("KEY_MAGNETO4_BOTH", "Set engine 4 magnetos on", "Shared Cockpit"));
		fsxEvents.put("magneto4_start", new FSXEvent("KEY_MAGNETO4_START", "Set engine 4 magnetos on and toggle starter", "Shared Cockpit"));
		fsxEvents.put("magneto_off", new FSXEvent("KEY_MAGNETO_OFF", "Set engine magnetos off", "Shared Cockpit"));
		fsxEvents.put("magneto_right", new FSXEvent("KEY_MAGNETO_RIGHT", "Set engine right magnetos on", "Shared Cockpit"));
		fsxEvents.put("magneto_left", new FSXEvent("KEY_MAGNETO_LEFT", "Set engine left magnetos on", "Shared Cockpit"));
		fsxEvents.put("magneto_both", new FSXEvent("KEY_MAGNETO_BOTH", "Set engine magnetos on", "Shared Cockpit"));
		fsxEvents.put("magneto_start", new FSXEvent("KEY_MAGNETO_START", "Set engine magnetos on and toggle starters", "Shared Cockpit"));
		fsxEvents.put("magneto1_decr", new FSXEvent("KEY_MAGNETO1_DECR", "Decrease engine 1 magneto switch position", "Shared Cockpit"));
		fsxEvents.put("magneto1_incr", new FSXEvent("KEY_MAGNETO1_INCR", "Increase engine 1 magneto switch position", "Shared Cockpit"));
		fsxEvents.put("magneto2_decr", new FSXEvent("KEY_MAGNETO2_DECR", "Decrease engine 2 magneto switch position", "Shared Cockpit"));
		fsxEvents.put("magneto2_incr", new FSXEvent("KEY_MAGNETO2_INCR", "Increase engine 2 magneto switch position", "Shared Cockpit"));
		fsxEvents.put("magneto3_decr", new FSXEvent("KEY_MAGNETO3_DECR", "Decrease engine 3 magneto switch position", "Shared Cockpit"));
		fsxEvents.put("magneto3_incr", new FSXEvent("KEY_MAGNETO3_INCR", "Increase engine 3 magneto switch position", "Shared Cockpit"));
		fsxEvents.put("magneto4_decr", new FSXEvent("KEY_MAGNETO4_DECR", "Decrease engine 4 magneto switch position", "Shared Cockpit"));
		fsxEvents.put("magneto4_incr", new FSXEvent("KEY_MAGNETO4_INCR", "Increase engine 4 magneto switch position", "Shared Cockpit"));
		//fsEventMap.put("Not supported", "KEY_MAGNETO_SET", "Set engine magneto switches", "Shared Cockpit"));
		fsxEvents.put("magneto1_set", new FSXEvent("KEY_MAGNETO1_SET", "Set engine 1 magneto switch", "Shared Cockpit"));
		fsxEvents.put("magneto2_set", new FSXEvent("KEY_MAGNETO2_SET", "Set engine 2 magneto switch", "Shared Cockpit"));
		fsxEvents.put("magneto3_set", new FSXEvent("KEY_MAGNETO3_SET", "Set engine 3 magneto switch", "Shared Cockpit"));
		fsxEvents.put("magneto4_set", new FSXEvent("KEY_MAGNETO4_SET", "Set engine 4 magneto switch", "Shared Cockpit"));
		fsxEvents.put("anti_ice_on", new FSXEvent("KEY_ANTI_ICE_ON", "Sets anti-ice switches on", "Shared Cockpit"));
		fsxEvents.put("anti_ice_off", new FSXEvent("KEY_ANTI_ICE_OFF", "Sets anti-ice switches off", "Shared Cockpit"));
		fsxEvents.put("anti_ice_set", new FSXEvent("KEY_ANTI_ICE_SET", "Sets anti-ice switches from argument (0,1)", "Shared Cockpit"));
		fsxEvents.put("anti_ice_toggle", new FSXEvent("KEY_ANTI_ICE_TOGGLE", "Toggle anti-ice switches", "Shared Cockpit"));
		fsxEvents.put("anti_ice_toggle_eng1", new FSXEvent("KEY_ANTI_ICE_TOGGLE_ENG1", "Toggle engine 1 anti-ice switch", "Shared Cockpit"));
		fsxEvents.put("anti_ice_toggle_eng2", new FSXEvent("KEY_ANTI_ICE_TOGGLE_ENG2", "Toggle engine 2 anti-ice switch", "Shared Cockpit"));
		fsxEvents.put("anti_ice_toggle_eng3", new FSXEvent("KEY_ANTI_ICE_TOGGLE_ENG3", "Toggle engine 3 anti-ice switch", "Shared Cockpit"));
		fsxEvents.put("anti_ice_toggle_eng4", new FSXEvent("KEY_ANTI_ICE_TOGGLE_ENG4", "Toggle engine 4 anti-ice switch", "Shared Cockpit"));
		fsxEvents.put("anti_ice_set_eng1", new FSXEvent("KEY_ANTI_ICE_SET_ENG1", "Sets engine 1 anti-ice switch (0,1)", "Shared Cockpit"));
		fsxEvents.put("anti_ice_set_eng2", new FSXEvent("KEY_ANTI_ICE_SET_ENG2", "Sets engine 2 anti-ice switch (0,1)", "Shared Cockpit"));
		fsxEvents.put("anti_ice_set_eng3", new FSXEvent("KEY_ANTI_ICE_SET_ENG3", "Sets engine 3 anti-ice switch (0,1)", "Shared Cockpit"));
		fsxEvents.put("anti_ice_set_eng4", new FSXEvent("KEY_ANTI_ICE_SET_ENG4", "Sets engine 4 anti-ice switch (0,1)", "Shared Cockpit"));
		fsxEvents.put("toggle_fuel_valve_all", new FSXEvent("KEY_TOGGLE_FUEL_VALVE_ALL", "Toggle engine fuel valves", "Shared Cockpit"));
		fsxEvents.put("toggle_fuel_valve_eng1", new FSXEvent("KEY_TOGGLE_FUEL_VALVE_ENG1", "Toggle engine 1 fuel valve", "All aircraft"));
		fsxEvents.put("toggle_fuel_valve_eng2", new FSXEvent("KEY_TOGGLE_FUEL_VALVE_ENG2", "Toggle engine 2 fuel valve", "All aircraft"));
		fsxEvents.put("toggle_fuel_valve_eng3", new FSXEvent("KEY_TOGGLE_FUEL_VALVE_ENG3", "Toggle engine 3 fuel valve", "All aircraft"));
		fsxEvents.put("toggle_fuel_valve_eng4", new FSXEvent("KEY_TOGGLE_FUEL_VALVE_ENG4", "Toggle engine 4 fuel valve", "All aircraft"));
		fsxEvents.put("cowlflap1_set", new FSXEvent("KEY_COWLFLAP1_SET", "Sets engine 1 cowl flap lever position (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("cowlflap2_set", new FSXEvent("KEY_COWLFLAP2_SET", "Sets engine 2 cowl flap lever position (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("cowlflap3_set", new FSXEvent("KEY_COWLFLAP3_SET", "Sets engine 3 cowl flap lever position (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("cowlflap4_set", new FSXEvent("KEY_COWLFLAP4_SET", "Sets engine 4 cowl flap lever position (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("inc_cowl_flaps", new FSXEvent("KEY_INC_COWL_FLAPS", "Increment cowl flap levers", "Shared Cockpit"));
		fsxEvents.put("dec_cowl_flaps", new FSXEvent("KEY_DEC_COWL_FLAPS", "Decrement cowl flap levers", "Shared Cockpit"));
		fsxEvents.put("inc_cowl_flaps1", new FSXEvent("KEY_INC_COWL_FLAPS1", "Increment engine 1 cowl flap lever", "Shared Cockpit"));
		fsxEvents.put("dec_cowl_flaps1", new FSXEvent("KEY_DEC_COWL_FLAPS1", "Decrement engine 1 cowl flap lever", "Shared Cockpit"));
		fsxEvents.put("inc_cowl_flaps2", new FSXEvent("KEY_INC_COWL_FLAPS2", "Increment engine 2 cowl flap lever", "Shared Cockpit"));
		fsxEvents.put("dec_cowl_flaps2", new FSXEvent("KEY_DEC_COWL_FLAPS2", "Decrement engine 2 cowl flap lever", "Shared Cockpit"));
		fsxEvents.put("inc_cowl_flaps3", new FSXEvent("KEY_INC_COWL_FLAPS3", "Increment engine 3 cowl flap lever", "Shared Cockpit"));
		fsxEvents.put("dec_cowl_flaps3", new FSXEvent("KEY_DEC_COWL_FLAPS3", "Decrement engine 3 cowl flap lever", "Shared Cockpit"));
		fsxEvents.put("inc_cowl_flaps4", new FSXEvent("KEY_INC_COWL_FLAPS4", "Increment engine 4 cowl flap lever", "Shared Cockpit"));
		fsxEvents.put("dec_cowl_flaps4", new FSXEvent("KEY_DEC_COWL_FLAPS4", "Decrement engine 4 cowl flap lever", "Shared Cockpit"));
		fsxEvents.put("fuel_pump", new FSXEvent("KEY_FUEL_PUMP", "Toggle electric fuel pumps", "Shared Cockpit"));
		fsxEvents.put("toggle_elect_fuel_pump", new FSXEvent("KEY_TOGGLE_ELECT_FUEL_PUMP", "Toggle electric fuel pumps", "Shared Cockpit"));
		fsxEvents.put("toggle_elect_fuel_pump1", new FSXEvent("KEY_TOGGLE_ELECT_FUEL_PUMP1", "Toggle engine 1 electric fuel pump", "All aircraft"));
		fsxEvents.put("toggle_elect_fuel_pump2", new FSXEvent("KEY_TOGGLE_ELECT_FUEL_PUMP2", "Toggle engine 2 electric fuel pump", "All aircraft"));
		fsxEvents.put("toggle_elect_fuel_pump3", new FSXEvent("KEY_TOGGLE_ELECT_FUEL_PUMP3", "Toggle engine 3 electric fuel pump", "All aircraft"));
		fsxEvents.put("toggle_elect_fuel_pump4", new FSXEvent("KEY_TOGGLE_ELECT_FUEL_PUMP4", "Toggle engine 4 electric fuel pump", "All aircraft"));
		fsxEvents.put("engine_primer", new FSXEvent("KEY_ENGINE_PRIMER", "Trigger engine primers", "Shared Cockpit"));
		fsxEvents.put("toggle_primer", new FSXEvent("KEY_TOGGLE_PRIMER", "Trigger engine primers", "Shared Cockpit"));
		fsxEvents.put("toggle_primer1", new FSXEvent("KEY_TOGGLE_PRIMER1", "Trigger engine 1 primer", "Shared Cockpit"));
		fsxEvents.put("toggle_primer2", new FSXEvent("KEY_TOGGLE_PRIMER2", "Trigger engine 2 primer", "Shared Cockpit"));
		fsxEvents.put("toggle_primer3", new FSXEvent("KEY_TOGGLE_PRIMER3", "Trigger engine 3 primer", "Shared Cockpit"));
		fsxEvents.put("toggle_primer4", new FSXEvent("KEY_TOGGLE_PRIMER4", "Trigger engine 4 primer", "Shared Cockpit"));
		fsxEvents.put("toggle_feather_switches", new FSXEvent("KEY_TOGGLE_FEATHER_SWITCHES ", "Trigger propeller switches", "Shared Cockpit"));
		fsxEvents.put("toggle_feather_switch_1", new FSXEvent("KEY_TOGGLE_FEATHER_SWITCH_1", "Trigger propeller 1 switch", "Shared Cockpit"));
		fsxEvents.put("toggle_feather_switch_2", new FSXEvent("KEY_TOGGLE_FEATHER_SWITCH_2", "Trigger propeller 2 switch", "Shared Cockpit"));
		fsxEvents.put("toggle_feather_switch_3", new FSXEvent("KEY_TOGGLE_FEATHER_SWITCH_3", "Trigger propeller 3 switch", "Shared Cockpit"));
		fsxEvents.put("toggle_feather_switch_4", new FSXEvent("KEY_TOGGLE_FEATHER_SWITCH_4", "Trigger propeller 4 switch", "Shared Cockpit"));
		fsxEvents.put("toggle_propeller_sync", new FSXEvent("KEY_TOGGLE_PROP_SYNC", "Turns propeller synchronization switch on", "Shared Cockpit"));
		fsxEvents.put("toggle_autofeather_arm", new FSXEvent("KEY_TOGGLE_ARM_AUTOFEATHER", "Turns auto-feather arming switch on.", "Shared Cockpit"));
		fsxEvents.put("toggle_afterburner", new FSXEvent("KEY_TOGGLE_AFTERBURNER", "Toggles afterburners", "Shared Cockpit"));
		fsxEvents.put("toggle_afterburner1", new FSXEvent("KEY_TOGGLE_AFTERBURNER1", "Toggles engine 1 afterburner", "Shared Cockpit"));
		fsxEvents.put("toggle_afterburner2", new FSXEvent("KEY_TOGGLE_AFTERBURNER2", "Toggles engine 2 afterburner", "Shared Cockpit"));
		fsxEvents.put("toggle_afterburner3", new FSXEvent("KEY_TOGGLE_AFTERBURNER3", "Toggles engine 3 afterburner", "Shared Cockpit"));
		fsxEvents.put("toggle_afterburner4", new FSXEvent("KEY_TOGGLE_AFTERBURNER4", "Toggles engine 4 afterburner", "Shared Cockpit"));
		fsxEvents.put("engine", new FSXEvent("KEY_ENGINE", "Sets engines for 1,2,3,4 selection (to be followed by SELECT_n)", "Shared Cockpit"));
		fsxEvents.put("spoilers_toggle", new FSXEvent("KEY_SPOILERS_TOGGLE", "Toggles spoiler handle", "All aircraft"));
		fsxEvents.put("flaps_up", new FSXEvent("KEY_FLAPS_UP", "Sets flap handle to full retract position", "All aircraft"));
		fsxEvents.put("flaps_1", new FSXEvent("KEY_FLAPS_1", "Sets flap handle to first extension position", "All aircraft"));
		fsxEvents.put("flaps_2", new FSXEvent("KEY_FLAPS_2", "Sets flap handle to second extension position", "All aircraft"));
		fsxEvents.put("flaps_3", new FSXEvent("KEY_FLAPS_3", "Sets flap handle to third extension position", "All aircraft"));
		fsxEvents.put("flaps_down", new FSXEvent("KEY_FLAPS_DOWN", "Sets flap handle to full extension position", "All aircraft"));
		fsxEvents.put("elev_trim_dn", new FSXEvent("KEY_ELEV_TRIM_DN", "Increments elevator trim down", "Shared Cockpit"));
		fsxEvents.put("elev_down", new FSXEvent("KEY_ELEV_DOWN", "Increments elevator down", "Shared Cockpit (Pilot only)."));
		fsxEvents.put("ailerons_left", new FSXEvent("KEY_AILERONS_LEFT", "Increments ailerons left", "Shared Cockpit (Pilot only)."));
		fsxEvents.put("center_ailer_rudder", new FSXEvent("KEY_CENTER_AILER_RUDDER", "Centers aileron and rudder positions", "Shared Cockpit"));
		fsxEvents.put("ailerons_right", new FSXEvent("KEY_AILERONS_RIGHT", "Increments ailerons right", "Shared Cockpit (Pilot only)."));
		fsxEvents.put("elev_trim_up", new FSXEvent("KEY_ELEV_TRIM_UP", "Increment elevator trim up", "Shared Cockpit"));
		fsxEvents.put("elev_up", new FSXEvent("KEY_ELEV_UP", "Increments elevator up", "Shared Cockpit (Pilot only)."));
		fsxEvents.put("unsupported", new FSXEvent("KEY_ELEVATOR_DOWN", "Increments elevator down", "Shared Cockpit"));
		fsxEvents.put("unsupported", new FSXEvent("KEY_ELEVATOR_UP", "Increments elevator up", "Shared Cockpit"));
		fsxEvents.put("unsupported", new FSXEvent("KEY_AILERON_LEFT", "Increments ailerons left", "Shared Cockpit"));
		fsxEvents.put("unsupported", new FSXEvent("KEY_AILERON_CENTER", "Centers aileron position", "Shared Cockpit"));
		fsxEvents.put("unsupported", new FSXEvent("KEY_AILERON_RIGHT", "Increments ailerons right", "Shared Cockpit"));
		fsxEvents.put("rudder_left", new FSXEvent("KEY_RUDDER_LEFT", "Increments rudder left", "Shared Cockpit"));
		fsxEvents.put("rudder_center", new FSXEvent("KEY_RUDDER_CENTER", "Centers rudder position", "Shared Cockpit"));
		fsxEvents.put("rudder_right", new FSXEvent("KEY_RUDDER_RIGHT", "Increments rudder right", "Shared Cockpit"));
		fsxEvents.put("elevator_set", new FSXEvent("KEY_ELEVATOR_SET", "Sets elevator position (-16383 - +16383)", "Shared Cockpit"));
		fsxEvents.put("aileron_set", new FSXEvent("KEY_AILERON_SET", "Sets aileron position (-16383 - +16383)", "Shared Cockpit"));
		fsxEvents.put("rudder_set", new FSXEvent("KEY_RUDDER_SET", "Sets rudder position (-16383 - +16383)", "Shared Cockpit"));
		fsxEvents.put("flaps_incr", new FSXEvent("KEY_FLAPS_INCR", "Increments flap handle position", "All aircraft"));
		fsxEvents.put("flaps_decr", new FSXEvent("KEY_FLAPS_DECR", "Decrements flap handle position", "All aircraft"));
		fsxEvents.put("axis_elevator_set", new FSXEvent("KEY_AXIS_ELEVATOR_SET", "Sets elevator position (-16383 - +16383)", "Shared Cockpit (Pilot only, and not transmitted to Co-pilot) "));
		fsxEvents.put("axis_ailerons_set", new FSXEvent("KEY_AXIS_AILERONS_SET", "Sets aileron position (-16383 - +16383)", "Shared Cockpit (Pilot only, and not transmitted to Co-pilot) "));
		fsxEvents.put("axis_rudder_set", new FSXEvent("KEY_AXIS_RUDDER_SET", "Sets rudder position (-16383 - +16383)", "Shared Cockpit (Pilot only, and not transmitted to Co-pilot) "));
		fsxEvents.put("axis_elev_trim_set", new FSXEvent("KEY_AXIS_ELEV_TRIM_SET", "Sets elevator trim position (-16383 - +16383)", "Shared Cockpit"));
		fsxEvents.put("spoilers_set", new FSXEvent("KEY_SPOILERS_SET", "Sets spoiler handle position (0 to 16383)", "All aircraft"));
		fsxEvents.put("spoilers_arm_toggle", new FSXEvent("KEY_SPOILERS_ARM_TOGGLE", "Toggles arming of auto-spoilers ", "All aircraft"));
		fsxEvents.put("spoilers_on", new FSXEvent("KEY_SPOILERS_ON", "Sets spoiler handle to full extend position", "All aircraft"));
		fsxEvents.put("spoilers_off", new FSXEvent("KEY_SPOILERS_OFF", "Sets spoiler handle to full retract position", "All aircraft"));
		fsxEvents.put("spoilers_arm_on", new FSXEvent("KEY_SPOILERS_ARM_ON", "Sets auto-spoiler arming on", "All aircraft"));
		fsxEvents.put("spoilers_arm_off", new FSXEvent("KEY_SPOILERS_ARM_OFF", "Sets auto-spoiler arming off", "All aircraft"));
		fsxEvents.put("spoilers_arm_set", new FSXEvent("KEY_SPOILERS_ARM_SET", "Sets auto-spoiler arming (0,1)", "All aircraft"));
		fsxEvents.put("aileron_trim_left", new FSXEvent("KEY_AILERON_TRIM_LEFT", "Increments aileron trim left", "Shared Cockpit"));
		fsxEvents.put("aileron_trim_right", new FSXEvent("KEY_AILERON_TRIM_RIGHT", "Increments aileron trim right", "Shared Cockpit"));
		fsxEvents.put("rudder_trim_left", new FSXEvent("KEY_RUDDER_TRIM_LEFT", "Increments rudder trim left", "Shared Cockpit"));
		fsxEvents.put("rudder_trim_right", new FSXEvent("KEY_RUDDER_TRIM_RIGHT", "Increments aileron trim right", "Shared Cockpit"));
		fsxEvents.put("axis_spoiler_set", new FSXEvent("KEY_AXIS_SPOILER_SET", "Sets spoiler handle position (-16383 - +16383)", "All aircraft"));
		fsxEvents.put("flaps_set", new FSXEvent("KEY_FLAPS_SET", "Sets flap handle to closest increment (0 to 16383)", "All aircraft"));
		fsxEvents.put("elevator_trim_set", new FSXEvent("KEY_ELEVATOR_TRIM_SET", "Sets elevator trim position (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("axis_flaps_set", new FSXEvent("KEY_AXIS_FLAPS_SET ", "Sets flap handle to closest increment (-16383 - +16383)", "Shared Cockpit"));
		fsxEvents.put("ap_master", new FSXEvent("KEY_AP_MASTER", "Toggles AP on/off", "Shared Cockpit"));
		fsxEvents.put("autopilot_off", new FSXEvent("KEY_AUTOPILOT_OFF", "Turns AP off", "Shared Cockpit"));
		fsxEvents.put("autopilot_on", new FSXEvent("KEY_AUTOPILOT_ON", "Turns AP on", "Shared Cockpit"));
		fsxEvents.put("yaw_damper_toggle", new FSXEvent("KEY_YAW_DAMPER_TOGGLE", "Toggles yaw damper on/off", "Shared Cockpit"));
		fsxEvents.put("ap_panel_heading_hold", new FSXEvent("KEY_AP_PANEL_HEADING_HOLD", "Toggles heading hold mode on/off", "Shared Cockpit"));
		fsxEvents.put("ap_panel_altitude_hold", new FSXEvent("KEY_AP_PANEL_ALTITUDE_HOLD", "Toggles altitude hold mode on/off", "Shared Cockpit"));
		fsxEvents.put("ap_att_hold_on", new FSXEvent("KEY_AP_ATT_HOLD_ON", "Turns on AP wing leveler and pitch hold mode", "Shared Cockpit"));
		fsxEvents.put("ap_loc_hold_on", new FSXEvent("KEY_AP_LOC_HOLD_ON", "Turns AP localizer hold on/armed and glide-slope hold mode off", "Shared Cockpit"));
		fsxEvents.put("ap_apr_hold_on", new FSXEvent("KEY_AP_APR_HOLD_ON", "Turns both AP localizer and glide-slope modes on/armed", "Shared Cockpit"));
		fsxEvents.put("ap_hdg_hold_on", new FSXEvent("KEY_AP_HDG_HOLD_ON", "Turns heading hold mode on", "Shared Cockpit"));
		fsxEvents.put("ap_alt_hold_on", new FSXEvent("KEY_AP_ALT_HOLD_ON", "Turns altitude hold mode on", "Shared Cockpit"));
		fsxEvents.put("ap_wing_leveler_on", new FSXEvent("KEY_AP_WING_LEVELER_ON", "Turns wing leveler mode on", "Shared Cockpit"));
		fsxEvents.put("ap_bc_hold_on", new FSXEvent("KEY_AP_BC_HOLD_ON", "Turns localizer back course hold mode on/armed", "Shared Cockpit"));
		fsxEvents.put("ap_nav1_hold_on", new FSXEvent("KEY_AP_NAV1_HOLD_ON", "Turns lateral hold mode on ", "Shared Cockpit"));
		fsxEvents.put("ap_att_hold_off", new FSXEvent("KEY_AP_ATT_HOLD_OFF", "Turns off attitude hold mode", "Shared Cockpit"));
		fsxEvents.put("ap_loc_hold_off", new FSXEvent("KEY_AP_LOC_HOLD_OFF", "Turns off localizer hold mode", "Shared Cockpit"));
		fsxEvents.put("ap_apr_hold_off", new FSXEvent("KEY_AP_APR_HOLD_OFF", "Turns off approach hold mode", "Shared Cockpit"));
		fsxEvents.put("ap_hdg_hold_off", new FSXEvent("KEY_AP_HDG_HOLD_OFF", "Turns off heading hold mode", "Shared Cockpit"));
		fsxEvents.put("ap_alt_hold_off", new FSXEvent("KEY_AP_ALT_HOLD_OFF", "Turns off altitude hold mode", "Shared Cockpit"));
		fsxEvents.put("ap_wing_leveler_off", new FSXEvent("KEY_AP_WING_LEVELER_OFF", "Turns off wing leveler mode", "Shared Cockpit"));
		fsxEvents.put("ap_bc_hold_off", new FSXEvent("KEY_AP_BC_HOLD_OFF", "Turns off backcourse mode for localizer hold", "Shared Cockpit"));
		fsxEvents.put("ap_nav1_hold_off", new FSXEvent("KEY_AP_NAV1_HOLD_OFF", "Turns off nav hold mode", "Shared Cockpit"));
		fsxEvents.put("ap_airspeed_hold", new FSXEvent("KEY_AP_AIRSPEED_HOLD", "Toggles airspeed hold mode", "Shared Cockpit"));
		fsxEvents.put("auto_throttle_arm", new FSXEvent("KEY_AUTO_THROTTLE_ARM", "Toggles autothrottle arming mode", "Shared Cockpit"));
		fsxEvents.put("auto_throttle_to_ga", new FSXEvent("KEY_AUTO_THROTTLE_TO_GA", "Toggles Takeoff/Go Around mode", "Shared Cockpit"));
		fsxEvents.put("heading_bug_inc", new FSXEvent("KEY_HEADING_BUG_INC", "Increments heading hold reference bug", "Shared Cockpit"));
		fsxEvents.put("heading_bug_dec", new FSXEvent("KEY_HEADING_BUG_DEC", "Decrements heading hold reference bug", "Shared Cockpit"));
		fsxEvents.put("heading_bug_set", new FSXEvent("KEY_HEADING_BUG_SET", "Set heading hold reference bug (degrees)", "Shared Cockpit"));
		fsxEvents.put("ap_panel_speed_hold", new FSXEvent("KEY_AP_PANEL_SPEED_HOLD", "Toggles airspeed hold mode", "Shared Cockpit"));
		fsxEvents.put("ap_alt_var_inc", new FSXEvent("KEY_AP_ALT_VAR_INC", "Increments reference altitude", "Shared Cockpit"));
		fsxEvents.put("ap_alt_var_dec", new FSXEvent("KEY_AP_ALT_VAR_DEC", "Decrements reference altitude", "Shared Cockpit"));
		fsxEvents.put("ap_vs_var_inc", new FSXEvent("KEY_AP_VS_VAR_INC", "Increments vertical speed reference", "Shared Cockpit"));
		fsxEvents.put("ap_vs_var_dec", new FSXEvent("KEY_AP_VS_VAR_DEC", "Decrements vertical speed reference", "Shared Cockpit"));
		fsxEvents.put("ap_spd_var_inc", new FSXEvent("KEY_AP_SPD_VAR_INC", "Increments airspeed hold reference", "Shared Cockpit"));
		fsxEvents.put("ap_spd_var_dec", new FSXEvent("KEY_AP_SPD_VAR_DEC", "Decrements airspeed hold reference", "Shared Cockpit"));
		fsxEvents.put("ap_panel_mach_hold", new FSXEvent("KEY_AP_PANEL_MACH_HOLD", "Toggles mach hold", "Shared Cockpit"));
		fsxEvents.put("ap_mach_var_inc", new FSXEvent("KEY_AP_MACH_VAR_INC", "Increments reference mach", "Shared Cockpit"));
		fsxEvents.put("ap_mach_var_dec", new FSXEvent("KEY_AP_MACH_VAR_DEC", "Decrements reference mach", "Shared Cockpit"));
		fsxEvents.put("ap_mach_hold", new FSXEvent("KEY_AP_MACH_HOLD", "Toggles mach hold", "Shared Cockpit"));
		fsxEvents.put("ap_alt_var_set_metric", new FSXEvent("KEY_AP_ALT_VAR_SET_METRIC", "Sets reference altitude in meters", "Shared Cockpit"));
		fsxEvents.put("ap_vs_var_set_english", new FSXEvent("KEY_AP_VS_VAR_SET_ENGLISH", "Sets reference vertical speed in feet per minute", "Shared Cockpit"));
		fsxEvents.put("ap_spd_var_set", new FSXEvent("KEY_AP_SPD_VAR_SET", "Sets airspeed reference in knots", "Shared Cockpit"));
		fsxEvents.put("ap_mach_var_set", new FSXEvent("KEY_AP_MACH_VAR_SET", "Sets mach reference", "Shared Cockpit"));
		fsxEvents.put("yaw_damper_on", new FSXEvent("KEY_YAW_DAMPER_ON", "Turns yaw damper on", "Shared Cockpit"));
		fsxEvents.put("yaw_damper_off", new FSXEvent("KEY_YAW_DAMPER_OFF", "Turns yaw damper off", "Shared Cockpit"));
		fsxEvents.put("yaw_damper_set", new FSXEvent("KEY_YAW_DAMPER_SET", "Sets yaw damper on/off (1,0)", "Shared Cockpit"));
		fsxEvents.put("ap_airspeed_on", new FSXEvent("KEY_AP_AIRSPEED_ON", "Turns airspeed hold on ", "Shared Cockpit"));
		fsxEvents.put("ap_airspeed_off", new FSXEvent("KEY_AP_AIRSPEED_OFF", "Turns airspeed hold off", "Shared Cockpit"));
		fsxEvents.put("ap_airspeed_set", new FSXEvent("KEY_AP_AIRSPEED_SET", "Sets airspeed hold on/off (1,0)", "Shared Cockpit"));
		fsxEvents.put("ap_mach_on", new FSXEvent("KEY_AP_MACH_ON", "Turns mach hold on", "Shared Cockpit"));
		fsxEvents.put("ap_mach_off", new FSXEvent("KEY_AP_MACH_OFF", "Turns mach hold off", "Shared Cockpit"));
		fsxEvents.put("ap_mach_set", new FSXEvent("KEY_AP_MACH_SET", "Sets mach hold on/off (1,0)", "Shared Cockpit"));
		fsxEvents.put("ap_panel_altitude_on", new FSXEvent("KEY_AP_PANEL_ALTITUDE_ON", "Turns altitude hold mode on (without capturing current altitude)", "Shared Cockpit"));
		fsxEvents.put("ap_panel_altitude_off", new FSXEvent("KEY_AP_PANEL_ALTITUDE_OFF", "Turns altitude hold mode off", "Shared Cockpit"));
		fsxEvents.put("ap_panel_altitude_set", new FSXEvent("KEY_AP_PANEL_ALTITUDE_SET", "Sets altitude hold mode on/off (1,0)", "Shared Cockpit"));
		fsxEvents.put("ap_panel_heading_on", new FSXEvent("KEY_AP_PANEL_HEADING_ON", "Turns heading mode on (without capturing current heading)", "Shared Cockpit"));
		fsxEvents.put("ap_panel_heading_off", new FSXEvent("KEY_AP_PANEL_HEADING_OFF", "Turns heading mode off", "Shared Cockpit"));
		fsxEvents.put("ap_panel_heading_set", new FSXEvent("KEY_AP_PANEL_HEADING_SET", "Set heading mode on/off (1,0)", "Shared Cockpit"));
		fsxEvents.put("ap_panel_mach_on", new FSXEvent("KEY_AP_PANEL_MACH_ON", "Turns on mach hold", "Shared Cockpit"));
		fsxEvents.put("ap_panel_mach_off", new FSXEvent("KEY_AP_PANEL_MACH_OFF", "Turns off mach hold", "Shared Cockpit"));
		fsxEvents.put("ap_panel_mach_set", new FSXEvent("KEY_AP_PANEL_MACH_SET", "Sets mach hold on/off (1,0)", "Shared Cockpit"));
		fsxEvents.put("ap_panel_speed_on", new FSXEvent("KEY_AP_PANEL_SPEED_ON", "Turns on speed hold mode", "Shared Cockpit"));
		fsxEvents.put("ap_panel_speed_off", new FSXEvent("KEY_AP_PANEL_SPEED_OFF", "Turns off speed hold mode", "Shared Cockpit"));
		fsxEvents.put("ap_panel_speed_set", new FSXEvent("KEY_AP_PANEL_SPEED_SET", "Set speed hold mode on/off (1,0)", "Shared Cockpit"));
		fsxEvents.put("ap_alt_var_set_english", new FSXEvent("KEY_AP_ALT_VAR_SET_ENGLISH", "Sets altitude reference in feet", "Shared Cockpit"));
		fsxEvents.put("ap_vs_var_set_metric", new FSXEvent("KEY_AP_VS_VAR_SET_METRIC", "Sets vertical speed reference in meters per minute", "Shared Cockpit"));
		fsxEvents.put("toggle_flight_director", new FSXEvent("KEY_TOGGLE_FLIGHT_DIRECTOR", "Toggles flight director on/off", "Shared Cockpit"));
		fsxEvents.put("sync_flight_director_pitch", new FSXEvent("KEY_SYNC_FLIGHT_DIRECTOR_PITCH", "Synchronizes flight director pitch with current aircraft pitch", "Shared Cockpit"));
		fsxEvents.put("increase_autobrake_control", new FSXEvent("KEY_INC_AUTOBRAKE_CONTROL", "Increments autobrake level", "Shared Cockpit"));
		fsxEvents.put("decrease_autobrake_control", new FSXEvent("KEY_DEC_AUTOBRAKE_CONTROL", "Decrements autobrake level", "Shared Cockpit"));
		fsxEvents.put("ap_panel_speed_hold_toggle", new FSXEvent("KEY_AUTOPILOT_AIRSPEED_HOLD_CURRENT", "Turns airspeed hold mode on with current airspeed", "Shared Cockpit"));
		fsxEvents.put("unsupported", new FSXEvent("KEY_AUTOPILOT_PANEL_AIRSPEED_SET", "Sets airspeed reference to current airspeed", "Shared Cockpit"));
		fsxEvents.put("ap_panel_mach_hold_toggle", new FSXEvent("KEY_AUTOPILOT_MACH_HOLD_CURRENT", "Sets mach hold reference to current mach", "Shared Cockpit"));
		fsxEvents.put("ap_nav_select_set", new FSXEvent("KEY_AP_NAV_SELECT_SET", "Sets the nav (1 or 2) which is used by the Nav hold modes", "Shared Cockpit"));
		fsxEvents.put("heading_bug_select", new FSXEvent("KEY_HEADING_BUG_SELECT", "Selects the heading bug for use with +/-", "Shared Cockpit"));
		fsxEvents.put("altitude_bug_select", new FSXEvent("KEY_ALTITUDE_BUG_SELECT", "Selects the altitude reference for use with +/-", "Shared Cockpit"));
		fsxEvents.put("vsi_bug_select", new FSXEvent("KEY_VSI_BUG_SELECT", "Selects the vertical speed reference for use with +/-", "Shared Cockpit"));
		fsxEvents.put("airspeed_bug_select", new FSXEvent("KEY_AIRSPEED_BUG_SELECT", "Selects the airspeed reference for use with +/-", "Shared Cockpit"));
		fsxEvents.put("ap_pitch_ref_inc_up", new FSXEvent("KEY_AP_PITCH_REF_INC_UP", "Increments the pitch reference for pitch hold mode", "Shared Cockpit"));
		fsxEvents.put("ap_pitch_ref_inc_dn", new FSXEvent("KEY_AP_PITCH_REF_INC_DN", "Decrements the pitch reference for pitch hold mode", "Shared Cockpit"));
		fsxEvents.put("ap_pitch_ref_select", new FSXEvent("KEY_AP_PITCH_REF_SELECT", "Selects pitch reference for use with +/-", "Shared Cockpit"));
		fsxEvents.put("ap_att_hold", new FSXEvent("KEY_AP_ATT_HOLD", "Toggle attitude hold mode", "Shared Cockpit"));
		fsxEvents.put("ap_loc_hold", new FSXEvent("KEY_AP_LOC_HOLD", "Toggles localizer (only) hold mode", "Shared Cockpit"));
		fsxEvents.put("ap_apr_hold", new FSXEvent("KEY_AP_APR_HOLD", "Toggles approach hold (localizer and glide-slope)", "Shared Cockpit"));
		fsxEvents.put("ap_hdg_hold", new FSXEvent("KEY_AP_HDG_HOLD", "Toggles heading hold mode", "Shared Cockpit"));
		fsxEvents.put("ap_alt_hold", new FSXEvent("KEY_AP_ALT_HOLD", "Toggles altitude hold mode", "Shared Cockpit"));
		fsxEvents.put("ap_wing_leveler", new FSXEvent("KEY_AP_WING_LEVELER", "Toggles wing leveler mode", "Shared Cockpit"));
		fsxEvents.put("ap_bc_hold", new FSXEvent("KEY_AP_BC_HOLD", "Toggles the backcourse mode for the localizer hold", "Shared Cockpit"));
		fsxEvents.put("ap_nav1_hold", new FSXEvent("KEY_AP_NAV1_HOLD", "Toggles the nav hold mode", "Shared Cockpit"));
		fsxEvents.put("ap_max_bank_inc", new FSXEvent("KEY_AP_MAX_BANK_INC", "Autopilot max bank angle increment. ", "Shared Cockpit"));
		fsxEvents.put("ap_max_bank_dec", new FSXEvent("KEY_AP_MAX_BANK_DEC", "Autopilot max bank angle decrement. ", "Shared Cockpit"));
		fsxEvents.put("ap_n1_hold", new FSXEvent("KEY_AP_N1_HOLD", "Autopilot, hold the N1 percentage at its current level. ", "Shared Cockpit"));
		fsxEvents.put("ap_n1_ref_inc", new FSXEvent("KEY_AP_N1_REF_INC", "Increment the autopilot N1 reference. ", "Shared Cockpit"));
		fsxEvents.put("ap_n1_ref_dec", new FSXEvent("KEY_AP_N1_REF_DEC", "Decrement the autopilot N1 reference. ", "Shared Cockpit"));
		fsxEvents.put("ap_n1_ref_set", new FSXEvent("KEY_AP_N1_REF_SET", "Sets the autopilot N1 reference. ", "Shared Cockpit"));
		fsxEvents.put("fly_by_wire_elac_toggle", new FSXEvent("KEY_FLY_BY_WIRE_ELAC_TOGGLE", "Turn on or off the fly by wire Elevators and Ailerons computer.", "Shared Cockpit"));
		fsxEvents.put("fly_by_wire_fac_toggle", new FSXEvent("KEY_FLY_BY_WIRE_FAC_TOGGLE", "Turn on or off the fly by wire Flight Augmentation computer. ", "Shared Cockpit"));
		fsxEvents.put("fly_by_wire_sec_toggle", new FSXEvent("KEY_FLY_BY_WIRE_SEC_TOGGLE", "Turn on or off the fly by wire Spoilers and Elevators computer.", "Shared Cockpit"));
		fsxEvents.put("g1000_pfd_flightplan_button", new FSXEvent("KEY_G1000_PFD_FLIGHTPLAN_BUTTON", "The primary flight display (PFD) should display its current flight plan. ", "Shared Cockpit"));
		fsxEvents.put("g1000_pfd_procedure_button", new FSXEvent("KEY_G1000_PFD_PROCEDURE_BUTTON", "Turn to the Procedure page. ", "Shared Cockpit"));
		fsxEvents.put("g1000_pfd_zoomin_button", new FSXEvent("KEY_G1000_PFD_ZOOMIN_BUTTON", "Zoom in on the current map. ", "Shared Cockpit"));
		fsxEvents.put("g1000_pfd_zoomout_button", new FSXEvent("KEY_G1000_PFD_ZOOMOUT_BUTTON", "Zoom out on the current map. ", "Shared Cockpit"));
		fsxEvents.put("g1000_pfd_directto_button", new FSXEvent("KEY_G1000_PFD_DIRECTTO_BUTTON", "Turn to the Direct To page. ", "Shared Cockpit"));
		fsxEvents.put("g1000_pfd_menu_button", new FSXEvent("KEY_G1000_PFD_MENU_BUTTON", "If a segmented flight plan is highlighted, activates the associated menu. ", "Shared Cockpit"));
		fsxEvents.put("g1000_pfd_clear_button", new FSXEvent("KEY_G1000_PFD_CLEAR_BUTTON", "Clears the current input. ", "Shared Cockpit"));
		fsxEvents.put("g1000_pfd_enter_button", new FSXEvent("KEY_G1000_PFD_ENTER_BUTTON", "Enters the current input. ", "Shared Cockpit"));
		fsxEvents.put("g1000_pfd_cursor_button", new FSXEvent("KEY_G1000_PFD_CURSOR_BUTTON", "Turns on or off a screen cursor. ", "Shared Cockpit"));
		fsxEvents.put("g1000_pfd_group_knob_inc", new FSXEvent("KEY_G1000_PFD_GROUP_KNOB_INC", "Step up through the page groups. ", "Shared Cockpit"));
		fsxEvents.put("g1000_pfd_group_knob_dec", new FSXEvent("KEY_G1000_PFD_GROUP_KNOB_DEC", "Step down through the page groups. ", "Shared Cockpit"));
		fsxEvents.put("g1000_pfd_page_knob_inc", new FSXEvent("KEY_G1000_PFD_PAGE_KNOB_INC", "Step up through the individual pages. ", "Shared Cockpit"));
		fsxEvents.put("g1000_pfd_page_knob_dec", new FSXEvent("KEY_G1000_PFD_PAGE_KNOB_DEC", "Step down through the individual pages. ", "Shared Cockpit"));
		//fsEventMap.put("G1000_PFD_SOFTKEY1, to G1000_PFD_SOFTKEY12 ", "KEY_G1000_PFD_SOFTKEY1, to KEY_G1000_PFD_SOFTKEY12 ", "Initiate the action for the icon displayed in the softkey position. ", "Shared Cockpit"));
		fsxEvents.put("g1000_mfd_flightplan_button", new FSXEvent("KEY_G1000_MFD_FLIGHTPLAN_BUTTON", "The multifunction display (MFD) should display its current flight plan. ", "Shared Cockpit"));
		fsxEvents.put("g1000_mfd_procedure_button", new FSXEvent("KEY_G1000_MFD_PROCEDURE_BUTTON", "Turn to the Procedure page. ", "Shared Cockpit"));
		fsxEvents.put("g1000_mfd_zoomin_button", new FSXEvent("KEY_G1000_MFD_ZOOMIN_BUTTON", "Zoom in on the current map. ", "Shared Cockpit"));
		fsxEvents.put("g1000_mfd_zoomout_button", new FSXEvent("KEY_G1000_MFD_ZOOMOUT_BUTTON", "Zoom out on the current map. ", "Shared Cockpit"));
		fsxEvents.put("g1000_mfd_directto_button", new FSXEvent("KEY_G1000_MFD_DIRECTTO_BUTTON", "Turn to the Direct To page. ", "Shared Cockpit"));
		fsxEvents.put("g1000_mfd_menu_button", new FSXEvent("KEY_G1000_MFD_MENU_BUTTON", "If a segmented flight plan is highlighted, activates the associated menu. ", "Shared Cockpit"));
		fsxEvents.put("g1000_mfd_clear_button", new FSXEvent("KEY_G1000_MFD_CLEAR_BUTTON", "Clears the current input. ", "Shared Cockpit"));
		fsxEvents.put("g1000_mfd_enter_button", new FSXEvent("KEY_G1000_MFD_ENTER_BUTTON", "Enters the current input. ", "Shared Cockpit"));
		fsxEvents.put("g1000_mfd_cursor_button", new FSXEvent("KEY_G1000_MFD_CURSOR_BUTTON", "Turns on or off a screen cursor. ", "Shared Cockpit"));
		fsxEvents.put("g1000_mfd_group_knob_inc", new FSXEvent("KEY_G1000_MFD_GROUP_KNOB_INC", "Step up through the page groups. ", "Shared Cockpit"));
		fsxEvents.put("g1000_mfd_group_knob_dec", new FSXEvent("KEY_G1000_MFD_GROUP_KNOB_DEC", "Step down through the page groups. ", "Shared Cockpit"));
		fsxEvents.put("g1000_mfd_page_knob_inc", new FSXEvent("KEY_G1000_MFD_PAGE_KNOB_INC", "Step up through the individual pages. ", "Shared Cockpit"));
		fsxEvents.put("g1000_mfd_page_knob_dec", new FSXEvent("KEY_G1000_MFD_PAGE_KNOB_DEC", "Step down through the individual pages. ", "Shared Cockpit"));
		//fsEventMap.put("G1000_MFD_SOFTKEY1, to G1000_MFD_SOFTKEY2 ", "KEY_G1000_MFD_SOFTKEY1, to KEY_G1000_MFD_SOFTKEY12 ", "Initiate the action for the icon displayed in the softkey position. ", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_off", new FSXEvent("KEY_FUEL_SELECTOR_OFF", "Turns selector 1 to OFF position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_all", new FSXEvent("KEY_FUEL_SELECTOR_ALL", "Turns selector 1 to ALL position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_left", new FSXEvent("KEY_FUEL_SELECTOR_LEFT", "Turns selector 1 to LEFT position (burns from tip then aux then main)", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_right", new FSXEvent("KEY_FUEL_SELECTOR_RIGHT", "Turns selector 1 to RIGHT position (burns from tip then aux then main)", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_left_aux", new FSXEvent("KEY_FUEL_SELECTOR_LEFT_AUX", "Turns selector 1 to LEFT AUX position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_right_aux", new FSXEvent("KEY_FUEL_SELECTOR_RIGHT_AUX", "Turns selector 1 to RIGHT AUX position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_center", new FSXEvent("KEY_FUEL_SELECTOR_CENTER", "Turns selector 1 to CENTER position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_set", new FSXEvent("KEY_FUEL_SELECTOR_SET", "Sets selector 1 position (see code list below)", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_2_off", new FSXEvent("KEY_FUEL_SELECTOR_2_OFF", "Turns selector 2 to OFF position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_2_all", new FSXEvent("KEY_FUEL_SELECTOR_2_ALL", "Turns selector 2 to ALL position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_2_left", new FSXEvent("KEY_FUEL_SELECTOR_2_LEFT", "Turns selector 2 to LEFT position (burns from tip then aux then main)", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_2_right", new FSXEvent("KEY_FUEL_SELECTOR_2_RIGHT", "Turns selector 2 to RIGHT position (burns from tip then aux then main)", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_2_left_aux", new FSXEvent("KEY_FUEL_SELECTOR_2_LEFT_AUX", "Turns selector 2 to LEFT AUX position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_2_right_aux", new FSXEvent("KEY_FUEL_SELECTOR_2_RIGHT_AUX", "Turns selector 2 to RIGHT AUX position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_2_center", new FSXEvent("KEY_FUEL_SELECTOR_2_CENTER", "Turns selector 2 to CENTER position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_2_set", new FSXEvent("KEY_FUEL_SELECTOR_2_SET", "Sets selector 2 position (see code list below)", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_3_off", new FSXEvent("KEY_FUEL_SELECTOR_3_OFF ", "Turns selector 3 to OFF position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_3_all", new FSXEvent("KEY_FUEL_SELECTOR_3_ALL ", "Turns selector 3 to ALL position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_3_left", new FSXEvent("KEY_FUEL_SELECTOR_3_LEFT ", "Turns selector 3 to LEFT position (burns from tip then aux then main)", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_3_right", new FSXEvent("KEY_FUEL_SELECTOR_3_RIGHT ", "Turns selector 3 to RIGHT position (burns from tip then aux then main)", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_3_left_aux", new FSXEvent("KEY_FUEL_SELECTOR_3_LEFT_AUX ", "Turns selector 3 to LEFT AUX position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_3_right_aux", new FSXEvent("KEY_FUEL_SELECTOR_3_RIGHT_AUX ", "Turns selector 3 to RIGHT AUX position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_3_center", new FSXEvent("KEY_FUEL_SELECTOR_3_CENTER ", "Turns selector 3 to CENTER position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_3_set", new FSXEvent("KEY_FUEL_SELECTOR_3_SET ", "Sets selector 3 position (see code list below)", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_4_off", new FSXEvent("KEY_FUEL_SELECTOR_4_OFF ", "Turns selector 4 to OFF position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_4_all", new FSXEvent("KEY_FUEL_SELECTOR_4_ALL ", "Turns selector 4 to ALL position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_4_left", new FSXEvent("KEY_FUEL_SELECTOR_4_LEFT ", "Turns selector 4 to LEFT position (burns from tip then aux then main)", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_4_right", new FSXEvent("KEY_FUEL_SELECTOR_4_RIGHT ", "Turns selector 4 to RIGHT position (burns from tip then aux then main)", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_4_left_aux", new FSXEvent("KEY_FUEL_SELECTOR_4_LEFT_AUX ", "Turns selector 4 to LEFT AUX position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_4_right_aux", new FSXEvent("KEY_FUEL_SELECTOR_4_RIGHT_AUX ", "Turns selector 4 to RIGHT AUX position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_4_center", new FSXEvent("KEY_FUEL_SELECTOR_4_CENTER ", "Turns selector 4 to CENTER position", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_4_set", new FSXEvent("KEY_FUEL_SELECTOR_4_SET ", "Sets selector 4 position (see code list below)", "Shared Cockpit"));
		fsxEvents.put("cross_feed_open", new FSXEvent("KEY_CROSS_FEED_OPEN ", "Opens cross feed valve (when used in conjunction with 'isolate' tank)", "Shared Cockpit"));
		fsxEvents.put("cross_feed_toggle", new FSXEvent("KEY_CROSS_FEED_TOGGLE ", "Toggles crossfeed valve (when used in conjunction with 'isolate' tank)", "Shared Cockpit"));
		fsxEvents.put("cross_feed_off", new FSXEvent("KEY_CROSS_FEED_OFF", "Closes crossfeed valve (when used in conjunction with 'isolate' tank)", "Shared Cockpit"));
		fsxEvents.put("fuel_dump_switch_set", new FSXEvent("KEY_FUEL_DUMP_SWITCH_SET", "Set to True or False. The switch can only be set to True if fuel_dump_rate is specified in the aircraft configuration file, which indicates that a fuel dump system exists. ", "Shared Cockpit"));
		fsxEvents.put("antidetonation_tank_valve_toggle", new FSXEvent("KEY_TOGGLE_ANTIDETONATION_TANK_VALVE", "Toggle the antidetonation valve. Pass a value to determine which tank, if there are multiple tanks, to use. Tanks are indexed from 1. Refer to the document Notes on Aircraft Systems.", "Shared Cockpit"));
		fsxEvents.put("nitrous_tank_valve_toggle", new FSXEvent("KEY_TOGGLE_NITROUS_TANK_VALVE", "Toggle the nitrous valve. Pass a value to determine which tank, if there are multiple tanks, to use. Tanks are indexed from 1. ", "Shared Cockpit"));
		fsxEvents.put("repair_and_refuel", new FSXEvent("KEY_REPAIR_AND_REFUEL", "Fully repair and refuel the user aircraft. Ignored if flight realism is enforced. ", "Shared Cockpit"));
		fsxEvents.put("fuel_dump_toggle", new FSXEvent("KEY_FUEL_DUMP_TOGGLE", "Turns on or off the fuel dump switch. ", "Shared Cockpit"));
		fsxEvents.put("request_fuel_key", new FSXEvent("KEY_REQUEST_FUEL", "Request a fuel truck. The aircraft must be in a parking spot for this to be successful. ", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_left_main", new FSXEvent("KEY_FUEL_SELECTOR_LEFT_MAIN", "Sets the fuel selector. Fuel will be taken in the order left tip, left aux, then main fuel tanks. ", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_2_left_main", new FSXEvent("KEY_FUEL_SELECTOR_2_LEFT_MAIN", "Sets the fuel selector for engine 2. ", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_3_left_main", new FSXEvent("KEY_FUEL_SELECTOR_3_LEFT_MAIN", "Sets the fuel selector for engine 3. ", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_4_left_main", new FSXEvent("KEY_FUEL_SELECTOR_4_LEFT_MAIN", "Sets the fuel selector for engine 4. ", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_right_main", new FSXEvent("KEY_FUEL_SELECTOR_RIGHT_MAIN", "Sets the fuel selector. Fuel will be taken in the order right tip, right aux, then main fuel tanks. ", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_2_right_main", new FSXEvent("KEY_FUEL_SELECTOR_2_RIGHT_MAIN", "Sets the fuel selector for engine 2. ", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_3_right_main", new FSXEvent("KEY_FUEL_SELECTOR_3_RIGHT_MAIN", "Sets the fuel selector for engine 3. ", "Shared Cockpit"));
		fsxEvents.put("fuel_selector_4_right_main", new FSXEvent("KEY_FUEL_SELECTOR_4_RIGHT_MAIN", "Sets the fuel selector for engine 4. ", "Shared Cockpit"));
		fsxEvents.put("xpndr", new FSXEvent("KEY_XPNDR", "Sequentially selects the transponder digits for use with +/-. ", "Shared Cockpit"));
		fsxEvents.put("adf", new FSXEvent("KEY_ADF", "Sequentially selects the ADF tuner digits for use with +/-. Follow by KEY_SELECT_2 for ADF 2.", "Shared Cockpit"));
		fsxEvents.put("dme", new FSXEvent("KEY_DME", "Selects the DME for use with +/-", "Shared Cockpit"));
		fsxEvents.put("com_radio", new FSXEvent("KEY_COM_RADIO", "Sequentially selects the COM tuner digits for use with +/-. Follow by KEY_SELECT_2 for COM 2.", "All aircraft"));
		fsxEvents.put("vor_obs", new FSXEvent("KEY_VOR_OBS", "Sequentially selects the VOR OBS for use with +/-. Follow by KEY_SELECT_2 for VOR 2.", "Shared Cockpit"));
		fsxEvents.put("nav_radio", new FSXEvent("KEY_NAV_RADIO", "Sequentially selects the NAV tuner digits for use with +/-. Follow by KEY_SELECT_2 for NAV 2.", "Shared Cockpit"));
		fsxEvents.put("com_radio_whole_dec", new FSXEvent("KEY_COM_RADIO_WHOLE_DEC", "Decrements COM by one MHz", "All aircraft"));
		fsxEvents.put("com_radio_whole_inc", new FSXEvent("KEY_COM_RADIO_WHOLE_INC", "Increments COM by one MHz", "All aircraft"));
		fsxEvents.put("com_radio_fract_dec", new FSXEvent("KEY_COM_RADIO_FRACT_DEC", "Decrements COM by 25 KHz", "All aircraft"));
		fsxEvents.put("com_radio_fract_inc", new FSXEvent("KEY_COM_RADIO_FRACT_INC", "Increments COM by 25 KHz", "All aircraft"));
		fsxEvents.put("nav1_radio_whole_dec", new FSXEvent("KEY_NAV1_RADIO_WHOLE_DEC", "Decrements Nav 1 by one MHz", "Shared Cockpit"));
		fsxEvents.put("nav1_radio_whole_inc", new FSXEvent("KEY_NAV1_RADIO_WHOLE_INC", "Increments Nav 1 by one MHz", "Shared Cockpit"));
		fsxEvents.put("nav1_radio_fract_dec", new FSXEvent("KEY_NAV1_RADIO_FRACT_DEC", "Decrements Nav 1 by 25 KHz", "Shared Cockpit"));
		fsxEvents.put("nav1_radio_fract_inc", new FSXEvent("KEY_NAV1_RADIO_FRACT_INC", "Increments Nav 1 by 25 KHz", "Shared Cockpit"));
		fsxEvents.put("nav2_radio_whole_dec", new FSXEvent("KEY_NAV2_RADIO_WHOLE_DEC", "Decrements Nav 2 by one MHz", "Shared Cockpit"));
		fsxEvents.put("nav2_radio_whole_inc", new FSXEvent("KEY_NAV2_RADIO_WHOLE_INC", "Increments Nav 2 by one MHz", "Shared Cockpit"));
		fsxEvents.put("nav2_radio_fract_dec", new FSXEvent("KEY_NAV2_RADIO_FRACT_DEC", "Decrements Nav 2 by 25 KHz", "Shared Cockpit"));
		fsxEvents.put("nav2_radio_fract_inc", new FSXEvent("KEY_NAV2_RADIO_FRACT_INC", "Increments Nav 2 by 25 KHz", "Shared Cockpit"));
		fsxEvents.put("adf_100_inc", new FSXEvent("KEY_ADF_100_INC", "Increments ADF by 100 KHz", "Shared Cockpit"));
		fsxEvents.put("adf_10_inc", new FSXEvent("KEY_ADF_10_INC", "Increments ADF by 10 KHz", "Shared Cockpit"));
		fsxEvents.put("adf_1_inc", new FSXEvent("KEY_ADF_1_INC", "Increments ADF by 1 KHz", "Shared Cockpit"));
		fsxEvents.put("xpndr_1000_inc", new FSXEvent("KEY_XPNDR_1000_INC", "Increments first digit of transponder ", "Shared Cockpit"));
		fsxEvents.put("xpndr_100_inc", new FSXEvent("KEY_XPNDR_100_INC", "Increments second digit of transponder ", "Shared Cockpit"));
		fsxEvents.put("xpndr_10_inc", new FSXEvent("KEY_XPNDR_10_INC", "Increments third digit of transponder ", "Shared Cockpit"));
		fsxEvents.put("xpndr_1_inc", new FSXEvent("KEY_XPNDR_1_INC", "Increments fourth digit of transponder ", "Shared Cockpit"));
		fsxEvents.put("vor1_obi_dec", new FSXEvent("KEY_VOR1_OBI_DEC", "Decrements the VOR 1 OBS setting", "Shared Cockpit"));
		fsxEvents.put("vor1_obi_inc", new FSXEvent("KEY_VOR1_OBI_INC", "Increments the VOR 1 OBS setting", "Shared Cockpit"));
		fsxEvents.put("vor2_obi_dec", new FSXEvent("KEY_VOR2_OBI_DEC", "Decrements the VOR 2 OBS setting", "Shared Cockpit"));
		fsxEvents.put("vor2_obi_inc", new FSXEvent("KEY_VOR2_OBI_INC", "Increments the VOR 2 OBS setting", "Shared Cockpit"));
		fsxEvents.put("adf_100_dec", new FSXEvent("KEY_ADF_100_DEC", "Decrements ADF by 100 KHz", "Shared Cockpit"));
		fsxEvents.put("adf_10_dec", new FSXEvent("KEY_ADF_10_DEC", "Decrements ADF by 10 KHz", "Shared Cockpit"));
		fsxEvents.put("adf_1_dec", new FSXEvent("KEY_ADF_1_DEC", "Decrements ADF by 1 KHz", "Shared Cockpit"));
		fsxEvents.put("com_radio_set", new FSXEvent("KEY_COM_RADIO_SET", "Sets COM frequency (BCD Hz)", "All aircraft"));
		fsxEvents.put("nav1_radio_set", new FSXEvent("KEY_NAV1_RADIO_SET", "Sets NAV 1 frequency (BCD Hz)", "Shared Cockpit"));
		fsxEvents.put("nav2_radio_set", new FSXEvent("KEY_NAV2_RADIO_SET", "Sets NAV 2 frequency (BCD Hz)", "Shared Cockpit"));
		fsxEvents.put("adf_set", new FSXEvent("KEY_ADF_SET", "Sets ADF frequency (BCD Hz)", "Shared Cockpit"));
		fsxEvents.put("xpndr_set", new FSXEvent("KEY_XPNDR_SET", "Sets transponder code (BCD)", "All aircraft"));
		fsxEvents.put("vor1_set", new FSXEvent("KEY_VOR1_SET", "Sets OBS 1 (0 to 360)", "Shared Cockpit"));
		fsxEvents.put("vor2_set", new FSXEvent("KEY_VOR2_SET", "Sets OBS 2 (0 to 360)", "Shared Cockpit"));
		fsxEvents.put("dme1_toggle", new FSXEvent("KEY_DME1_TOGGLE", "Sets DME display to Nav 1", "Shared Cockpit"));
		fsxEvents.put("dme2_toggle", new FSXEvent("KEY_DME2_TOGGLE", "Sets DME display to Nav 2", "Shared Cockpit"));
		fsxEvents.put("radio_vor1_ident_disable", new FSXEvent("KEY_RADIO_VOR1_IDENT_DISABLE", "Turns NAV 1 ID off", "Shared Cockpit"));
		fsxEvents.put("radio_vor2_ident_disable", new FSXEvent("KEY_RADIO_VOR2_IDENT_DISABLE", "Turns NAV 2 ID off", "Shared Cockpit"));
		fsxEvents.put("radio_dme1_ident_disable", new FSXEvent("KEY_RADIO_DME1_IDENT_DISABLE", "Turns DME 1 ID off", "Shared Cockpit"));
		fsxEvents.put("radio_dme2_ident_disable", new FSXEvent("KEY_RADIO_DME2_IDENT_DISABLE", "Turns DME 2 ID off", "Shared Cockpit"));
		fsxEvents.put("radio_adf_ident_disable", new FSXEvent("KEY_RADIO_ADF_IDENT_DISABLE", "Turns ADF 1 ID off", "Shared Cockpit"));
		fsxEvents.put("radio_vor1_ident_enable", new FSXEvent("KEY_RADIO_VOR1_IDENT_ENABLE", "Turns NAV 1 ID on", "Shared Cockpit"));
		fsxEvents.put("radio_vor2_ident_enable", new FSXEvent("KEY_RADIO_VOR2_IDENT_ENABLE", "Turns NAV 2 ID on", "Shared Cockpit"));
		fsxEvents.put("radio_dme1_ident_enable", new FSXEvent("KEY_RADIO_DME1_IDENT_ENABLE", "Turns DME 1 ID on", "Shared Cockpit"));
		fsxEvents.put("radio_dme2_ident_enable", new FSXEvent("KEY_RADIO_DME2_IDENT_ENABLE", "Turns DME 2 ID on", "Shared Cockpit"));
		fsxEvents.put("radio_adf_ident_enable", new FSXEvent("KEY_RADIO_ADF_IDENT_ENABLE", "Turns ADF 1 ID on", "Shared Cockpit"));
		fsxEvents.put("radio_vor1_ident_toggle", new FSXEvent("KEY_RADIO_VOR1_IDENT_TOGGLE", "Toggles NAV 1 ID", "Shared Cockpit"));
		fsxEvents.put("radio_vor2_ident_toggle", new FSXEvent("KEY_RADIO_VOR2_IDENT_TOGGLE", "Toggles NAV 2 ID", "Shared Cockpit"));
		fsxEvents.put("radio_dme1_ident_toggle", new FSXEvent("KEY_RADIO_DME1_IDENT_TOGGLE", "Toggles DME 1 ID", "Shared Cockpit"));
		fsxEvents.put("radio_dme2_ident_toggle", new FSXEvent("KEY_RADIO_DME2_IDENT_TOGGLE", "Toggles DME 2 ID", "Shared Cockpit"));
		fsxEvents.put("radio_adf_ident_toggle", new FSXEvent("KEY_RADIO_ADF_IDENT_TOGGLE", "Toggles ADF 1 ID ", "Shared Cockpit"));
		fsxEvents.put("radio_vor1_ident_set", new FSXEvent("KEY_RADIO_VOR1_IDENT_SET", "Sets NAV 1 ID (on/off)", "Shared Cockpit"));
		fsxEvents.put("radio_vor2_ident_set", new FSXEvent("KEY_RADIO_VOR2_IDENT_SET", "Sets NAV 2 ID (on/off)", "Shared Cockpit"));
		fsxEvents.put("radio_dme1_ident_set", new FSXEvent("KEY_RADIO_DME1_IDENT_SET", "Sets DME 1 ID (on/off)", "Shared Cockpit"));
		fsxEvents.put("radio_dme2_ident_set", new FSXEvent("KEY_RADIO_DME2_IDENT_SET", "Sets DME 2 ID (on/off)", "Shared Cockpit"));
		fsxEvents.put("radio_adf_ident_set", new FSXEvent("KEY_RADIO_ADF_IDENT_SET", "Sets ADF 1 ID (on/off)", "Shared Cockpit"));
		fsxEvents.put("adf_card_inc", new FSXEvent("KEY_ADF_CARD_INC", "Increments ADF card", "Shared Cockpit"));
		fsxEvents.put("adf_card_dec", new FSXEvent("KEY_ADF_CARD_DEC", "Decrements ADF card", "Shared Cockpit"));
		fsxEvents.put("adf_card_set", new FSXEvent("KEY_ADF_CARD_SET", "Sets ADF card (0-360)", "Shared Cockpit"));
		fsxEvents.put("toggle_dme", new FSXEvent("KEY_DME_TOGGLE", "Toggles between NAV 1 and NAV 2", "Shared Cockpit"));
		fsxEvents.put("avionics_master_set", new FSXEvent("KEY_AVIONICS_MASTER_SET", "Sets the avionics master switch ", "All aircraft "));
		fsxEvents.put("toggle_avionics_master", new FSXEvent("KEY_TOGGLE_AVIONICS_MASTER", "Toggles the avionics master switch", "All aircraft"));
		fsxEvents.put("com_stby_radio_set", new FSXEvent("KEY_COM_STBY_RADIO_SET", "Sets COM 1 standby frequency (BCD Hz)", "All aircraft"));
		fsxEvents.put("com_stby_radio_swap", new FSXEvent("KEY_COM_STBY_RADIO_SWITCH_TO, or KEY_COM_RADIO_SWAP", "Swaps COM 1 frequency with standby", "All aircraft "));
		fsxEvents.put("com_radio_fract_dec_carry", new FSXEvent("KEY_COM_RADIO_FRACT_DEC_CARRY", "Decrement COM 1 frequency by 25 KHz, and carry when digit wraps", "All aircraft"));
		fsxEvents.put("com_radio_fract_inc_carry", new FSXEvent("KEY_COM_RADIO_FRACT_INC_CARRY", "Increment COM 1 frequency by 25 KHz, and carry when digit wraps", "All aircraft"));
		fsxEvents.put("com2_radio_whole_dec", new FSXEvent("KEY_COM2_RADIO_WHOLE_DEC", "Decrement COM 2 frequency by 1 MHz, with no carry when digit wraps", "All aircraft"));
		fsxEvents.put("com2_radio_whole_inc", new FSXEvent("KEY_COM2_RADIO_WHOLE_INC", "Increment COM 2 frequency by 1 MHz, with no carry when digit wraps", "All aircraft"));
		fsxEvents.put("com2_radio_fract_dec", new FSXEvent("KEY_COM2_RADIO_FRACT_DEC", "Decrement COM 2 frequency by 25 KHz, with no carry when digit wraps", "All aircraft"));
		fsxEvents.put("com2_radio_fract_dec_carry", new FSXEvent("KEY_COM2_RADIO_FRACT_DEC_CARRY", "Decrement COM 2 frequency by 25 KHz, and carry when digit wraps", "All aircraft"));
		fsxEvents.put("com2_radio_fract_inc", new FSXEvent("KEY_COM2_RADIO_FRACT_INC", "Increment COM 2 frequency by 25 KHz, with no carry when digit wraps", "All aircraft"));
		fsxEvents.put("com2_radio_fract_inc_carry", new FSXEvent("KEY_COM2_RADIO_FRACT_INC_CARRY", "Increment COM 2 frequency by 25 KHz, and carry when digit wraps", "All aircraft"));
		fsxEvents.put("com2_radio_set", new FSXEvent("KEY_COM2_RADIO_SET", "Sets COM 2 frequency (BCD Hz)", "All aircraft"));
		fsxEvents.put("com2_stby_radio_set", new FSXEvent("KEY_COM2_STBY_RADIO_SET", "Sets COM 2 standby frequency (BCD Hz)", "All aircraft"));
		fsxEvents.put("com2_radio_swap", new FSXEvent("KEY_COM2_RADIO_SWAP", "Swaps COM 2 frequency with standby", "All aircraft"));
		fsxEvents.put("nav1_radio_fract_dec_carry", new FSXEvent("KEY_NAV1_RADIO_FRACT_DEC_CARRY", "Decrement NAV 1 frequency by 50 KHz, and carry when digit wraps", "Shared Cockpit"));
		fsxEvents.put("nav1_radio_fract_inc_carry", new FSXEvent("KEY_NAV1_RADIO_FRACT_INC_CARRY", "Increment NAV 1 frequency by 50 KHz, and carry when digit wraps", "Shared Cockpit"));
		fsxEvents.put("nav1_stby_set", new FSXEvent("KEY_NAV1_STBY_SET", "Sets NAV 1 standby frequency (BCD Hz)", "Shared Cockpit"));
		fsxEvents.put("nav1_radio_swap", new FSXEvent("KEY_NAV1_RADIO_SWAP", "Swaps NAV 1 frequency with standby", "Shared Cockpit"));
		fsxEvents.put("nav2_radio_fract_dec_carry", new FSXEvent("KEY_NAV2_RADIO_FRACT_DEC_CARRY", "Decrement NAV 2 frequency by 50 KHz, and carry when digit wraps", "Shared Cockpit"));
		fsxEvents.put("nav2_radio_fract_inc_carry", new FSXEvent("KEY_NAV2_RADIO_FRACT_INC_CARRY", "Increment NAV 2 frequency by 50 KHz, and carry when digit wraps", "Shared Cockpit"));
		fsxEvents.put("nav2_stby_set", new FSXEvent("KEY_NAV2_STBY_SET", "Sets NAV 2 standby frequency (BCD Hz)", "Shared Cockpit"));
		fsxEvents.put("nav2_radio_swap", new FSXEvent("KEY_NAV2_RADIO_SWAP", "Swaps NAV 2 frequency with standby", "Shared Cockpit"));
		fsxEvents.put("adf1_radio_tenths_dec", new FSXEvent("KEY_ADF1_RADIO_TENTHS_DEC", "Decrements ADF 1 by 0.1 KHz.", "Shared Cockpit"));
		fsxEvents.put("adf1_radio_tenths_inc", new FSXEvent("KEY_ADF1_RADIO_TENTHS_INC", "Increments ADF 1 by 0.1 KHz.", "Shared Cockpit"));
		fsxEvents.put("xpndr_1000_dec", new FSXEvent("KEY_XPNDR_1000_DEC", "Decrements first digit of transponder ", "Shared Cockpit"));
		fsxEvents.put("xpndr_100_dec", new FSXEvent("KEY_XPNDR_100_DEC", "Decrements second digit of transponder ", "Shared Cockpit"));
		fsxEvents.put("xpndr_10_dec", new FSXEvent("KEY_XPNDR_10_DEC", "Decrements third digit of transponder ", "Shared Cockpit"));
		fsxEvents.put("xpndr_1_dec", new FSXEvent("KEY_XPNDR_1_DEC", "Decrements fourth digit of transponder ", "Shared Cockpit"));
		fsxEvents.put("xpndr_dec_carry", new FSXEvent("KEY_XPNDR_DEC_CARRY", "Decrements fourth digit of transponder, and with carry.", "Shared Cockpit"));
		fsxEvents.put("xpndr_inc_carry", new FSXEvent("KEY_XPNDR_INC_CARRY", "Increments fourth digit of transponder, and with carry.", "Shared Cockpit"));
		fsxEvents.put("adf_fract_dec_carry", new FSXEvent("KEY_ADF_FRACT_DEC_CARRY", "Decrements ADF 1 frequency by 0.1 KHz, with carry", "Shared Cockpit"));
		fsxEvents.put("adf_fract_inc_carry", new FSXEvent("KEY_ADF_FRACT_INC_CARRY", "Increments ADF 1 frequency by 0.1 KHz, with carry", "Shared Cockpit"));
		fsxEvents.put("com1_transmit_select", new FSXEvent("KEY_COM1_TRANSMIT_SELECT", "Selects COM 1 to transmit", "All aircraft"));
		fsxEvents.put("com2_transmit_select", new FSXEvent("KEY_COM2_TRANSMIT_SELECT", "Selects COM 2 to transmit", "All aircraft"));
		fsxEvents.put("com_receive_all_toggle", new FSXEvent("KEY_COM_RECEIVE_ALL_TOGGLE", "Toggles all COM radios to receive on", "All aircraft"));
		fsxEvents.put("com_receive_all_set", new FSXEvent("KEY_COM_RECEIVE_ALL_SET", "Sets whether to receive on all COM radios (1,0)", "All aircraft"));
		fsxEvents.put("marker_sound_toggle", new FSXEvent("KEY_MARKER_SOUND_TOGGLE", "Toggles marker beacon sound on/off", "Shared Cockpit"));
		fsxEvents.put("unsupported", new FSXEvent("KEY_MARKER_SOUND_SET", "Sets marker beacon sound (1, 0)", "Shared Cockpit"));
		fsxEvents.put("adf_complete_set", new FSXEvent("KEY_ADF_COMPLETE_SET", "Sets ADF 1 frequency (BCD Hz)", "Shared Cockpit"));
		fsxEvents.put("adf1_whole_inc", new FSXEvent("KEY_ADF_WHOLE_INC", "Increments ADF 1 by 1 KHz, with carry as digits wrap.", "Shared Cockpit"));
		fsxEvents.put("adf1_whole_dec", new FSXEvent("KEY_ADF_WHOLE_DEC", "Decrements ADF 1 by 1 KHz, with carry as digits wrap.", "Shared Cockpit"));
		fsxEvents.put("adf2_100_inc", new FSXEvent("KEY_ADF2_100_INC", "Increments the ADF 2 frequency 100 digit, with wrapping", "Shared Cockpit"));
		fsxEvents.put("adf2_10_inc", new FSXEvent("KEY_ADF2_10_INC", "Increments the ADF 2 frequency 10 digit, with wrapping", "Shared Cockpit"));
		fsxEvents.put("adf2_1_inc", new FSXEvent("KEY_ADF2_1_INC", "Increments the ADF 2 frequency 1 digit, with wrapping", "Shared Cockpit"));
		fsxEvents.put("adf2_radio_tenths_inc", new FSXEvent("KEY_ADF2_RADIO_TENTHS_INC", "Increments ADF 2 frequency 1/10 digit, with wrapping", "Shared Cockpit"));
		fsxEvents.put("adf2_100_dec", new FSXEvent("KEY_ADF2_100_DEC", "Decrements the ADF 2 frequency 100 digit, with wrapping", "Shared Cockpit"));
		fsxEvents.put("adf2_10_dec", new FSXEvent("KEY_ADF2_10_DEC", "Decrements the ADF 2 frequency 10 digit, with wrapping", "Shared Cockpit"));
		fsxEvents.put("adf2_1_dec", new FSXEvent("KEY_ADF2_1_DEC", "Decrements the ADF 2 frequency 1 digit, with wrapping", "Shared Cockpit"));
		fsxEvents.put("adf2_radio_tenths_dec", new FSXEvent("KEY_ADF2_RADIO_TENTHS_DEC", "Decrements ADF 2 frequency 1/10 digit, with wrapping", "Shared Cockpit"));
		fsxEvents.put("adf2_whole_inc", new FSXEvent("KEY_ADF2_WHOLE_INC", "Increments ADF 2 by 1 KHz, with carry as digits wrap.", "Shared Cockpit"));
		fsxEvents.put("adf2_whole_dec", new FSXEvent("KEY_ADF2_WHOLE_DEC", "Decrements ADF 2 by 1 KHz, with carry as digits wrap.", "Shared Cockpit"));
		fsxEvents.put("adf2_fract_dec_carry", new FSXEvent("KEY_ADF2_FRACT_INC_CARRY", "Decrements ADF 2 frequency by 0.1 KHz, with carry", "Shared Cockpit"));
		fsxEvents.put("adf2_fract_inc_carry", new FSXEvent("KEY_ADF2_FRACT_DEC_CARRY", "Increments ADF 2 frequency by 0.1 KHz, with carry", "Shared Cockpit"));
		fsxEvents.put("adf2_complete_set", new FSXEvent("KEY_ADF2_COMPLETE_SET", "Sets ADF 1 frequency (BCD Hz)", "Shared Cockpit"));
		fsxEvents.put("radio_adf2_ident_disable", new FSXEvent("KEY_RADIO_ADF2_IDENT_DISABLE", "Turns ADF 2 ID off", "Shared Cockpit"));
		fsxEvents.put("radio_adf2_ident_enable", new FSXEvent("KEY_RADIO_ADF2_IDENT_ENABLE", "Turns ADF 2 ID on", "Shared Cockpit"));
		fsxEvents.put("radio_adf2_ident_toggle", new FSXEvent("KEY_RADIO_ADF2_IDENT_TOGGLE", "Toggles ADF 2 ID", "Shared Cockpit"));
		fsxEvents.put("radio_adf2_ident_set", new FSXEvent("KEY_RADIO_ADF2_IDENT_SET", "Sets ADF 2 ID on/off (1,0)", "Shared Cockpit"));
		fsxEvents.put("frequency_swap", new FSXEvent("KEY_FREQUENCY_SWAP", "Swaps frequency with standby on whichever NAV or COM radio is selected.", "Shared Cockpit"));
		fsxEvents.put("toggle_gps_drives_nav1", new FSXEvent("KEY_TOGGLE_GPS_DRIVES_NAV1", "Toggles between GPS and NAV 1 driving NAV 1 OBS display (and AP)", "Shared Cockpit"));
		fsxEvents.put("gps_power_button", new FSXEvent("KEY_GPS_POWER_BUTTON ", "Toggles power button", "Shared Cockpit"));
		fsxEvents.put("gps_nearest_button", new FSXEvent("KEY_GPS_NEAREST_BUTTON ", "Selects Nearest Airport Page", "Shared Cockpit"));
		fsxEvents.put("gps_obs_button", new FSXEvent("KEY_GPS_OBS_BUTTON ", "Toggles automatic sequencing of waypoints", "Shared Cockpit"));
		fsxEvents.put("gps_msg_button", new FSXEvent("KEY_GPS_MSG_BUTTON ", "Toggles the Message Page", "Shared Cockpit"));
		fsxEvents.put("gps_msg_button_down", new FSXEvent("KEY_GPS_MSG_BUTTON_DOWN ", "Triggers the pressing of the message button.", "Shared Cockpit"));
		fsxEvents.put("gps_msg_button_up", new FSXEvent("KEY_GPS_MSG_BUTTON_UP ", "Triggers the release of the message button", "Shared Cockpit"));
		fsxEvents.put("gps_flightplan_button", new FSXEvent("KEY_GPS_FLIGHTPLAN_BUTTON ", "Displays the programmed flightplan.", "Shared Cockpit"));
		fsxEvents.put("gps_terrain_button", new FSXEvent("KEY_GPS_TERRAIN_BUTTON ", "Displays terrain information on default display", "Shared Cockpit"));
		fsxEvents.put("gps_procedure_button", new FSXEvent("KEY_GPS_PROCEDURE_BUTTON ", "Displays the approach procedure page.", "Shared Cockpit"));
		fsxEvents.put("gps_zoomin_button", new FSXEvent("KEY_GPS_ZOOMIN_BUTTON ", "Zooms in default display", "Shared Cockpit"));
		fsxEvents.put("gps_zoomout_button", new FSXEvent("KEY_GPS_ZOOMOUT_BUTTON ", "Zooms out default display", "Shared Cockpit"));
		fsxEvents.put("gps_directto_button", new FSXEvent("KEY_GPS_DIRECTTO_BUTTON ", "Brings up the 'Direct To' page", "Shared Cockpit"));
		fsxEvents.put("gps_menu_button", new FSXEvent("KEY_GPS_MENU_BUTTON ", "Brings up page to select active legs in a flightplan.", "Shared Cockpit"));
		fsxEvents.put("gps_clear_button", new FSXEvent("KEY_GPS_CLEAR_BUTTON ", "Clears entered data on a page", "Shared Cockpit"));
		fsxEvents.put("gps_clear_all_button", new FSXEvent("KEY_GPS_CLEAR_ALL_BUTTON ", "Clears all data immediately", "Shared Cockpit"));
		fsxEvents.put("gps_clear_button_down", new FSXEvent("KEY_GPS_CLEAR_BUTTON_DOWN ", "Triggers the pressing of the Clear button", "Shared Cockpit"));
		fsxEvents.put("gps_clear_button_up", new FSXEvent("KEY_GPS_CLEAR_BUTTON_UP ", "Triggers the release of the Clear button.", "Shared Cockpit"));
		fsxEvents.put("gps_enter_button", new FSXEvent("KEY_GPS_ENTER_BUTTON ", "Approves entered data.", "Shared Cockpit"));
		fsxEvents.put("gps_cursor_button", new FSXEvent("KEY_GPS_CURSOR_BUTTON ", "Selects GPS cursor", "Shared Cockpit"));
		fsxEvents.put("gps_group_knob_inc", new FSXEvent("KEY_GPS_GROUP_KNOB_INC ", "Increments cursor", "Shared Cockpit"));
		fsxEvents.put("gps_group_knob_dec", new FSXEvent("KEY_GPS_GROUP_KNOB_DEC ", "Decrements cursor", "Shared Cockpit"));
		fsxEvents.put("gps_page_knob_inc", new FSXEvent("KEY_GPS_PAGE_KNOB_INC ", "Increments through pages", "Shared Cockpit"));
		fsxEvents.put("gps_page_knob_dec", new FSXEvent("KEY_GPS_PAGE_KNOB_DEC ", "Decrements through pages", "Shared Cockpit"));
		fsxEvents.put("dme_select", new FSXEvent("KEY_DME_SELECT", "Selects one of the two DME systems (1,2). ", "Shared Cockpit"));
		fsxEvents.put("RADIO_SELECTED_DME_IDENT_ENABLE ", new FSXEvent("KEY_RADIO_SELECTED_DME_IDENT_ENABLE ", "Turns on the identification sound for the selected DME. ", "Shared Cockpit"));
		fsxEvents.put("radio_selected_dme_ident_disable", new FSXEvent("KEY_RADIO_SELECTED_DME_IDENT_DISABLE ", "Turns off the identification sound for the selected DME. ", "Shared Cockpit"));
		fsxEvents.put("RADIO_SELECTED_DME_IDENT_SET ", new FSXEvent("KEY_RADIO_SELECTED_DME_IDENT_SET ", "Sets the DME identification sound to the given filename. ", "Shared Cockpit"));
		fsxEvents.put("radio_selected_dme_ident_toggle", new FSXEvent("KEY_RADIO_SELECTED_DME_IDENT_TOGGLE", "Turns on or off the identification sound for the selected DME. ", "Shared Cockpit"));
		fsxEvents.put("egt", new FSXEvent("KEY_EGT", "Selects EGT bug for +/-", "Shared Cockpit"));
		fsxEvents.put("egt_inc", new FSXEvent("KEY_EGT_INC", "Increments EGT bugs", "Shared Cockpit"));
		fsxEvents.put("egt_dec", new FSXEvent("KEY_EGT_DEC", "Decrements EGT bugs", "Shared Cockpit"));
		fsxEvents.put("egt_set", new FSXEvent("KEY_EGT_SET", "Sets EGT bugs (0 to 32767)", "Shared Cockpit"));
		fsxEvents.put("barometric", new FSXEvent("KEY_BAROMETRIC", "Syncs altimeter setting to sea level pressure, or 29.92 if above 18000 feet", "Shared Cockpit"));
		fsxEvents.put("gyro_drift_inc", new FSXEvent("KEY_GYRO_DRIFT_INC", "Increments heading indicator", "Shared Cockpit"));
		fsxEvents.put("gyro_drift_dec", new FSXEvent("KEY_GYRO_DRIFT_DEC", "Decrements heading indicator", "Shared Cockpit"));
		fsxEvents.put("kohlsman_inc", new FSXEvent("KEY_KOHLSMAN_INC", "Increments altimeter setting", "Shared Cockpit"));
		fsxEvents.put("kohlsman_dec", new FSXEvent("KEY_KOHLSMAN_DEC", "Decrements altimeter setting", "Shared Cockpit"));
		fsxEvents.put("kohlsman_set", new FSXEvent("KEY_KOHLSMAN_SET", "Sets altimeter setting (Millibars * 16)", "Shared Cockpit"));
		fsxEvents.put("true_airspeed_cal_inc", new FSXEvent("KEY_TRUE_AIRSPEED_CALIBRATE_INC", "Increments airspeed indicators true airspeed reference card", "Shared Cockpit"));
		fsxEvents.put("true_airspeed_cal_dec", new FSXEvent("KEY_TRUE_AIRSPEED_CALIBRATE_DEC", "Decrements airspeed indicators true airspeed reference card", "Shared Cockpit"));
		fsxEvents.put("true_airspeed_cal_set", new FSXEvent("KEY_TRUE_AIRSPEED_CAL_SET", "Sets airspeed indicators true airspeed reference card (degrees, where 0 is standard sea level conditions)", "Shared Cockpit"));
		fsxEvents.put("egt1_inc", new FSXEvent("KEY_EGT1_INC", "Increments EGT bug 1", "Shared Cockpit"));
		fsxEvents.put("egt1_dec", new FSXEvent("KEY_EGT1_DEC", "Decrements EGT bug 1", "Shared Cockpit"));
		fsxEvents.put("egt1_set", new FSXEvent("KEY_EGT1_SET", "Sets EGT bug 1 (0 to 32767)", "Shared Cockpit"));
		fsxEvents.put("egt2_inc", new FSXEvent("KEY_EGT2_INC", "Increments EGT bug 2", "Shared Cockpit"));
		fsxEvents.put("egt2_dec", new FSXEvent("KEY_EGT2_DEC", "Decrements EGT bug 2", "Shared Cockpit"));
		fsxEvents.put("egt2_set", new FSXEvent("KEY_EGT2_SET", "Sets EGT bug 2 (0 to 32767)", "Shared Cockpit"));
		fsxEvents.put("egt3_inc", new FSXEvent("KEY_EGT3_INC", "Increments EGT bug 3", "Shared Cockpit"));
		fsxEvents.put("egt3_dec", new FSXEvent("KEY_EGT3_DEC", "Decrements EGT bug 3", "Shared Cockpit"));
		fsxEvents.put("egt3_set", new FSXEvent("KEY_EGT3_SET", "Sets EGT bug 3 (0 to 32767)", "Shared Cockpit"));
		fsxEvents.put("egt4_inc", new FSXEvent("KEY_EGT4_INC", "Increments EGT bug 4", "Shared Cockpit"));
		fsxEvents.put("egt4_dec", new FSXEvent("KEY_EGT4_DEC", "Decrements EGT bug 4", "Shared Cockpit"));
		fsxEvents.put("egt4_set", new FSXEvent("KEY_EGT4_SET", "Sets EGT bug 4 (0 to 32767)", "Shared Cockpit"));
		fsxEvents.put("attitude_bars_position_up", new FSXEvent("KEY_ATTITUDE_BARS_POSITION_INC", "Increments attitude indicator pitch reference bars", "Shared Cockpit"));
		fsxEvents.put("attitude_bars_position_down", new FSXEvent("KEY_ATTITUDE_BARS_POSITION_DEC", "Decrements attitude indicator pitch reference bars", "Shared Cockpit"));
		fsxEvents.put("attitude_cage_button", new FSXEvent("KEY_TOGGLE_ATTITUDE_CAGE", "Cages attitude indicator at 0 pitch and bank", "Shared Cockpit"));
		fsxEvents.put("reset_g_force_indicator", new FSXEvent("KEY_RESET_G_FORCE_INDICATOR ", "Resets max/min indicated G force to 1.0. ", "Shared Cockpit"));
		fsxEvents.put("reset_max_rpm_indicator", new FSXEvent("KEY_RESET_MAX_RPM_INDICATOR", "Reset max indicated engine rpm to 0.", "Shared Cockpit"));
		fsxEvents.put("heading_gyro_set", new FSXEvent("KEY_HEADING_GYRO_SET", "Sets heading indicator to 0 drift error.", "Shared Cockpit"));
		fsxEvents.put("gyro_drift_set", new FSXEvent("KEY_GYRO_DRIFT_SET", "Sets heading indicator drift angle (degrees).", "Shared Cockpit"));
		fsxEvents.put("strobes_toggle", new FSXEvent("KEY_STROBES_TOGGLE", "Toggle strobe lights", "All aircraft"));
		fsxEvents.put("all_lights_toggle", new FSXEvent("KEY_ALL_LIGHTS_TOGGLE", "Toggle all lights", "Shared Cockpit"));
		fsxEvents.put("panel_lights_toggle", new FSXEvent("KEY_PANEL_LIGHTS_TOGGLE", "Toggle panel lights", "All aircraft"));
		fsxEvents.put("landing_lights_toggle", new FSXEvent("KEY_LANDING_LIGHTS_TOGGLE", "Toggle landing lights", "All aircraft"));
		fsxEvents.put("landing_light_up", new FSXEvent("KEY_LANDING_LIGHT_UP", "Rotate landing light up", "Shared Cockpit"));
		fsxEvents.put("landing_light_down", new FSXEvent("KEY_LANDING_LIGHT_DOWN", "Rotate landing light down", "Shared Cockpit"));
		fsxEvents.put("landing_light_left", new FSXEvent("KEY_LANDING_LIGHT_LEFT", "Rotate landing light left", "Shared Cockpit"));
		fsxEvents.put("landing_light_right", new FSXEvent("KEY_LANDING_LIGHT_RIGHT", "Rotate landing light right", "Shared Cockpit"));
		fsxEvents.put("landing_light_home", new FSXEvent("KEY_LANDING_LIGHT_HOME", "Return landing light to default position", "Shared Cockpit"));
		fsxEvents.put("strobes_on", new FSXEvent("KEY_STROBES_ON", "Turn strobe lights on", "All aircraft"));
		fsxEvents.put("strobes_off", new FSXEvent("KEY_STROBES_OFF", "Turn strobe light off", "All aircraft"));
		fsxEvents.put("strobes_set", new FSXEvent("KEY_STROBES_SET", "Set strobe lights on/off (1,0)", "All aircraft"));
		fsxEvents.put("panel_lights_on", new FSXEvent("KEY_PANEL_LIGHTS_ON", "Turn panel lights on", "All aircraft"));
		fsxEvents.put("panel_lights_off", new FSXEvent("KEY_PANEL_LIGHTS_OFF", "Turn panel lights off", "All aircraft"));
		fsxEvents.put("panel_lights_set", new FSXEvent("KEY_PANEL_LIGHTS_SET", "Set panel lights on/off (1,0)", "All aircraft"));
		fsxEvents.put("landing_lights_on", new FSXEvent("KEY_LANDING_LIGHTS_ON", "Turn landing lights on", "All aircraft"));
		fsxEvents.put("landing_lights_off", new FSXEvent("KEY_LANDING_LIGHTS_OFF", "Turn landing lights off", "All aircraft"));
		fsxEvents.put("landing_lights_set", new FSXEvent("KEY_LANDING_LIGHTS_SET", "Set landing lights on/off (1,0)", "All aircraft"));
		fsxEvents.put("toggle_beacon_lights", new FSXEvent("KEY_TOGGLE_BEACON_LIGHTS", "Toggle beacon lights", "All aircraft"));
		fsxEvents.put("toggle_taxi_lights", new FSXEvent("KEY_TOGGLE_TAXI_LIGHTS", "Toggle taxi lights", "All aircraft"));
		fsxEvents.put("toggle_logo_lights", new FSXEvent("KEY_TOGGLE_LOGO_LIGHTS", "Toggle logo lights", "All aircraft"));
		fsxEvents.put("toggle_recognition_lights", new FSXEvent("KEY_TOGGLE_RECOGNITION_LIGHTS", "Toggle recognition lights", "All aircraft"));
		fsxEvents.put("toggle_wing_lights", new FSXEvent("KEY_TOGGLE_WING_LIGHTS", "Toggle wing lights", "All aircraft"));
		fsxEvents.put("toggle_nav_lights", new FSXEvent("KEY_TOGGLE_NAV_LIGHTS", "Toggle navigation lights", "All aircraft"));
		fsxEvents.put("toggle_cabin_lights", new FSXEvent("KEY_TOGGLE_CABIN_LIGHTS ", "Toggle cockpit/cabin lights", "All aircraft"));
		fsxEvents.put("toggle_vacuum_failure", new FSXEvent("KEY_TOGGLE_VACUUM_FAILURE", "Toggle vacuum system failure", "Shared Cockpit"));
		fsxEvents.put("toggle_electrical_failure", new FSXEvent("KEY_TOGGLE_ELECTRICAL_FAILURE", "Toggle electrical system failure", "Shared Cockpit"));
		fsxEvents.put("toggle_pitot_blockage", new FSXEvent("KEY_TOGGLE_PITOT_BLOCKAGE", "Toggles blocked pitot tube", "Shared Cockpit"));
		fsxEvents.put("toggle_static_port_blockage", new FSXEvent("KEY_TOGGLE_STATIC_PORT_BLOCKAGE", "Toggles blocked static port", "Shared Cockpit"));
		fsxEvents.put("toggle_hydraulic_failure", new FSXEvent("KEY_TOGGLE_HYDRAULIC_FAILURE", "Toggles hydraulic system failure", "Shared Cockpit"));
		fsxEvents.put("toggle_total_brake_failure", new FSXEvent("KEY_TOGGLE_TOTAL_BRAKE_FAILURE", "Toggles brake failure (both)", "Shared Cockpit"));
		fsxEvents.put("toggle_left_brake_failure", new FSXEvent("KEY_TOGGLE_LEFT_BRAKE_FAILURE", "Toggles left brake failure", "Shared Cockpit"));
		fsxEvents.put("toggle_right_brake_failure", new FSXEvent("KEY_TOGGLE_RIGHT_BRAKE_FAILURE", "Toggles right brake failure", "Shared Cockpit"));
		fsxEvents.put("toggle_engine1_failure", new FSXEvent("KEY_TOGGLE_ENGINE1_FAILURE", "Toggle engine 1 failure", "Shared Cockpit"));
		fsxEvents.put("toggle_engine2_failure", new FSXEvent("KEY_TOGGLE_ENGINE2_FAILURE", "Toggle engine 2 failure", "Shared Cockpit"));
		fsxEvents.put("toggle_engine3_failure", new FSXEvent("KEY_TOGGLE_ENGINE3_FAILURE", "Toggle engine 3 failure", "Shared Cockpit"));
		fsxEvents.put("toggle_engine4_failure", new FSXEvent("KEY_TOGGLE_ENGINE4_FAILURE", "Toggle engine 4 failure", "Shared Cockpit"));
		fsxEvents.put("smoke_toggle", new FSXEvent("KEY_SMOKE_TOGGLE", "Toggle smoke system switch", "All aircraft"));
		fsxEvents.put("gear_toggle", new FSXEvent("KEY_GEAR_TOGGLE", "Toggle gear handle", "All aircraft"));
		fsxEvents.put("brakes", new FSXEvent("KEY_BRAKES", "Increment brake pressure", "Shared Cockpit"));
		fsxEvents.put("gear_set", new FSXEvent("KEY_GEAR_SET", "Sets gear handle position up/down (0,1)", "All aircraft"));
		fsxEvents.put("brakes_left", new FSXEvent("KEY_BRAKES_LEFT", "Increments left brake pressure", "Shared Cockpit"));
		fsxEvents.put("brakes_right", new FSXEvent("KEY_BRAKES_RIGHT", "Increments right brake pressure", "Shared Cockpit"));
		fsxEvents.put("parking_brakes", new FSXEvent("KEY_PARKING_BRAKES", "Toggles parking brake on/off", "Shared Cockpit"));
		fsxEvents.put("gear_pump", new FSXEvent("KEY_GEAR_PUMP", "Increments emergency gear extension", "Shared Cockpit"));
		fsxEvents.put("pitot_heat_toggle", new FSXEvent("KEY_PITOT_HEAT_TOGGLE", "Toggles pitot heat switch", "All aircraft"));
		fsxEvents.put("smoke_on", new FSXEvent("KEY_SMOKE_ON", "Turns smoke system on", "All aircraft"));
		fsxEvents.put("smoke_off", new FSXEvent("KEY_SMOKE_OFF", "Turns smoke system off", "All aircraft"));
		fsxEvents.put("smoke_set", new FSXEvent("KEY_SMOKE_SET", "Sets smoke system on/off (1,0)", "All aircraft"));
		fsxEvents.put("pitot_heat_on", new FSXEvent("KEY_PITOT_HEAT_ON", "Turns pitot heat switch on", "Shared Cockpit"));
		fsxEvents.put("pitot_heat_off", new FSXEvent("KEY_PITOT_HEAT_OFF", "Turns pitot heat switch off", "Shared Cockpit"));
		fsxEvents.put("pitot_heat_set", new FSXEvent("KEY_PITOT_HEAT_SET", "Sets pitot heat switch on/off (1,0)", "Shared Cockpit"));
		fsxEvents.put("gear_up", new FSXEvent("KEY_GEAR_UP", "Sets gear handle in UP position", "All aircraft"));
		fsxEvents.put("gear_down", new FSXEvent("KEY_GEAR_DOWN", "Sets gear handle in DOWN position", "All aircraft"));
		fsxEvents.put("toggle_master_battery", new FSXEvent("KEY_TOGGLE_MASTER_BATTERY", "Toggles main battery switch", "All aircraft"));
		fsxEvents.put("toggle_master_alternator", new FSXEvent("KEY_TOGGLE_MASTER_ALTERNATOR", "Toggles main alternator/generator switch", "All aircraft"));
		fsxEvents.put("toggle_electric_vacuum_pump", new FSXEvent("KEY_TOGGLE_ELECTRIC_VACUUM_PUMP", "Toggles backup electric vacuum pump", "Shared Cockpit"));
		fsxEvents.put("toggle_alternate_static", new FSXEvent("KEY_TOGGLE_ALTERNATE_STATIC", "Toggles alternate static pressure port", "All aircraft"));
		fsxEvents.put("decrease_decision_height", new FSXEvent("KEY_DECISION_HEIGHT_DEC", "Decrements decision height reference", "Shared Cockpit"));
		fsxEvents.put("increase_decision_height", new FSXEvent("KEY_DECISION_HEIGHT_INC", "Increments decision height reference", "Shared Cockpit"));
		fsxEvents.put("toggle_structural_deice", new FSXEvent("KEY_TOGGLE_STRUCTURAL_DEICE", "Toggles structural deice switch", "Shared Cockpit"));
		fsxEvents.put("toggle_propeller_deice", new FSXEvent("KEY_TOGGLE_PROPELLER_DEICE", "Toggles propeller deice switch", "Shared Cockpit"));
		fsxEvents.put("toggle_alternator1", new FSXEvent("KEY_TOGGLE_ALTERNATOR1", "Toggles alternator/generator 1 switch", "All aircraft"));
		fsxEvents.put("toggle_alternator2", new FSXEvent("KEY_TOGGLE_ALTERNATOR2", "Toggles alternator/generator 2 switch", "All aircraft"));
		fsxEvents.put("toggle_alternator3", new FSXEvent("KEY_TOGGLE_ALTERNATOR3", "Toggles alternator/generator 3 switch", "All aircraft"));
		fsxEvents.put("toggle_alternator4", new FSXEvent("KEY_TOGGLE_ALTERNATOR4", "Toggles alternator/generator 4 switch", "All aircraft"));
		fsxEvents.put("TOGGLE_MASTER_BATTERY_ALTERNATOR ", new FSXEvent("KEY_TOGGLE_MASTER_BATTERY_ALTERNATOR ", "Toggles master battery and alternator switch", "Shared Cockpit"));
		fsxEvents.put("axis_left_brake_set", new FSXEvent("KEY_AXIS_LEFT_BRAKE_SET", "Sets left brake position from axis controller (e.g. joystick). -16383 (0 brakes) to +16383 (max brakes) ", "Shared Cockpit"));
		fsxEvents.put("axis_right_brake_set", new FSXEvent("KEY_AXIS_RIGHT_BRAKE_SET", "Sets right brake position from axis controller (e.g. joystick). -16383 (0 brakes) to +16383 (max brakes) ", "Shared Cockpit"));
		fsxEvents.put("toggle_aircraft_exit", new FSXEvent("KEY_TOGGLE_AIRCRAFT_EXIT", "Toggles primary door open/close. Follow by KEY_SELECT_2, etc for subsequent doors.", "Shared Cockpit"));
		fsxEvents.put("toggle_wing_fold", new FSXEvent("KEY_TOGGLE_WING_FOLD", "Toggles wing folding", "Shared Cockpit"));
		fsxEvents.put("set_wing_fold", new FSXEvent("KEY_SET_WING_FOLD", "Sets the wings into the folded position suitable for storage, typically on a carrier. Takes a value:  1 - fold wings, 0 - unfold wings", "Shared Cockpit "));
		fsxEvents.put("toggle_tail_hook_handle", new FSXEvent("KEY_TOGGLE_TAIL_HOOK_HANDLE", "Toggles tail hook", "Shared Cockpit"));
		fsxEvents.put("set_tail_hook_handle", new FSXEvent("KEY_SET_TAIL_HOOK_HANDLE", "Sets the tail hook handle. Takes a value: 1 - set tail hook, 0 - retract tail hook ", "Shared Cockpit "));
		fsxEvents.put("toggle_water_rudder", new FSXEvent("KEY_TOGGLE_WATER_RUDDER", "Toggles water rudders", "Shared Cockpit"));
		fsxEvents.put("toggle_pushback", new FSXEvent("KEY_PUSHBACK_SET", "Toggles pushback.", "Shared Cockpit"));
		fsxEvents.put("key_tug_heading", new FSXEvent("KEY_TUG_HEADING", "Triggers tug and sets the desired heading. The units are a 32 bit integer (0 to 4294967295) which represent 0 to 360 degrees. To set a 45 degree angle, for example, set the value to 4294967295 / 8. ", "Shared Cockpit"));
		fsxEvents.put("key_tug_speed", new FSXEvent("KEY_TUG_SPEED", "Triggers tug, and sets desired speed, in feet per second. The speed can be both positive (forward movement) and negative (backward movement). ", "Shared Cockpit"));
		fsxEvents.put("tug_disable", new FSXEvent("KEY_TUG_DISABLE", "Disables tug", "Shared Cockpit"));
		fsxEvents.put("TOGGLE_MASTER_IGNITION_SWITCH ", new FSXEvent("KEY_TOGGLE_MASTER_IGNITION_SWITCH ", "Toggles master ignition switch", "Shared Cockpit"));
		fsxEvents.put("toggle_tailwheel_lock", new FSXEvent("KEY_TOGGLE_TAILWHEEL_LOCK", "Toggles tail wheel lock", "Shared Cockpit"));
		fsxEvents.put("add_fuel_quantity", new FSXEvent("KEY_ADD_FUEL_QUANTITY ", "Adds fuel to the aircraft, 25% of capacity by default. 0 to 65535 (max fuel) can be passed.", "Shared Cockpit"));
		fsxEvents.put("tow_plane_release", new FSXEvent("KEY_TOW_PLANE_RELEASE", "Release a towed aircraft, usually a glider. ", "Shared Cockpit"));
		fsxEvents.put("tow_plane_request", new FSXEvent("KEY_REQUEST_TOW_PLANE", "Request a tow plane. The user aircraft must be tow-able, stationary, on the ground and not already attached for this to succeed. ", "Shared Cockpit"));
		fsxEvents.put("release_droppable_objects", new FSXEvent("KEY_RELEASE_DROPPABLE_OBJECTS", "Release one droppable object. Multiple key events will release multiple objects. ", "Shared Cockpit"));
		fsxEvents.put("retract_float_switch_dec", new FSXEvent("KEY_RETRACT_FLOAT_SWITCH_DEC", "If the plane has retractable floats, moves the retract position from Extend to Neutral, or Neutral to Retract. ", "Shared Cockpit"));
		fsxEvents.put("retract_float_switch_inc", new FSXEvent("KEY_RETRACT_FLOAT_SWITCH_INC", "If the plane has retractable floats, moves the retract position from Retract to Neutral, or Neutral to Extend. ", "Shared Cockpit"));
		fsxEvents.put("toggle_water_ballast_valve", new FSXEvent("KEY_TOGGLE_WATER_BALLAST_VALVE", "Turn the water ballast valve on or off. ", "Shared Cockpit"));
		fsxEvents.put("TOGGLE_VARIOMETER_SWITCH", new FSXEvent("KEY_TOGGLE_VARIOMETER_SWITCH", "Turn the variometer on or off. ", "Shared Cockpit"));
		fsxEvents.put("toggle_turn_indicator_switch", new FSXEvent("KEY_TOGGLE_TURN_INDICATOR_SWITCH", "Turn the turn indicator on or off. ", "Shared Cockpit"));
		fsxEvents.put("apu_starter", new FSXEvent("KEY_APU_STARTER", "Start up the auxiliary power unit (APU). ", "Shared Cockpit"));
		fsxEvents.put("apu_off_switch", new FSXEvent("KEY_APU_OFF_SWITCH", "Turn the APU off. ", "Shared Cockpit"));
		fsxEvents.put("apu_generator_switch_toggle", new FSXEvent("KEY_APU_GENERATOR_SWITCH_TOGGLE", "Turn the auxiliary generator on or off. ", "Shared Cockpit"));
		fsxEvents.put("apu_generator_switch_set", new FSXEvent("KEY_APU_GENERATOR_SWITCH_SET", "Set the auxiliary generator switch (0,1). ", "Shared Cockpit"));
		fsxEvents.put("extinguish_engine_fire", new FSXEvent("KEY_EXTINGUISH_ENGINE_FIRE", "Takes a two digit argument. The first digit represents the fire extinguisher index, and the second represents the engine index. For example, 11 would represent using bottle 1 on engine 1. 21 would represent using bottle 2 on engine 1. Typical entries for a twin engine aircraft would be 11 and 22. ", "Shared Cockpit"));
		fsxEvents.put("hydraulic_switch_toggle", new FSXEvent("KEY_HYDRAULIC_SWITCH_TOGGLE", "Turn the hydraulic switch on or off. ", "Shared Cockpit"));
		fsxEvents.put("bleed_air_source_control_inc", new FSXEvent("KEY_BLEED_AIR_SOURCE_CONTROL_INC", "Increases the bleed air source control. ", "Shared Cockpit"));
		fsxEvents.put("bleed_air_source_control_dec", new FSXEvent("KEY_BLEED_AIR_SOURCE_CONTROL_DEC", "Decreases the bleed air source control. ", "Shared Cockpit"));
		fsxEvents.put("bleed_air_source_control_set", new FSXEvent("KEY_BLEED_AIR_SOURCE_CONTROL_SET", "Set to one of: 0: auto 1: off 2: apu 3: engines ", "Shared Cockpit"));
		fsxEvents.put("turbine_ignition_switch_toggle", new FSXEvent("KEY_TURBINE_IGNITION_SWITCH_TOGGLE", "Turn the turbine ignition switch on or off. ", "Shared Cockpit"));
		fsxEvents.put("CABIN_NO_SMOKING_ALERT_ SWITCH_TOGGLE", new FSXEvent("KEY_CABIN_NO_SMOKING_ALERT_ SWITCH_TOGGLE", "Turn the 'No smoking' alert on or off. ", "Shared Cockpit"));
		fsxEvents.put("CABIN_SEATBELTS_ALERT_ SWITCH_TOGGLE", new FSXEvent("KEY_CABIN_SEATBELTS_ALERT_ SWITCH_TOGGLE", "Turn the 'Fasten seatbelts' alert on or off. ", "Shared Cockpit"));
		fsxEvents.put("antiskid_brakes_toggle", new FSXEvent("KEY_ANTISKID_BRAKES_TOGGLE", "Turn the anti-skid braking system on or off. ", "Shared Cockpit"));
		fsxEvents.put("gpws_switch_toggle", new FSXEvent("KEY_GPWS_SWITCH_TOGGLE", "Turn the g round proximity warning system (GPWS) on or off. ", "Shared Cockpit"));
		fsxEvents.put("manual_fuel_pressure_pump", new FSXEvent("KEY_MANUAL_FUEL_PRESSURE_PUMP", "Activate the manual fuel pressure pump. ", "Shared Cockpit"));
		fsxEvents.put("steering_inc", new FSXEvent("KEY_STEERING_INC", "Increments the nose wheel steering position by 5 percent. ", "Shared Cockpit"));
		fsxEvents.put("steering_dec", new FSXEvent("KEY_STEERING_DEC", "Decrements the nose wheel steering position by 5 percent. ", "Shared Cockpit"));
		fsxEvents.put("steering_set", new FSXEvent("KEY_STEERING_SET", "Sets the value of the nose wheel steering position. Zero is straight ahead (-16383, far left +16383, far right).", "Shared Cockpit"));
		fsxEvents.put("key_pressurization_pressure_alt_inc", new FSXEvent("KEY_PRESSURIZATION_PRESSURE_ALT_INC", "Increases the altitude that the cabin is pressurized to. ", "Shared Cockpit"));
		fsxEvents.put("key_pressurization_pressure_alt_dec", new FSXEvent("KEY_PRESSURIZATION_PRESSURE_ALT_DEC", "Decreases the altitude that the cabin is pressurized to. ", "Shared Cockpit"));
		fsxEvents.put("pressurization_climb_rate_inc", new FSXEvent("KEY_PRESSURIZATION_CLIMB_RATE_INC", "Sets the rate at which cabin pressurization is increased. ", "Shared Cockpit"));
		fsxEvents.put("pressurization_climb_rate_dec", new FSXEvent("KEY_PRESSURIZATION_CLIMB_RATE_DEC", "Sets the rate at which cabin pressurization is decreased. ", "Shared Cockpit"));
		fsxEvents.put("PRESSURIZATION_PRESSURE_DUMP _SWTICH", new FSXEvent("KEY_PRESSURIZATION_PRESSURE_DUMP _SWTICH", "Sets the cabin pressure to the outside air pressure. ", "Shared Cockpit"));
		fsxEvents.put("takeoff_assist_arm_toggle", new FSXEvent("KEY_TAKEOFF_ASSIST_ARM_TOGGLE", "Deploy or remove the assist arm. Refer to the document Notes on Aircraft Systems.", "Shared Cockpit"));
		fsxEvents.put("takeoff_assist_arm_set", new FSXEvent("KEY_TAKEOFF_ASSIST_ARM_SET", "Value: TRUE request set FALSE request unset", "Shared Cockpit"));
		fsxEvents.put("takeoff_assist_fire", new FSXEvent("KEY_TAKEOFF_ASSIST_FIRE", "If everything is set up correctly. Launch from the catapult. ", "Shared Cockpit"));
		fsxEvents.put("toggle_launch_bar_switch", new FSXEvent("KEY_TOGGLE_LAUNCH_BAR_SWITCH", "Toggle the request for the launch bar to be installed or removed. ", "Shared Cockpit"));
		fsxEvents.put("set_launch_bar_switch", new FSXEvent("KEY_SET_LAUNCHBAR_SWITCH", "Value: TRUE request set FALSE request unset", "Shared Cockpit "));
		fsxEvents.put("rotor_brake", new FSXEvent("KEY_ROTOR_BRAKE ", "Triggers rotor braking input", "Shared Cockpit"));
		fsxEvents.put("ROTOR_CLUTCH_SWITCH_TOGGLE", new FSXEvent("KEY_ROTOR_CLUTCH_SWITCH_TOGGLE ", "Toggles on electric rotor clutch switch", "Shared Cockpit"));
		fsxEvents.put("rotor_clutch_switch_set", new FSXEvent("KEY_ROTOR_CLUTCH_SWITCH_SET ", "Sets electric rotor clutch switch on/off (1,0)", "Shared Cockpit"));
		fsxEvents.put("rotor_gov_switch_toggle", new FSXEvent("KEY_ROTOR_GOV_SWITCH_TOGGLE", "Toggles the electric rotor governor switch", "Shared Cockpit"));
		fsxEvents.put("rotor_gov_switch_set", new FSXEvent("KEY_ROTOR_GOV_SWITCH_SET ", "Sets the electric rotor governor switch on/off (1,0)", "Shared Cockpit"));
		fsxEvents.put("rotor_lateral_trim_inc", new FSXEvent("KEY_ROTOR_LATERAL_TRIM_INC ", "Increments the lateral (right) rotor trim", "Shared Cockpit"));
		fsxEvents.put("rotor_lateral_trim_dec", new FSXEvent("KEY_ROTOR_LATERAL_TRIM_DEC ", "Decrements the lateral (right) rotor trim", "Shared Cockpit"));
		fsxEvents.put("rotor_lateral_trim_set", new FSXEvent("KEY_ROTOR_LATERAL_TRIM_SET ", "Sets the lateral (right) rotor trim (0 to 16383)", "Shared Cockpit"));
		fsxEvents.put("sling_pickup_release", new FSXEvent("KEY_SLING_PICKUP_RELEASE", "Toggle between pickup and release mode. Hold mode is automatic and cannot be selected. Refer to the document Notes on Aircraft Systems. ", "Shared Cockpit"));
		fsxEvents.put("hoist_switch_extend", new FSXEvent("KEY_HOIST_SWITCH_EXTEND", "The rate at which a hoist cable extends is set in the Aircraft Configuration File. ", "Shared Cockpit"));
		fsxEvents.put("hoist_switch_retract", new FSXEvent("KEY_HOIST_SWITCH_RETRACT", "The rate at which a hoist cable retracts is set in the Aircraft Configuration File. ", "Shared Cockpit"));
		fsxEvents.put("hoist_switch_set", new FSXEvent("KEY_HOIST_SWITCH_SET", "The data value should be set to one of: <0 up  =0 off >0 down", "Shared Cockpit"));
		fsxEvents.put("hoist_deploy_toggle", new FSXEvent("KEY_HOIST_DEPLOY_TOGGLE", "Toggles the hoist arm switch, extend or retract. ", "Shared Cockpit"));
		fsxEvents.put("hoist_deploy_set", new FSXEvent("KEY_HOIST_DEPLOY_SET", "The data value should be set to: 0 - set hoist switch to retract the arm  1 - set hoist switch to extend the arm ", "Shared Cockpit"));
		fsxEvents.put("slew_toggle", new FSXEvent("KEY_SLEW_TOGGLE", "Toggles slew on/off", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_off", new FSXEvent("KEY_SLEW_OFF", "Turns slew off", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_on", new FSXEvent("KEY_SLEW_ON", "Turns slew on", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_set", new FSXEvent("KEY_SLEW_SET", "Sets slew on/off (1,0)", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_reset", new FSXEvent("KEY_SLEW_RESET", "Stop slew and reset pitch, bank, and heading all to zero.", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_altit_up_fast", new FSXEvent("KEY_SLEW_ALTIT_UP_FAST", "Slew upward fast", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_altit_up_slow", new FSXEvent("KEY_SLEW_ALTIT_UP_SLOW", "Slew upward slow", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_altit_freeze", new FSXEvent("KEY_SLEW_ALTIT_FREEZE", "Stop vertical slew", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_altit_dn_slow", new FSXEvent("KEY_SLEW_ALTIT_DN_SLOW", "Slew downward slow", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_altit_dn_fast", new FSXEvent("KEY_SLEW_ALTIT_DN_FAST", "Slew downward fast", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_altit_plus", new FSXEvent("KEY_SLEW_ALTIT_PLUS", "Increase upward slew", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_altit_minus", new FSXEvent("KEY_SLEW_ALTIT_MINUS", "Decrease upward slew", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_pitch_dn_fast", new FSXEvent("KEY_SLEW_PITCH_DN_FAST", "Slew pitch downward fast", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_pitch_dn_slow", new FSXEvent("KEY_SLEW_PITCH_DN_SLOW", "Slew pitch downward slow", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_pitch_freeze", new FSXEvent("KEY_SLEW_PITCH_FREEZE", "Stop pitch slew", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_pitch_up_slow", new FSXEvent("KEY_SLEW_PITCH_UP_SLOW", "Slew pitch up slow", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_pitch_up_fast", new FSXEvent("KEY_SLEW_PITCH_UP_FAST", "Slew pitch upward fast", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_pitch_plus", new FSXEvent("KEY_SLEW_PITCH_PLUS", "Increase pitch up slew", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_pitch_minus", new FSXEvent("KEY_SLEW_PITCH_MINUS", "Decrease pitch up slew", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_bank_minus", new FSXEvent("KEY_SLEW_BANK_MINUS", "Increase left bank slew", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_ahead_plus", new FSXEvent("KEY_SLEW_AHEAD_PLUS", "Increase forward slew", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_bank_plus", new FSXEvent("KEY_SLEW_BANK_PLUS", "Increase right bank slew", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_left", new FSXEvent("KEY_SLEW_LEFT", "Slew to the left", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_freeze", new FSXEvent("KEY_SLEW_FREEZE", "Stop all slew", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_right", new FSXEvent("KEY_SLEW_RIGHT", "Slew to the right", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_heading_minus", new FSXEvent("KEY_SLEW_HEADING_MINUS", "Increase slew heading to the left", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_ahead_minus", new FSXEvent("KEY_SLEW_AHEAD_MINUS", "Decrease forward slew", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("slew_heading_plus", new FSXEvent("KEY_SLEW_HEADING_PLUS", "Increase slew heading to the right", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("axis_slew_ahead_set", new FSXEvent("KEY_AXIS_SLEW_AHEAD_SET", "Sets forward slew (+/- 16383)", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("axis_slew_sideways_set", new FSXEvent("KEY_AXIS_SLEW_SIDEWAYS_SET", "Sets sideways slew (+/- 16383)", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("axis_slew_heading_set", new FSXEvent("KEY_AXIS_SLEW_HEADING_SET", "Sets heading slew (+/- 16383)", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("axis_slew_alt_set", new FSXEvent("KEY_AXIS_SLEW_ALT_SET", "Sets vertical slew (+/- 16383)", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("axis_slew_bank_set", new FSXEvent("KEY_AXIS_SLEW_BANK_SET", "Sets roll slew (+/- 16383)", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("axis_slew_pitch_set", new FSXEvent("KEY_AXIS_SLEW_PITCH_SET", "Sets pitch slew (+/- 16383)", "Shared Cockpit (Pilot only)"));
		fsxEvents.put("view_mode", new FSXEvent("KEY_VIEW_MODE", "Selects next view", "Shared Cockpit"));
		fsxEvents.put("view_window_to_front", new FSXEvent("KEY_VIEW_WINDOW_TO_FRONT", "Sets active window to front", "Shared Cockpit"));
		fsxEvents.put("view_reset", new FSXEvent("KEY_VIEW_RESET", "Resets the view to the default ", "Shared Cockpit"));
		fsxEvents.put("view_always_pan_up", new FSXEvent("KEY_VIEW_ALWAYS_PAN_UP", "", "Shared Cockpit"));
		fsxEvents.put("view_always_pan_down", new FSXEvent("KEY_VIEW_ALWAYS_PAN_DOWN", "", "Shared Cockpit"));
		fsxEvents.put("next_sub_view", new FSXEvent("KEY_NEXT_SUB_VIEW", "", "Shared Cockpit"));
		fsxEvents.put("prev_sub_view", new FSXEvent("KEY_PREV_SUB_VIEW", "", "Shared Cockpit"));
		fsxEvents.put("view_track_pan_toggle", new FSXEvent("KEY_VIEW_TRACK_PAN_TOGGLE", "", "Shared Cockpit"));
		fsxEvents.put("view_previous_toggle", new FSXEvent("KEY_VIEW_PREVIOUS_TOGGLE", "", "Shared Cockpit"));
		fsxEvents.put("view_camera_select_start", new FSXEvent("KEY_VIEW_CAMERA_SELECT_STARTING", "", "Shared Cockpit"));
		fsxEvents.put("panel_hud_next", new FSXEvent("KEY_PANEL_HUD_NEXT", "", "Shared Cockpit"));
		fsxEvents.put("panel_hud_previous", new FSXEvent("KEY_PANEL_HUD_PREVIOUS", "", "Shared Cockpit"));
		fsxEvents.put("zoom_in", new FSXEvent("KEY_ZOOM_IN", "Zooms view in", "Shared Cockpit"));
		fsxEvents.put("zoom_out", new FSXEvent("KEY_ZOOM_OUT", "Zooms view out", "Shared Cockpit"));
		fsxEvents.put("map_zoom_fine_in", new FSXEvent("KEY_MAP_ZOOM_FINE_IN", "Fine zoom in map view", "Shared Cockpit"));
		fsxEvents.put("pan_left", new FSXEvent("KEY_PAN_LEFT", "Pans view left", "Shared Cockpit"));
		fsxEvents.put("pan_right", new FSXEvent("KEY_PAN_RIGHT", "Pans view right", "Shared Cockpit"));
		fsxEvents.put("map_zoom_fine_out", new FSXEvent("KEY_MAP_ZOOM_FINE_OUT", "Fine zoom out in map view", "Shared Cockpit"));
		fsxEvents.put("view_forward", new FSXEvent("KEY_VIEW_FORWARD", "Sets view direction forward", "Shared Cockpit"));
		fsxEvents.put("view_forward_right", new FSXEvent("KEY_VIEW_FORWARD_RIGHT", "Sets view direction forward and right", "Shared Cockpit"));
		fsxEvents.put("view_right", new FSXEvent("KEY_VIEW_RIGHT", "Sets view direction to the right", "Shared Cockpit"));
		fsxEvents.put("view_rear_right", new FSXEvent("KEY_VIEW_REAR_RIGHT", "Sets view direction to the rear and right", "Shared Cockpit"));
		fsxEvents.put("view_rear", new FSXEvent("KEY_VIEW_REAR", "Sets view direction to the rear", "Shared Cockpit"));
		fsxEvents.put("view_rear_left", new FSXEvent("KEY_VIEW_REAR_LEFT", "Sets view direction to the rear and left", "Shared Cockpit"));
		fsxEvents.put("view_left", new FSXEvent("KEY_VIEW_LEFT", "Sets view direction to the left", "Shared Cockpit"));
		fsxEvents.put("view_forward_left", new FSXEvent("KEY_VIEW_FORWARD_LEFT", "Sets view direction forward and left", "Shared Cockpit"));
		fsxEvents.put("view_down", new FSXEvent("KEY_VIEW_DOWN", "Sets view direction down", "Shared Cockpit"));
		fsxEvents.put("zoom_minus", new FSXEvent("KEY_ZOOM_MINUS", "Decreases zoom", "Shared Cockpit"));
		fsxEvents.put("zoom_plus", new FSXEvent("KEY_ZOOM_PLUS", "Increase zoom", "Shared Cockpit"));
		fsxEvents.put("pan_up", new FSXEvent("KEY_PAN_UP", "Pan view up", "Shared Cockpit"));
		fsxEvents.put("pan_down", new FSXEvent("KEY_PAN_DOWN", "Pan view down", "Shared Cockpit"));
		fsxEvents.put("view_mode_rev", new FSXEvent("KEY_VIEW_MODE_REV", "Reverse view cycle", "Shared Cockpit"));
		fsxEvents.put("zoom_in_fine", new FSXEvent("KEY_ZOOM_IN_FINE", "Zoom in fine", "Shared Cockpit"));
		fsxEvents.put("zoom_out_fine", new FSXEvent("KEY_ZOOM_OUT_FINE", "Zoom out fine", "Shared Cockpit"));
		fsxEvents.put("close_view", new FSXEvent("KEY_CLOSE_VIEW", "Close current view", "Shared Cockpit"));
		fsxEvents.put("new_view", new FSXEvent("KEY_NEW_VIEW", "Open new view", "Shared Cockpit"));
		fsxEvents.put("next_view", new FSXEvent("KEY_NEXT_VIEW", "Select next view", "Shared Cockpit"));
		fsxEvents.put("prev_view", new FSXEvent("KEY_PREV_VIEW", "Select previous view", "Shared Cockpit"));
		fsxEvents.put("pan_left_up", new FSXEvent("KEY_PAN_LEFT_UP", "Pan view left", "Shared Cockpit"));
		fsxEvents.put("pan_left_down", new FSXEvent("KEY_PAN_LEFT_DOWN", "Pan view left and down", "Shared Cockpit"));
		fsxEvents.put("pan_right_up", new FSXEvent("KEY_PAN_RIGHT_UP", "Pan view right and up", "Shared Cockpit"));
		fsxEvents.put("pan_right_down", new FSXEvent("KEY_PAN_RIGHT_DOWN", "Pan view right and down", "Shared Cockpit"));
		fsxEvents.put("pan_tilt_left", new FSXEvent("KEY_PAN_TILT_LEFT", "Tilt view left", "Shared Cockpit"));
		fsxEvents.put("pan_tilt_right", new FSXEvent("KEY_PAN_TILT_RIGHT", "Tilt view right", "Shared Cockpit"));
		fsxEvents.put("pan_reset", new FSXEvent("KEY_PAN_RESET", "Reset view to forward", "Shared Cockpit"));
		fsxEvents.put("view_forward_up", new FSXEvent("KEY_VIEW_FORWARD_UP", "Sets view forward and up", "Shared Cockpit"));
		fsxEvents.put("view_forward_right_up", new FSXEvent("KEY_VIEW_FORWARD_RIGHT_UP", "Sets view forward, right, and up", "Shared Cockpit"));
		fsxEvents.put("view_right_up", new FSXEvent("KEY_VIEW_RIGHT_UP", "Sets view right and up", "Shared Cockpit"));
		fsxEvents.put("view_rear_right_up", new FSXEvent("KEY_VIEW_REAR_RIGHT_UP", "Sets view rear, right, and up", "Shared Cockpit"));
		fsxEvents.put("view_rear_up", new FSXEvent("KEY_VIEW_REAR_UP", "Sets view rear and up", "Shared Cockpit"));
		fsxEvents.put("view_rear_left_up", new FSXEvent("KEY_VIEW_REAR_LEFT_UP", "Sets view rear left and up", "Shared Cockpit"));
		fsxEvents.put("view_left_up", new FSXEvent("KEY_VIEW_LEFT_UP", "Sets view left and up", "Shared Cockpit"));
		fsxEvents.put("view_forward_left_up", new FSXEvent("KEY_VIEW_FORWARD_LEFT_UP", "Sets view forward left and up", "Shared Cockpit"));
		fsxEvents.put("view_up", new FSXEvent("KEY_VIEW_UP", "Sets view up", "Shared Cockpit"));
		fsxEvents.put("view_reset", new FSXEvent("KEY_VIEW_RESET", "Reset view forward", "Shared Cockpit"));
		fsxEvents.put("pan_reset_cockpit", new FSXEvent("KEY_PAN_RESET_COCKPIT", "Reset panning to forward, if in cockpit view", "Shared Cockpit"));
		fsxEvents.put("key_chase_view_next", new FSXEvent("KEY_CHASE_VIEW_NEXT", "Cycle view to next target", "Shared Cockpit"));
		fsxEvents.put("key_chase_view_prev", new FSXEvent("KEY_CHASE_VIEW_PREV", "Cycle view to previous target", "Shared Cockpit"));
		fsxEvents.put("chase_view_toggle", new FSXEvent("KEY_CHASE_VIEW_TOGGLE", "Toggles chase view on/off", "Shared Cockpit"));
		fsxEvents.put("eyepoint_up", new FSXEvent("KEY_EYEPOINT_UP", "Move eyepoint up", "Shared Cockpit"));
		fsxEvents.put("eyepoint_down", new FSXEvent("KEY_EYEPOINT_DOWN", "Move eyepoint down", "Shared Cockpit"));
		fsxEvents.put("eyepoint_right", new FSXEvent("KEY_EYEPOINT_RIGHT", "Move eyepoint right", "Shared Cockpit"));
		fsxEvents.put("eyepoint_left", new FSXEvent("KEY_EYEPOINT_LEFT", "Move eyepoint left", "Shared Cockpit"));
		fsxEvents.put("eyepoint_forward", new FSXEvent("KEY_EYEPOINT_FORWARD", "Move eyepoint forward", "Shared Cockpit"));
		fsxEvents.put("eyepoint_back", new FSXEvent("KEY_EYEPOINT_BACK", "Move eyepoint backward", "Shared Cockpit"));
		fsxEvents.put("eyepoint_reset", new FSXEvent("KEY_EYEPOINT_RESET", "Move eyepoint to default position", "Shared Cockpit"));
		fsxEvents.put("new_map", new FSXEvent("KEY_NEW_MAP", "Opens new map view", "Shared Cockpit"));
		fsxEvents.put("view_cockpit_forward", new FSXEvent("KEY_VIEW_COCKPIT_FORWARD", "Switch immediately to the forward view, in 2D mode. ", "Shared Cockpit"));
		fsxEvents.put("view_virtual_cockpit_forward", new FSXEvent("KEY_VIEW_VIRTUAL_COCKPIT_FORWARD", "Switch immediately to the forward view, in virtual cockpit mode. ", "Shared Cockpit"));
		fsxEvents.put("view_panel_alpha_set", new FSXEvent("KEY_VIEW_PANEL_ALPHA_SET", "Sets the alpha-blending value for the panel. Takes a parameter in the range 0 to 255. The alpha-blending can be changed from the keyboard using Ctrl-Shift-T, and the plus and minus keys. ", "Shared Cockpit"));
		fsxEvents.put("view_panel_alpha_select", new FSXEvent("KEY_VIEW_PANEL_ALPHA_SELECT", "Sets the mode to change the alpha-blending, so the keys KEY_PLUS and KEY_MINUS increment and decrement the value. ", "Shared Cockpit"));
		fsxEvents.put("view_panel_alpha_inc", new FSXEvent("KEY_VIEW_PANEL_ALPHA_INC", "Increment alpha-blending for the panel. ", "Shared Cockpit"));
		fsxEvents.put("view_panel_alpha_dec", new FSXEvent("KEY_VIEW_PANEL_ALPHA_DEC", "Decrement alpha-blending for the panel. ", "Shared Cockpit"));
		fsxEvents.put("view_linking_set", new FSXEvent("KEY_VIEW_LINKING_SET", "Links all the views from one camera together, so that panning the view will change the view of all the linked cameras. ", "Shared Cockpit"));
		fsxEvents.put("view_linking_toggle", new FSXEvent("KEY_VIEW_LINKING_TOGGLE", "Turns view linking on or off. ", "Shared Cockpit"));
		fsxEvents.put("view_chase_distance_add", new FSXEvent("KEY_VIEW_CHASE_DISTANCE_ADD", "Increments the distance of the view camera from the chase object (such as in Spot Plane view, or viewing an AI controlled aircraft). ", "Shared Cockpit"));
		fsxEvents.put("view_chase_distance_sub", new FSXEvent("KEY_VIEW_CHASE_DISTANCE_SUB", "Decrements the distance of the view camera from the chase object. ", "Shared Cockpit"));
		fsxEvents.put("pause_toggle", new FSXEvent("KEY_PAUSE_TOGGLE", "Toggles pause on/off", "Disabled"));
		fsxEvents.put("pause_on", new FSXEvent("KEY_PAUSE_ON", "Turns pause on", "Disabled"));
		fsxEvents.put("pause_off", new FSXEvent("KEY_PAUSE_OFF", "Turns pause off", "Disabled"));
		fsxEvents.put("pause_set", new FSXEvent("KEY_PAUSE_SET", "Sets pause on/off (1,0)", "Disabled"));
		fsxEvents.put("demo_stop", new FSXEvent("KEY_DEMO_STOP", "Stops demo system playback", "Shared Cockpit"));
		fsxEvents.put("select_1", new FSXEvent("KEY_SELECT_1", "Sets 'selected' index (for other events) to 1", "Shared Cockpit"));
		fsxEvents.put("select_2", new FSXEvent("KEY_SELECT_2", "Sets 'selected' index (for other events) to 2", "Shared Cockpit"));
		fsxEvents.put("select_3", new FSXEvent("KEY_SELECT_3", "Sets 'selected' index (for other events) to 3", "Shared Cockpit"));
		fsxEvents.put("select_4", new FSXEvent("KEY_SELECT_4", "Sets 'selected' index (for other events) to 4", "Shared Cockpit"));
		fsxEvents.put("minus", new FSXEvent("KEY_MINUS", "Used in conjunction with 'selected' parameters to decrease their value (e.g., radio frequency)", "Shared Cockpit"));
		fsxEvents.put("plus", new FSXEvent("KEY_PLUS", "Used in conjunction with 'selected' parameters to increase their value (e.g., radio frequency)", "Shared Cockpit"));
		fsxEvents.put("zoom_1x", new FSXEvent("KEY_ZOOM_1X", "Sets zoom level to 1", "Shared Cockpit"));
		fsxEvents.put("sound_toggle", new FSXEvent("KEY_SOUND_TOGGLE", "Toggles sound on/off", "Shared Cockpit"));
		fsxEvents.put("sim_rate", new FSXEvent("KEY_SIM_RATE", "Selects simulation rate (use KEY_MINUS, KEY_PLUS to change)", "Shared Cockpit"));
		fsxEvents.put("joystick_calibrate", new FSXEvent("KEY_JOYSTICK_CALIBRATE", "Toggles joystick on/off", "Shared Cockpit"));
		fsxEvents.put("situation_save", new FSXEvent("KEY_SITUATION_SAVE", "Saves flight situation", "Shared Cockpit"));
		fsxEvents.put("situation_reset", new FSXEvent("KEY_SITUATION_RESET", "Resets flight situation", "Shared Cockpit"));
		fsxEvents.put("sound_set", new FSXEvent("KEY_SOUND_SET", "Sets sound on/off (1,0)", "Shared Cockpit"));
		fsxEvents.put("exit", new FSXEvent("KEY_EXIT", "Quit ESP with a message ", "Shared Cockpit"));
		fsxEvents.put("abort", new FSXEvent("KEY_ABORT", "Quit ESP without a message ", "Shared Cockpit"));
		fsxEvents.put("readouts_slew", new FSXEvent("KEY_READOUTS_SLEW", "Cycle through information readouts while in slew", "Shared Cockpit"));
		fsxEvents.put("readouts_flight", new FSXEvent("KEY_READOUTS_FLIGHT", "Cycle through information readouts", "Shared Cockpit"));
		fsxEvents.put("minus_shift", new FSXEvent("KEY_MINUS_SHIFT", "Used with other events", "Shared Cockpit"));
		fsxEvents.put("plus_shift", new FSXEvent("KEY_PLUS_SHIFT", "Used with other events", "Shared Cockpit"));
		fsxEvents.put("sim_rate_incr", new FSXEvent("KEY_SIM_RATE_INCR", "Increase sim rate", "Shared Cockpit"));
		fsxEvents.put("sim_rate_decr", new FSXEvent("KEY_SIM_RATE_DECR", "Decrease sim rate", "Shared Cockpit"));
		fsxEvents.put("kneeboard_view", new FSXEvent("KEY_KNEEBOARD", "Toggles kneeboard", "Shared Cockpit"));
		fsxEvents.put("panel_1", new FSXEvent("KEY_PANEL_1", "Toggles panel 1", "Shared Cockpit"));
		fsxEvents.put("panel_2", new FSXEvent("KEY_PANEL_2", "Toggles panel 2", "Shared Cockpit"));
		fsxEvents.put("panel_3", new FSXEvent("KEY_PANEL_3", "Toggles panel 3", "Shared Cockpit"));
		fsxEvents.put("panel_4", new FSXEvent("KEY_PANEL_4", "Toggles panel 4", "Shared Cockpit"));
		fsxEvents.put("panel_5", new FSXEvent("KEY_PANEL_5", "Toggles panel 5", "Shared Cockpit"));
		fsxEvents.put("panel_6", new FSXEvent("KEY_PANEL_6", "Toggles panel 6", "Shared Cockpit"));
		fsxEvents.put("panel_7", new FSXEvent("KEY_PANEL_7", "Toggles panel 7", "Shared Cockpit"));
		fsxEvents.put("panel_8", new FSXEvent("KEY_PANEL_8", "Toggles panel 8", "Shared Cockpit"));
		fsxEvents.put("panel_9", new FSXEvent("KEY_PANEL_9", "Toggles panel 9", "Shared Cockpit"));
		fsxEvents.put("sound_on", new FSXEvent("KEY_SOUND_ON", "Turns sound on", "Shared Cockpit"));
		fsxEvents.put("sound_off", new FSXEvent("KEY_SOUND_OFF", "Turns sound off", "Shared Cockpit"));
		fsxEvents.put("invoke_help", new FSXEvent("KEY_INVOKE_HELP", "Brings up Help system", "Shared Cockpit"));
		fsxEvents.put("toggle_aircraft_labels", new FSXEvent("KEY_TOGGLE_AIRCRAFT_LABELS", "Toggles aircraft labels", "Shared Cockpit"));
		fsxEvents.put("flight_map", new FSXEvent("KEY_FLIGHT_MAP", "Brings up flight map", "Shared Cockpit"));
		fsxEvents.put("reload_panels", new FSXEvent("KEY_RELOAD_PANELS", "Reload panel data", "Shared Cockpit"));
		fsxEvents.put("panel_id_toggle", new FSXEvent("KEY_PANEL_ID_TOGGLE", "Toggles indexed panel (1 to 9)", "Shared Cockpit"));
		fsxEvents.put("panel_id_open", new FSXEvent("KEY_PANEL_ID_OPEN", "Opens indexed panel (1 to 9)", "Shared Cockpit"));
		fsxEvents.put("panel_id_close", new FSXEvent("KEY_PANEL_ID_CLOSE", "Closes indexed panel (1 to 9)", "Shared Cockpit"));
		fsxEvents.put("reload_user_aircraft", new FSXEvent("KEY_CONTROL_RELOAD_USER_AIRCRAFT", "Reloads the user aircraft data (from cache if same type loaded as an AI, otherwise from disk)", "Shared Cockpit"));
		fsxEvents.put("sim_reset", new FSXEvent("KEY_SIM_RESET", "Resets aircraft state", "Shared Cockpit"));
		fsxEvents.put("virtual_copilot_toggle", new FSXEvent("KEY_VIRTUAL_COPILOT_TOGGLE", "Turns Flying Tips on/off", "Shared Cockpit"));
		fsxEvents.put("virtual_copilot_set", new FSXEvent("KEY_VIRTUAL_COPILOT_SET ", "Sets Flying Tips on/off (1,0)", "Shared Cockpit"));
		fsxEvents.put("virtual_copilot_action", new FSXEvent("KEY_VIRTUAL_COPILOT_ACTION", "Triggers action noted in Flying Tips", "Shared Cockpit"));
		fsxEvents.put("refresh_scenery", new FSXEvent("KEY_REFRESH_SCENERY", "Reloads scenery", "Shared Cockpit"));
		fsxEvents.put("clock_hours_dec", new FSXEvent("KEY_CLOCK_HOURS_DEC", "Decrements time by hours", "Shared Cockpit"));
		fsxEvents.put("clock_hours_inc", new FSXEvent("KEY_CLOCK_HOURS_INC", "Increments time by hours", "Shared Cockpit"));
		fsxEvents.put("clock_minutes_dec", new FSXEvent("KEY_CLOCK_MINUTES_DEC", "Decrements time by minutes", "Shared Cockpit"));
		fsxEvents.put("clock_minutes_inc", new FSXEvent("KEY_CLOCK_MINUTES_INC", "Increments time by minutes", "Shared Cockpit"));
		fsxEvents.put("clock_seconds_zero", new FSXEvent("KEY_CLOCK_SECONDS_ZERO", "Zeros seconds", "Shared Cockpit"));
		fsxEvents.put("clock_hours_set", new FSXEvent("KEY_CLOCK_HOURS_SET", "Sets hour of day", "Shared Cockpit"));
		fsxEvents.put("clock_minutes_set", new FSXEvent("KEY_CLOCK_MINUTES_SET", "Sets minutes of the hour", "Shared Cockpit"));
		fsxEvents.put("zulu_hours_set", new FSXEvent("KEY_ZULU_HOURS_SET", "Sets hours, zulu time", "Shared Cockpit"));
		fsxEvents.put("zulu_minutes_set", new FSXEvent("KEY_ZULU_MINUTES_SET", "Sets minutes, in zulu time", "Shared Cockpit"));
		fsxEvents.put("zulu_day_set", new FSXEvent("KEY_ZULU_DAY_SET", "Sets day, in zulu time", "Shared Cockpit"));
		fsxEvents.put("zulu_year_set", new FSXEvent("KEY_ZULU_YEAR_SET", "Sets year, in zulu time", "Shared Cockpit"));
		fsxEvents.put("gauge_keystroke", new FSXEvent("KEY_GAUGE_KEYSTROKE", "Enables a keystroke to be sent to a gauge that is in focus. The keystrokes can only be in the range 0 to 9, A to Z, and the four keys: plus, minus, comma and period. This is typically used to allow some keyboard entry to a complex device such as a GPS to enter such things as ICAO codes using the keyboard, rather than turning dials. ", "Shared Cockpit"));
		fsxEvents.put("simui_window_hideshow", new FSXEvent("KEY_SIMUI_WINDOW_HIDESHOW", "Display the ATC window. ", "Shared Cockpit"));
		fsxEvents.put("view_window_titles_toggle", new FSXEvent("KEY_WINDOW_TITLES_TOGGLE", "Turn window titles on or off. ", "Shared Cockpit"));
		fsxEvents.put("axis_pan_pitch", new FSXEvent("KEY_AXIS_PAN_PITCH", "Sets the pitch of the axis. Requires an angle. ", "Shared Cockpit"));
		fsxEvents.put("axis_pan_heading", new FSXEvent("KEY_AXIS_PAN_HEADING", "Sets the heading of the axis. Requires an angle. ", "Shared Cockpit"));
		fsxEvents.put("axis_pan_tilt", new FSXEvent("KEY_AXIS_PAN_TILT", "Sets the tilt of the axis. Requires an angle. ", "Shared Cockpit"));
		fsxEvents.put("view_axis_indicator_cycle", new FSXEvent("KEY_AXIS_INDICATOR_CYCLE", "Step through the view axes. ", "Shared Cockpit"));
		fsxEvents.put("view_map_orientation_cycle", new FSXEvent("KEY_MAP_ORIENTATION_CYCLE", "Step through the map orientations. ", "Shared Cockpit"));
		fsxEvents.put("toggle_jetway", new FSXEvent("KEY_TOGGLE_JETWAY", "Requests a jetway, which will only be answered if the aircraft is at a parking spot. ", "Shared Cockpit"));
		fsxEvents.put("video_record_toggle", new FSXEvent("KEY_VIDEO_RECORD_TOGGLE", "Turn on or off the video recording feature. This records uncompressed AVI format files to: My Documents My Videos ", "Shared Cockpit"));
		fsxEvents.put("toggle_airport_name_display", new FSXEvent("KEY_TOGGLE_AIRPORT_NAME_DISPLAY", "Turn on or off the airport name.", "Shared Cockpit"));
		fsxEvents.put("capture_screenshot", new FSXEvent("KEY_CAPTURE_SCREENSHOT", "Capture the current view as a screenshot. Which will be saved to a bmp file in: My Documents My Pictures  ", "Shared Cockpit"));
		fsxEvents.put("mouse_look_toggle", new FSXEvent("KEY_MOUSE_LOOK_TOGGLE", "Switch Mouse Look mode on or off. Mouse Look mode enables a user to control their view using the mouse, and holding down the space bar. ", "Shared Cockpit"));
		fsxEvents.put("yaxis_invert_toggle", new FSXEvent("KEY_YAXIS_INVERT_TOGGLE", "Switch inversion of Y axis controls on or off. ", "Shared Cockpit"));
		fsxEvents.put("autorudder_toggle", new FSXEvent("KEY_AUTOCOORD_TOGGLE", "Turn the automatic rudder control feature on or off. ", "Shared Cockpit"));
		fsxEvents.put("freeze_latitude_longitude_toggle", new FSXEvent("KEY_FREEZE_LATITUDE_LONGITUDE_TOGGLE", "Turns the freezing of the lat/lon position of the aircraft (either user or AI controlled) on or off. If this key event is set, it means that the latitude and longitude of the aircraft are not being controlled by ESP, so enabling, for example, a SimConnect client to control the position of the aircraft. This can also apply to altitude and attitude. Refer to the simulation variables:  IS LATITUDE LONGITUDE FREEZE ON, IS ALTITUDE FREEZE ON, and  IS ATTITUDE FREEZE ON  Refer also to the SimConnect_AIReleaseControl function.", "Shared Cockpit"));
		fsxEvents.put("freeze_latitude_longitude_set", new FSXEvent("KEY_FREEZE_LATITUDE_LONGITUDE_SET", "Freezes the lat/lon position of the aircraft. ", "Shared Cockpit"));
		fsxEvents.put("freeze_altitude_toggle", new FSXEvent("KEY_FREEZE_ALTITUDE_TOGGLE", "Turns the freezing of the altitude of the aircraft on or off. ", "Shared Cockpit"));
		fsxEvents.put("freeze_altitude_set", new FSXEvent("KEY_FREEZE_ALTITUDE_SET", "Freezes the altitude of the aircraft.. ", "Shared Cockpit"));
		fsxEvents.put("freeze_attitude_toggle", new FSXEvent("KEY_FREEZE_ATTITUDE_TOGGLE", "Turns the freezing of the attitude (pitch, bank and heading) of the aircraft on or off. ", "Shared Cockpit"));
		fsxEvents.put("freeze_attitude_set", new FSXEvent("KEY_FREEZE_ATTITUDE_SET", "Freezes the attitude (pitch, bank and heading) of the aircraft. ", "Shared Cockpit"));
		fsxEvents.put("point_of_interest_toggle_pointer", new FSXEvent("KEY_POINT_OF_INTEREST_TOGGLE_POINTER", "Turn the point-of-interest indicator (often a light beam) on or off. Refer to the Missions system documentation. ", "Shared Cockpit"));
		fsxEvents.put("point_of_interest_cycle_previous", new FSXEvent("KEY_POINT_OF_INTEREST_CYCLE_PREVIOUS", "Change the current point-of-interest to the previous point-of-interest. ", "Shared Cockpit"));
		fsxEvents.put("point_of_interest_cycle_next", new FSXEvent("KEY_POINT_OF_INTEREST_CYCLE_NEXT", "Change the current point-of-interest to the next point-of-interest. ", "Shared Cockpit"));
		fsxEvents.put("atc", new FSXEvent("KEY_ATC", "Activates ATC window", "Shared Cockpit"));
		fsxEvents.put("atc_menu_1", new FSXEvent("KEY_ATC_MENU_1", "Selects ATC option 1", "Shared Cockpit"));
		fsxEvents.put("atc_menu_2", new FSXEvent("KEY_ATC_MENU_2", "Selects ATC option 2", "Shared Cockpit"));
		fsxEvents.put("atc_menu_3", new FSXEvent("KEY_ATC_MENU_3", "Selects ATC option 3", "Shared Cockpit"));
		fsxEvents.put("atc_menu_4", new FSXEvent("KEY_ATC_MENU_4", "Selects ATC option 4", "Shared Cockpit"));
		fsxEvents.put("atc_menu_5", new FSXEvent("KEY_ATC_MENU_5", "Selects ATC option 5", "Shared Cockpit"));
		fsxEvents.put("atc_menu_6", new FSXEvent("KEY_ATC_MENU_6", "Selects ATC option 6", "Shared Cockpit"));
		fsxEvents.put("atc_menu_7", new FSXEvent("KEY_ATC_MENU_7", "Selects ATC option 7", "Shared Cockpit"));
		fsxEvents.put("atc_menu_8", new FSXEvent("KEY_ATC_MENU_8", "Selects ATC option 8", "Shared Cockpit"));
		fsxEvents.put("atc_menu_9", new FSXEvent("KEY_ATC_MENU_9", "Selects ATC option 9", "Shared Cockpit"));
		fsxEvents.put("atc_menu_0", new FSXEvent("KEY_ATC_MENU_0", "Selects ATC option 10", "Shared Cockpit"));
		fsxEvents.put("mp_transfer_control", new FSXEvent("KEY_MULTIPLAYER_TRANSFER_CONTROL", "Toggle to the next player to track", "-"));
		fsxEvents.put("mp_player_cycle", new FSXEvent("KEY_MULTIPLAYER_PLAYER_CYCLE", "Cycle through the current user aircraft. ", "Shared Cockpit"));
		fsxEvents.put("mp_player_follow", new FSXEvent("KEY_MULTIPLAYER_PLAYER_FOLLOW", "Set the view to follow the selected user aircraft. ", "Shared Cockpit"));
		fsxEvents.put("mp_chat", new FSXEvent("KEY_MULTIPLAYER_CHAT", "Toggles chat window visible/invisible", "Shared Cockpit"));
		fsxEvents.put("mp_activate_chat", new FSXEvent("KEY_MULTIPLAYER_ACTIVATE_CHAT", "Activates chat window", "Shared Cockpit"));
		fsxEvents.put("mp_voice_capture_start", new FSXEvent("KEY_MULTIPLAYER_VOICE_CAPTURE_START", "Start capturing audio from the users computer and transmitting it to all other players in the multiplayer session who are turned to the same radio frequency. ", "Shared Cockpit"));
		fsxEvents.put("mp_voice_capture_stop", new FSXEvent("KEY_MULTIPLAYER_VOICE_CAPTURE_STOP", "Stop capturing radio audio. ", "Shared Cockpit"));
		//fsEventMap.put("MP_BROADCAST_VOICE_ CAPTURE_START", "KEY_MULTIPLAYER_BROADCAST_VOICE_ CAPTURE_START", "Start capturing audio from the users computer and transmitting it to all other players in the multiplayer session. ", "Shared Cockpit"));
		//fsEventMap.put("MP_BROADCAST_VOICE_ CAPTURE_STOP", "KEY_MULTIPLAYER_BROADCAST_VOICE_ CAPTURE_STOP", "Stop capturing broadcast audio. ", "Shared Cockpit"));
		fsxEvents.put("toggle_raceresults_window", new FSXEvent("KEY_TOGGLE_RACERESULTS_WINDOW", "Show or hide multi-player race results. ", "Disabled"));
	}
	
	private String key, description, multiplayer;
	private int id;
	private static int idcounter = 100;
	
	private FSXEvent( String key, String description, String multiplayer) {
		this.id = idcounter++;
		this.key = key;
		this.description = description;
		this.multiplayer = multiplayer;
	}
	
	private int getID() {
		return this.id;
	}
	
	public static boolean exists( String event ) {
		return fsxEvents.containsKey(event);
	}
	
	public static int getEventID( String event ) {
		return fsxEvents.get(event).getID();
	}
}	
