package org.gaugebook;

import java.util.HashMap;

import flightsim.simconnect.SimConnectDataType;

public class FSXVariablesHashMap {
/*
	Fuel Tank Selection
	Number
		
	Description                        
	0 	Off
	1 	All
	2 	Left
	3 	Right
	4 	Left auxiliary
	5 	Right auxiliary
	6 	Center
	7 	Center2
	8 	Center3
	9 	External1
	10 	External2
	11 	Right tip
	12 	Left tip
	13 	Crossfeed
	14 	Crossfeed left to right
	15 	Crossfeed right to left
	16 	Both
	17 	External
	18 	Isolate
	19 	Left main
	20 	Right main 
*/
	protected static HashMap<String,String[]> fsxVars = new HashMap<String,String[]>(886);
	
	// Simulation Variables 
	static {
		// Aircraft Engine Data
		fsxVars.put("number of engines", new String[] {"number of engines", "Number of engines (minimum 0, maximum 4)", "Number", "false" } );
		fsxVars.put("engine control select", new String[] {"engine control select", "Selected engines (combination of bit flags) 1 = Engine 1, 2 = Engine 2, 4 = Engine 3, 8 = Engine 4", "Mask", "true" } );
		fsxVars.put("throttle lower limit", new String[] {"throttle lower limit", "Percent throttle defining lower limit (negative for reverse thrust equipped airplanes)", "Percent", "false" } );
		fsxVars.put("engine type", new String[] {"engine type", "Engine type: 0 = Piston, 1 = Jet, 2 = None, 3 = Helo(Bell) turbine, 4 = Unsupported, 5 = Turboprop", "Enum", "false" } );
		fsxVars.put("master ignition switch", new String[] {"master ignition switch", "Aircraft master ignition switch (grounds all engines magnetos)", "Bool", "false" } );
		fsxVars.put("general eng combustion:index", new String[] {"general eng combustion:index", "Combustion flag", "Bool", "true" } );
		fsxVars.put("general eng master alternator:index", new String[] {"general eng master alternator:index", "Alternator (generator) switch", "Bool", "false" } );
		fsxVars.put("general eng fuel pump switch:index", new String[] {"general eng fuel pump switch:index", "Fuel pump switch", "Bool", "false" } );
		fsxVars.put("general eng fuel pump on:index", new String[] {"general eng fuel pump on:index", "Fuel pump on/off", "Bool", "false" } );
		fsxVars.put("general eng rpm:index", new String[] {"general eng rpm:index", "Engine rpm", "Rpm", "false" } );
		fsxVars.put("general eng pct max rpm:index", new String[] {"general eng pct max rpm:index", "Percent of max rated rpm", "Percent", "false" } );
		fsxVars.put("general eng max reached rpm:index", new String[] {"general eng max reached rpm:index", "Maximum attained rpm", "Rpm", "false" } );
		fsxVars.put("general eng throttle lever position:index", new String[] {"general eng throttle lever position:index", "Percent of max throttle position", "Percent", "true" } );
		fsxVars.put("general eng mixture lever position:index", new String[] {"general eng mixture lever position:index", "Percent of max mixture lever position", "Percent", "true" } );
		fsxVars.put("general eng propeller lever position:index", new String[] {"general eng propeller lever position:index", "Percent of max prop lever position", "Percent", "true" } );
		fsxVars.put("general eng starter:index", new String[] {"general eng starter:index", "Engine starter on/off", "Bool", "false" } );
		fsxVars.put("general eng exhaust gas temperature:index", new String[] {"general eng exhaust gas temperature:index", "Engine exhaust gas temperature.", "Rankine", "true" } );
		fsxVars.put("general eng oil pressure:index", new String[] {"general eng oil pressure:index", "Engine oil pressure", "Psf", "true" } );
		fsxVars.put("general eng oil leaked percent:index", new String[] {"general eng oil leaked percent:index", "Percent of max oil capacity leaked", "Percent", "false" } );
		fsxVars.put("general eng combustion sound percent:index", new String[] {"general eng combustion sound percent:index", "Percent of maximum engine sound", "Percent", "false" } );
		fsxVars.put("general eng damage percent:index", new String[] {"general eng damage percent:index", "Percent of total engine damage", "Percent", "false" } );
		fsxVars.put("general eng oil temperature:index", new String[] {"general eng oil temperature:index", "Engine oil temperature", "Rankine", "true" } );
		fsxVars.put("general eng failed:index", new String[] {"general eng failed:index", "Fail flag", "Bool", "false" } );
		fsxVars.put("general eng generator switch:index", new String[] {"general eng generator switch:index", "Alternator (generator) switch", "Bool", "false" } );
		fsxVars.put("general eng generator active:index", new String[] {"general eng generator active:index", "Alternator (generator) on/off", "Bool", "true" } );
		fsxVars.put("general eng anti ice position:index", new String[] {"general eng anti ice position:index", "Engine anti-ice switch", "Bool", "false" } );
		fsxVars.put("general eng fuel valve:index", new String[] {"general eng fuel valve:index", "Fuel valve state", "Bool", "false" } );
		fsxVars.put("general eng fuel pressure:index", new String[] {"general eng fuel pressure:index", "Engine fuel pressure", "Psi", "true" } );
		fsxVars.put("general eng elapsed time:index", new String[] {"general eng elapsed time:index", "Total engine elapsed time", "Hours", "false" } );
		fsxVars.put("recip eng cowl flap position:index", new String[] {"recip eng cowl flap position:index", "Percent cowl flap opened", "Percent", "true" } );
		fsxVars.put("recip eng primer:index", new String[] {"recip eng primer:index", "Engine primer position", "Bool", "true" } );
		fsxVars.put("recip eng manifold pressure:index", new String[] {"recip eng manifold pressure:index", "Engine manifold pressure", "Psi", "true" } );
		fsxVars.put("recip eng alternate air position:index", new String[] {"recip eng alternate air position:index", "Alternate air control", "Position", "true" } );
		fsxVars.put("recip eng coolant reservoir percent:index", new String[] {"recip eng coolant reservoir percent:index", "Percent coolant available", "Percent", "true" } );
		fsxVars.put("recip eng left magneto:index", new String[] {"recip eng left magneto:index", "Left magneto state", "Bool", "true" } );
		fsxVars.put("recip eng right magneto:index", new String[] {"recip eng right magneto:index", "Right magneto state", "Bool", "true" } );
		fsxVars.put("recip eng brake power:index", new String[] {"recip eng brake power:index", "Brake power produced by engine", "Foot pounds per second", "true" } );
		fsxVars.put("recip eng starter torque:index", new String[] {"recip eng starter torque:index", "Torque produced by engine", "Foot pound", "true" } );
		fsxVars.put("recip eng turbocharger failed:index", new String[] {"recip eng turbocharger failed:index", "Turbo failed state", "Bool", "true" } );
		fsxVars.put("recip eng emergency boost active:index", new String[] {"recip eng emergency boost active:index", "War emergency power active", "Bool", "true" } );
		fsxVars.put("recip eng emergency boost elapsed time:index", new String[] {"recip eng emergency boost elapsed time:index", "Elapsed time war emergency power active", "Hours", "true" } );
		fsxVars.put("recip eng wastegate position:index", new String[] {"recip eng wastegate position:index", "Percent turbo wastegate closed", "Percent", "true" } );
		fsxVars.put("recip eng turbine inlet temperature:index", new String[] {"recip eng turbine inlet temperature:index", "Engine turbine inlet temperature", "Celsius", "true" } );
		fsxVars.put("recip eng cylinder head temperature:index", new String[] {"recip eng cylinder head temperature:index", "Engine cylinder head temperature", "Celsius", "true" } );
		fsxVars.put("recip eng radiator temperature:index", new String[] {"recip eng radiator temperature:index", "Engine radiator temperature", "Celsius", "true" } );
		fsxVars.put("recip eng fuel available:index", new String[] {"recip eng fuel available:index", "True if fuel is available", "Bool", "true" } );
		fsxVars.put("recip eng fuel flow:index", new String[] {"recip eng fuel flow:index", "Engine fuel flow", "Pounds per hour", "true" } );
		fsxVars.put("recip eng fuel tank selector:index", new String[] {"recip eng fuel tank selector:index", "Fuel tank selected for engine. See fuel tank list.", "Enum", "false" } );
		fsxVars.put("recip eng fuel tanks used:index", new String[] {"recip eng fuel tanks used:index", "Fuel tanks used, one or more of the following bit flags: Center 1 Bit 0, Center 2 Bit 1, Center 3 Bit 2, Left Main Bit 3, Left Aux Bit 4, Left Tip Bit 5, Right Main Bit 6, Right Aux Bit 7, Right Tip Bit 8, External 1 Bit 9, External 2 Bit 10", "Mask", "true" } );
		fsxVars.put("recip eng fuel number tanks used:index", new String[] {"recip eng fuel number tanks used:index", "Number of tanks currently being used", "Number", "false" } );
		fsxVars.put("recip carburetor temperature:index", new String[] {"recip carburetor temperature:index", "Carburetor temperature", "Celsius", "true" } );
		fsxVars.put("recip mixture ratio:index", new String[] {"recip mixture ratio:index", "Fuel / Air mixture ratio", "Ratio", "true" } );
		fsxVars.put("turb eng n1:index", new String[] {"turb eng n1:index", "Turbine engine N1", "Percent", "true" } );
		fsxVars.put("turb eng n2:index", new String[] {"turb eng n2:index", "Turbine engine N2", "Percent", "true" } );
		fsxVars.put("turb eng corrected n1:index", new String[] {"turb eng corrected n1:index", "Turbine engine corrected N1", "Percent", "true" } );
		fsxVars.put("turb eng corrected n2:index", new String[] {"turb eng corrected n2:index", "Turbine engine corrected N2", "Percent", "true" } );
		fsxVars.put("turb eng corrected ff:index", new String[] {"turb eng corrected ff:index", "Corrected fuel flow", "Pounds per hour", "true" } );
		fsxVars.put("turb eng max torque percent:index", new String[] {"turb eng max torque percent:index", "Percent of max rated torque", "Percent", "true" } );
		fsxVars.put("turb eng pressure ratio:index", new String[] {"turb eng pressure ratio:index", "Engine pressure ratio", "Ratio", "true" } );
		fsxVars.put("turb eng itt:index", new String[] {"turb eng itt:index", "Engine ITT", "Rankine", "true" } );
		fsxVars.put("turb eng afterburner:index", new String[] {"turb eng afterburner:index", "Afterburner state", "Bool", "false" } );
		fsxVars.put("turb eng jet thrust:index", new String[] {"turb eng jet thrust:index", "Engine jet thrust", "Pounds", "false" } );
		fsxVars.put("turb eng bleed air:index", new String[] {"turb eng bleed air:index", "Bleed air pressure", "Psi", "false" } );
		fsxVars.put("turb eng tank selector:index", new String[] {"turb eng tank selector:index", "Fuel tank selected for engine. See fuel tank list.", "Enum", "false" } );
		fsxVars.put("turb eng tanks used:index", new String[] {"turb eng tanks used:index", "Fuel tanks used, one or more of the following bit flags: Center 1 Bit 0, Center 2 Bit 1, Center 3 Bit 2, Left Main Bit 3, Left Aux Bit 4, Left Tip Bit 5, Right Main Bit 6, Right Aux Bit 7, Right Tip Bit 8, External 1 Bit 9, External 2 Bit 10", "Mask", "false" } );
		fsxVars.put("turb eng num tanks used:index", new String[] {"turb eng num tanks used:index", "Number of tanks currently being used", "Number", "false" } );
		fsxVars.put("turb eng fuel flow pph:index", new String[] {"turb eng fuel flow pph:index", "Engine fuel flow", "Pounds per hour", "false" } );
		fsxVars.put("turb eng fuel available:index", new String[] {"turb eng fuel available:index", "True if fuel is available", "Bool", "false" } );
		fsxVars.put("turb eng reverse nozzle percent:index", new String[] {"turb eng reverse nozzle percent:index", "Percent thrust reverser nozzles deployed", "Percent", "false" } );
		fsxVars.put("turb eng vibration:index", new String[] {"turb eng vibration:index", "Engine vibration value", "Number", "false" } );
		fsxVars.put("eng failed:index", new String[] {"eng failed:index", "Failure flag", "Number", "false" } );
		fsxVars.put("eng rpm animation percent:index", new String[] {"eng rpm animation percent:index", "Percent max rated rpm used for visual animation", "Percent", "false" } );
		fsxVars.put("eng on fire:index", new String[] {"eng on fire:index", "On fire state", "Bool", "true" } );
		fsxVars.put("eng fuel flow bug position:index", new String[] {"eng fuel flow bug position:index", "Fuel flow reference", "Pounds per hour", "false" } );
		fsxVars.put("prop rpm:index", new String[] {"prop rpm:index", "Propeller rpm", "Rpm", "true" } );
		fsxVars.put("prop max rpm percent:index", new String[] {"prop max rpm percent:index", "Percent of max rated rpm", "Percent", "false" } );
		fsxVars.put("prop thrust:index", new String[] {"prop thrust:index", "Propeller thrust", "Pounds", "false" } );
		fsxVars.put("prop beta:index", new String[] {"prop beta:index", "Prop blade pitch angle", "Radians", "false" } );
		fsxVars.put("prop feathering inhibit:index", new String[] {"prop feathering inhibit:index", "Feathering inhibit flag", "Bool", "false" } );
		fsxVars.put("prop feathered:index", new String[] {"prop feathered:index", "Feathered state", "Bool", "false" } );
		fsxVars.put("prop sync delta lever:index", new String[] {"prop sync delta lever:index", "Corrected prop correction input on slaved engine", "Position", "false" } );
		fsxVars.put("prop auto feather armed:index", new String[] {"prop auto feather armed:index", "Auto-feather armed state", "Bool", "false" } );
		fsxVars.put("prop feather switch:index", new String[] {"prop feather switch:index", "Prop feather switch", "Bool", "false" } );
		fsxVars.put("panel auto feather switch:index", new String[] {"panel auto feather switch:index", "Auto-feather arming switch", "Bool", "false" } );
		fsxVars.put("prop sync active:index", new String[] {"prop sync active:index", "True if prop sync is active", "Bool", "false" } );
		fsxVars.put("prop deice switch:index", new String[] {"prop deice switch:index", "True if prop deice switch on", "Bool", "false" } );
		fsxVars.put("eng combustion", new String[] {"eng combustion", "True if the engine is running", "Bool", "false" } );
		fsxVars.put("eng n1 rpm:index", new String[] {"eng n1 rpm:index", "Engine N1 rpm", "Rpm", "false" } ); // 0 to 16384
		fsxVars.put("eng n2 rpm:index", new String[] {"eng n2 rpm:index", "Engine N2 rpm", "Rpm", "false" } ); // 0 to 16384
		fsxVars.put("eng fuel flow gph:index", new String[] {"eng fuel flow gph:index", "Engine fuel flow", "Gallons per hour", "false" } );
		fsxVars.put("eng fuel flow pph:index", new String[] {"eng fuel flow pph:index", "Engine fuel flow", "Pounds per hour", "false" } );
		fsxVars.put("eng torque:index", new String[] {"eng torque:index", "Torque", "Foot pounds", "false" } );
		fsxVars.put("eng anti ice:index", new String[] {"eng anti ice:index", "Anti-ice switch", "Bool", "false" } );
		fsxVars.put("eng pressure ratio:index", new String[] {"eng pressure ratio:index", "Engine pressure ratio", "Ratio", "false" } ); // 0 to 16384
		fsxVars.put("eng exhaust gas temperature:index", new String[] {"eng exhaust gas temperature:index", "Exhaust gas temperature", "Rankine", "false" } );
		fsxVars.put("eng exhaust gas temperature ges:index", new String[] {"eng exhaust gas temperature ges:index", "Governed engine setting", "Percent over 100", "false" } );
		fsxVars.put("eng cylinder head temperature:index", new String[] {"eng cylinder head temperature:index", "Engine cylinder head temperature", "Rankine", "false" } );
		fsxVars.put("eng oil temperature:index", new String[] {"eng oil temperature:index", "Engine oil temperature", "Rankine", "false" } );
		fsxVars.put("eng oil pressure:index", new String[] {"eng oil pressure:index", "Engine oil pressure", "psi", "false" } );
		fsxVars.put("eng oil quantity:index", new String[] {"eng oil quantity:index", "Engine oil quantitiy as a percentage of full capacity", "Percent over 100", "false" } );
		fsxVars.put("eng hydraulic pressure:index", new String[] {"eng hydraulic pressure:index", "Engine hydraulic pressure", "Pounds per square foot", "false" } );
		fsxVars.put("eng hydraulic quantity:index", new String[] {"eng hydraulic quantity:index", "Engine hydraulic fluid quantity, as a percentage of total capacity", "Percent over 100", "false" } );
		fsxVars.put("eng manifold pressure:index", new String[] {"eng manifold pressure:index", "Engine manifold pressure.", "inHG.", "false" } );
		fsxVars.put("eng vibration:index", new String[] {"eng vibration:index", "Engine vibration", "Number", "false" } );
		fsxVars.put("eng rpm scaler:index", new String[] {"eng rpm scaler:index", "Obsolete", "Scalar", "false" } );
		fsxVars.put("eng max rpm", new String[] {"eng max rpm", "Maximum rpm", "Rpm", "false" } );
		fsxVars.put("general eng starter active", new String[] {"general eng starter active", "True if engine starter is active", "Bool", "false" } );
		fsxVars.put("general eng fuel used since start", new String[] {"general eng fuel used since start", "Fuel used since the engines were last started", "Pounds", "false" } );
		fsxVars.put("turb eng primary nozzle percent:index", new String[] {"turb eng primary nozzle percent:index", "Percent thrust of primary nozzle", "Percent over 100", "false" } );
		fsxVars.put("turb eng ignition switch", new String[] {"turb eng ignition switch", "True if the turbine engine ignition switch is on", "Bool", "false" } );
		fsxVars.put("turb eng master starter switch", new String[] {"turb eng master starter switch", "True if the turbine engine master starter switch is on", "Bool", "false" } );
		fsxVars.put("turb eng afterburner stage active", new String[] {"turb eng afterburner stage active", "The stage of the afterburner, or 0 if the afterburner is not active.", "Number", "false" } );
		fsxVars.put("turb eng afterburner pct active", new String[] {"turb eng afterburner pct active", "The percentage that the afterburner is running at.", "Percent_over_100", "false" } );
		// Aircraft Fuel Data
		fsxVars.put("fuel tank center level", new String[] {"fuel tank center level", "Percent of maximum capacity", "Percent Over 100", "true" } );
		fsxVars.put("fuel tank center2 level", new String[] {"fuel tank center2 level", "Percent of maximum capacity", "Percent Over 100", "true" } );
		fsxVars.put("fuel tank center3 level", new String[] {"fuel tank center3 level", "Percent of maximum capacity", "Percent Over 100", "true" } );
		fsxVars.put("fuel tank left main level", new String[] {"fuel tank left main level", "Percent of maximum capacity", "Percent Over 100", "true" } );
		fsxVars.put("fuel tank left aux level", new String[] {"fuel tank left aux level", "Percent of maximum capacity", "Percent Over 100", "true" } );
		fsxVars.put("fuel tank left tip level", new String[] {"fuel tank left tip level", "Percent of maximum capacity", "Percent Over 100", "true" } );
		fsxVars.put("fuel tank right main level", new String[] {"fuel tank right main level", "Percent of maximum capacity", "Percent Over 100", "true" } );
		fsxVars.put("fuel tank right aux level", new String[] {"fuel tank right aux level", "Percent of maximum capacity", "Percent Over 100", "true" } );
		fsxVars.put("fuel tank right tip level", new String[] {"fuel tank right tip level", "Percent of maximum capacity", "Percent Over 100", "true" } );
		fsxVars.put("fuel tank external1 level", new String[] {"fuel tank external1 level", "Percent of maximum capacity", "Percent Over 100", "true" } );
		fsxVars.put("fuel tank external2 level", new String[] {"fuel tank external2 level", "Percent of maximum capacity", "Percent Over 100", "true" } );
		fsxVars.put("fuel tank center capacity", new String[] {"fuel tank center capacity", "Maximum capacity in volume", "Gallons", "false" } );
		fsxVars.put("fuel tank center2 capacity", new String[] {"fuel tank center2 capacity", "Maximum capacity in volume", "Gallons", "false" } );
		fsxVars.put("fuel tank center3 capacity", new String[] {"fuel tank center3 capacity", "Maximum capacity in volume", "Gallons", "false" } );
		fsxVars.put("fuel tank left main capacity", new String[] {"fuel tank left main capacity", "Maximum capacity in volume", "Gallons", "false" } );
		fsxVars.put("fuel tank left aux capacity", new String[] {"fuel tank left aux capacity", "Maximum capacity in volume", "Gallons", "false" } );
		fsxVars.put("fuel tank left tip capacity", new String[] {"fuel tank left tip capacity", "Maximum capacity in volume", "Gallons", "false" } );
		fsxVars.put("fuel tank right main capacity", new String[] {"fuel tank right main capacity", "Maximum capacity in volume", "Gallons", "false" } );
		fsxVars.put("fuel tank right aux capacity", new String[] {"fuel tank right aux capacity", "Maximum capacity in volume", "Gallons", "false" } );
		fsxVars.put("fuel tank right tip capacity", new String[] {"fuel tank right tip capacity", "Maximum capacity in volume", "Gallons", "false" } );
		fsxVars.put("fuel tank external1 capacity", new String[] {"fuel tank external1 capacity", "Maximum capacity in volume", "Gallons", "false" } );
		fsxVars.put("fuel tank external2 capacity", new String[] {"fuel tank external2 capacity", "Maximum capacity in volume", "Gallons", "false" } );
		fsxVars.put("fuel left capacity", new String[] {"fuel left capacity", "Maximum capacity in volume", "Gallons", "false" } );
		fsxVars.put("fuel right capacity", new String[] {"fuel right capacity", "Maximum capacity in volume", "Gallons", "false" } );
		fsxVars.put("fuel tank center quantity", new String[] {"fuel tank center quantity", "Current quantity in volume", "Gallons", "true" } );
		fsxVars.put("fuel tank center2 quantity", new String[] {"fuel tank center2 quantity", "Current quantity in volume", "Gallons", "true" } );
		fsxVars.put("fuel tank center3 quantity", new String[] {"fuel tank center3 quantity", "Current quantity in volume", "Gallons", "true" } );
		fsxVars.put("fuel tank left main quantity", new String[] {"fuel tank left main quantity", "Current quantity in volume", "Gallons", "true" } );
		fsxVars.put("fuel tank left aux quantity", new String[] {"fuel tank left aux quantity", "Current quantity in volume", "Gallons", "true" } );
		fsxVars.put("fuel tank left tip quantity", new String[] {"fuel tank left tip quantity", "Current quantity in volume", "Gallons", "true" } );
		fsxVars.put("fuel tank right main quantity", new String[] {"fuel tank right main quantity", "Current quantity in volume", "Gallons", "true" } );
		fsxVars.put("fuel tank right aux quantity", new String[] {"fuel tank right aux quantity", "Current quantity in volume", "Gallons", "true" } );
		fsxVars.put("fuel tank right tip quantity", new String[] {"fuel tank right tip quantity", "Current quantity in volume", "Gallons", "true" } );
		fsxVars.put("fuel tank external1 quantity", new String[] {"fuel tank external1 quantity", "Current quantity in volume", "Gallons", "true" } );
		fsxVars.put("fuel tank external2 quantity", new String[] {"fuel tank external2 quantity", "Current quantity in volume", "Gallons", "true" } );
		fsxVars.put("fuel left quantity", new String[] {"fuel left quantity", "Current quantity in volume", "Gallons", "false" } );
		fsxVars.put("fuel right quantity", new String[] {"fuel right quantity", "Current quantity in volume", "Gallons", "false" } );
		fsxVars.put("fuel total quantity", new String[] {"fuel total quantity", "Current quantity in volume", "Gallons", "false" } );
		fsxVars.put("fuel weight per gallon", new String[] {"fuel weight per gallon", "Fuel weight per gallon", "Pounds", "false" } );
		fsxVars.put("fuel tank selector:index", new String[] {"fuel tank selector:index", "Which tank is selected. See fuel tank list.", "Enum", "false" } );
		fsxVars.put("fuel cross feed", new String[] {"fuel cross feed", "Cross feed valve: 0 = Closed, 1 = Open", "Enum", "false" } );
		fsxVars.put("fuel total capacity", new String[] {"fuel total capacity", "Total capacity of the aircraft", "Gallons", "false" } );
		fsxVars.put("fuel selected quantity percent", new String[] {"fuel selected quantity percent", "Percent or capacity for selected tank", "Percent Over 100", "false" } );
		fsxVars.put("fuel selected quantity", new String[] {"fuel selected quantity", "Quantity of selected tank", "Gallons", "false" } );
		fsxVars.put("fuel total quantity weight", new String[] {"fuel total quantity weight", "Current total fuel weight of the aircraft", "Pounds", "false" } );
		fsxVars.put("num fuel selectors", new String[] {"num fuel selectors", "Number of selectors on the aircraft", "Number", "false" } );
		fsxVars.put("unlimited fuel", new String[] {"unlimited fuel", "Unlimited fuel flag", "Bool", "false" } );
		fsxVars.put("estimated fuel flow", new String[] {"estimated fuel flow", "Estimated fuel flow at cruise", "Pounds per hour", "false" } );
		// Aircraft Lights Data
		fsxVars.put("light strobe", new String[] {"light strobe", "Light switch state ", "Bool", "false" } );
		fsxVars.put("light panel", new String[] {"light panel", "Light switch state", "Bool", "false" } );
		fsxVars.put("light landing", new String[] {"light landing", "Light switch state", "Bool", "false" } );
		fsxVars.put("light taxi", new String[] {"light taxi", "Light switch state", "Bool", "false" } );
		fsxVars.put("light beacon", new String[] {"light beacon", "Light switch state", "Bool", "false" } );
		fsxVars.put("light nav", new String[] {"light nav", "Light switch state", "Bool", "false" } );
		fsxVars.put("light logo", new String[] {"light logo", "Light switch state", "Bool", "false" } );
		fsxVars.put("light wing", new String[] {"light wing", "Light switch state", "Bool", "false" } );
		fsxVars.put("light recognition", new String[] {"light recognition", "Light switch state", "Bool", "false" } );
		fsxVars.put("light cabin", new String[] {"light cabin", "Light switch state", "Bool", "false" } );
		fsxVars.put("light on states", new String[] {"light on states", "Bit mask: 0x0001: Nav, 0x0002: Beacon, 0x0004: Landing, 0x0008: Taxi, 0x0010: Strobe, 0x0020: Panel, 0x0040: Recognition, 0x0080: Wing, 0x0100: Logo, 0x0200: Cabin", "Mask", "false" } );
		fsxVars.put("light states", new String[] {"light states", "Same as LIGHT ON STATES", "Mask", "false" } );
		fsxVars.put("landing light pbh", new String[] {"landing light pbh", "Landing light pitch bank and heading", "SIMCONNECT_DATA_XYZ structure", "false" } );
		fsxVars.put("light taxi on", new String[] {"light taxi on", "Return true if the light is on.", "Bool", "false" } );
		fsxVars.put("light strobe on", new String[] {"light strobe on", "Return true if the light is on.", "Bool", "false" } );
		fsxVars.put("light panel on", new String[] {"light panel on", "Return true if the light is on.", "Bool", "false" } );
		fsxVars.put("light recognition on", new String[] {"light recognition on", "Return true if the light is on.", "Bool", "false" } );
		fsxVars.put("light wing on", new String[] {"light wing on", "Return true if the light is on.", "Bool", "false" } );
		fsxVars.put("light logo on", new String[] {"light logo on", "Return true if the light is on.", "Bool", "false" } );
		fsxVars.put("light cabin on", new String[] {"light cabin on", "Return true if the light is on.", "Bool", "false" } );
		fsxVars.put("light head on", new String[] {"light head on", "Return true if the light is on.", "Bool", "false" } );
		fsxVars.put("light brake on", new String[] {"light brake on", "Return true if the light is on.", "Bool", "false" } );
		fsxVars.put("light nav on", new String[] {"light nav on", "Return true if the light is on.", "Bool", "false" } );
		fsxVars.put("light beacon on", new String[] {"light beacon on", "Return true if the light is on.", "Bool", "false" } );
		fsxVars.put("light landing on", new String[] {"light landing on", "Return true if the light is on.", "Bool", "false" } );
		// Aircraft Position and Speed Data
		fsxVars.put("ground velocity", new String[] {"ground velocity", "Speed relative to the earths surface", "Knots", "false" } );
		fsxVars.put("total world velocity", new String[] {"total world velocity", "Speed relative to the earths center", "Feet per second", "false" } );
		fsxVars.put("velocity body z", new String[] {"velocity body z", "True longitudinal speed, relative to aircraft axis", "Feet per second", "true" } );
		fsxVars.put("velocity body x", new String[] {"velocity body x", "True lateral speed, relative to aircraft axis", "Feet per second", "true" } );
		fsxVars.put("velocity body y", new String[] {"velocity body y", "True vertical speed, relative to aircraft axis", "Feet per second", "true" } );
		fsxVars.put("velocity world z", new String[] {"velocity world z", "Speed relative to earth, in North/South direction", "Feet per second", "true" } );
		fsxVars.put("velocity world x", new String[] {"velocity world x", "Speed relative to earth, in East/West direction", "Feet per second", "true" } );
		fsxVars.put("velocity world y", new String[] {"velocity world y", "Speed relative to earth, in vertical direction", "Feet per second", "true" } );
		fsxVars.put("acceleration world x", new String[] {"acceleration world x", "Acceleration relative to earth, in east/west direction", "Feet per second squared", "true" } );
		fsxVars.put("acceleration world y", new String[] {"acceleration world y", "Acceleration relative to earch, in vertical direction", "Feet per second squared", "true" } );
		fsxVars.put("acceleration world z", new String[] {"acceleration world z", "Acceleration relative to earth, in north/south direction", "Feet per second squared", "true" } );
		fsxVars.put("acceleration body x", new String[] {"acceleration body x", "Acceleration relative to aircraft axix, in east/west direction", "Feet per second squared", "true" } );
		fsxVars.put("acceleration body y", new String[] {"acceleration body y", "Acceleration relative to aircraft axis, in vertical direction", "Feet per second squared", "true" } );
		fsxVars.put("acceleration body z", new String[] {"acceleration body z", "Acceleration relative to aircraft axis, in north/south direction", "Feet per second squared", "true" } );
		fsxVars.put("rotation velocity body x", new String[] {"rotation velocity body x", "Rotation relative to aircraft axis", "Feet per second", "true" } );
		fsxVars.put("rotation velocity body y", new String[] {"rotation velocity body y", "Rotation relative to aircraft axis", "Feet per second", "true" } );
		fsxVars.put("rotation velocity body z", new String[] {"rotation velocity body z", "Rotation relative to aircraft axis", "Feet per second", "true" } );
		fsxVars.put("relative wind velocity body x", new String[] {"relative wind velocity body x", "Lateral speed relative to wind", "Feet per second", "false" } );
		fsxVars.put("relative wind velocity body y", new String[] {"relative wind velocity body y", "Vertical speed relative to wind", "Feet per second", "false" } );
		fsxVars.put("relative wind velocity body z", new String[] {"relative wind velocity body z", "Longitudinal speed relative to wind", "Feet per second", "false" } );
		fsxVars.put("plane alt above ground", new String[] {"plane alt above ground", "Altitude above the surface", "Feet", "true" } );
		fsxVars.put("plane latitude", new String[] {"plane latitude", "Latitude of aircraft, North is positive, South negative", "Radians", "true" } );
		fsxVars.put("plane longitude", new String[] {"plane longitude", "Longitude of aircraft, East is positive, West negative", "Radians", "true" } );
		fsxVars.put("plane altitude", new String[] {"plane altitude", "Altitude of aircraft", "Feet", "true" } );
		fsxVars.put("plane pitch degrees", new String[] {"plane pitch degrees", "Pitch angle, although the name mentions degrees the units used are radians", "Radians", "true" } );
		fsxVars.put("plane bank degrees", new String[] {"plane bank degrees", "Bank angle, although the name mentions degrees the units used are radians", "Radians", "true" } );
		fsxVars.put("plane heading degrees true", new String[] {"plane heading degrees true", "Heading relative to true north, although the name mentions degrees the units used are radians", "Radians", "true" } );
		fsxVars.put("plane heading degrees magnetic", new String[] {"plane heading degrees magnetic", "Heading relative to magnetic north, although the name mentions degrees the units used are radians", "Radians", "true" } );
		fsxVars.put("magvar", new String[] {"magvar", "Magnetic variation", "Degrees", "false" } );
		fsxVars.put("ground altitude", new String[] {"ground altitude", "Altitude of surface", "Meters", "false" } );
		fsxVars.put("surface type", new String[] {"surface type", "Type of surface: 0 = Concrete, 1 = Grass, 2 = Water, 3 = Grass_bumpy, 4 = Asphalt, 5 = Short_grass, 6 = Long_grass, 7 = Hard_turf, 8 = Snow, 9 = Ice, 10 = Urban, 11 = Forest, 12 = Dirt, 13 = Coral, 14 = Gravel, 15 = Oil_treated, 16 = Steel_mats, 17 = Bituminus, 18 = Brick, 19 = Macadam, 20 = Planks, 21 = Sand, 22 = Shale, 23 = Tarmac, 24 = Wright_flyer_track", "Enum", "false" } );
		fsxVars.put("sim on ground", new String[] {"sim on ground", "On ground flag", "Bool", "false" } );
		fsxVars.put("incidence alpha", new String[] {"incidence alpha", "Angle of attack", "Radians", "false" } );
		fsxVars.put("incidence beta", new String[] {"incidence beta", "Sideslip angle", "Radians", "false" } );
		fsxVars.put("wing flex pct:index", new String[] {"wing flex pct:index", "The current wing flex. Different values can be set for each wing (for example, during banking). Set an index of 1 for the left wing, and 2 for the right wing.", "Percent over 100", "true" } );
		fsxVars.put("struct latlonalt", new String[] {"struct latlonalt", "Returns the latitude, longitude and altitude of the user aircraft.", "SIMCONNECT_DATA_LATLONALTstructure", "false" } );
		fsxVars.put("struct latlonaltpbh", new String[] {"struct latlonaltpbh", "Returns the pitch, bank and heading of the user aircraft.", "SIMCONNECT_DATA_LATLONALTstructure", "false" } );
		fsxVars.put("struct surface relative velocity", new String[] {"struct surface relative velocity", "The relative surface velocity.", "SIMCONNECT_DATA_XYZ structure, feet per second", "false" } );
		fsxVars.put("struct worldvelocity", new String[] {"struct worldvelocity", "The world velocity.", "SIMCONNECT_DATA_XYZ structure, feet per second", "false" } );
		fsxVars.put("struct world rotation velocity", new String[] {"struct world rotation velocity", "The world rotation velocity.", "SIMCONNECT_DATA_XYZ structure, radians per second", "false" } );
		fsxVars.put("struct body velocity", new String[] {"struct body velocity", "The object body velocity.", "SIMCONNECT_DATA_XYZ structure, feet per second", "false" } );
		fsxVars.put("struct body rotation velocity", new String[] {"struct body rotation velocity", "The body rotation velocity. Individual body rotation values are in the Aircraft Position and Speed section.", "SIMCONNECT_DATA_XYZ structure, radians per second", "false" } );
		fsxVars.put("struct world acceleration", new String[] {"struct world acceleration", "The world acceleration for each axis. Individual world acceleration values are in the Aircraft Position and Speed section.", "SIMCONNECT_DATA_XYZ structure, feet per second squared", "false" } );
		fsxVars.put("struct engine position:index", new String[] {"struct engine position:index", "The engine position relative to the reference datum position for the aircraft.", "SIMCONNECT_DATA_XYZ structure, feet.", "false" } );
		fsxVars.put("struct eyepoint dynamic angle", new String[] {"struct eyepoint dynamic angle", "The angle of the eyepoint view. Zero, zero, zero is straight ahead.", "SIMCONNECT_DATA_XYZ structure, radians", "false" } );
		fsxVars.put("struct eyepoint dynamic offset", new String[] {"struct eyepoint dynamic offset", "A variable offset away from the EYEPOINT POSITION", "SIMCONNECT_DATA_XYZ structure, feet", "false" } );
		fsxVars.put("eyepoint position", new String[] {"eyepoint position", "The eyepoint position relative to the reference datum position for the aircraft.", "SIMCONNECT_DATA_XYZ structure, feet", "false" } );
		// Aircraft Flight Instrumentation Data
		fsxVars.put("airspeed true", new String[] {"airspeed true", "True airspeed", "knots", "true" } );
		fsxVars.put("airspeed indicated", new String[] {"airspeed indicated", "Indicated airspeed", "knots", "true" } );
		fsxVars.put("airspeed true calibrate", new String[] {"airspeed true calibrate", "Angle of True calibration scale on airspeed indicator", "Degrees", "true" } );
		fsxVars.put("airspeed barber pole", new String[] {"airspeed barber pole", "Redline airspeed (dynamic on some aircraft)", "Knots", "false" } );
		fsxVars.put("airspeed mach", new String[] {"airspeed mach", "Current mach", "Mach", "false" } );
		fsxVars.put("vertical speed", new String[] {"vertical speed", "Vertical speed indication", "Feet per second", "true" } );
		fsxVars.put("mach max operate", new String[] {"mach max operate", "Maximum design mach", "Mach", "false" } );
		fsxVars.put("stall warning", new String[] {"stall warning", "Stall warning state", "Bool", "false" } );
		fsxVars.put("overspeed warning", new String[] {"overspeed warning", "Overspeed warning state", "Bool", "false" } );
		fsxVars.put("barber pole mach", new String[] {"barber pole mach", "Mach associated with maximum airspeed", "Mach", "false" } );
		fsxVars.put("indicated altitude", new String[] {"indicated altitude", "Altimeter indication", "Feet", "true" } );
		fsxVars.put("kohlsman setting mb", new String[] {"kohlsman setting mb", "Altimeter setting", "Millibars", "true" } );
		fsxVars.put("kohlsman setting hg", new String[] {"kohlsman setting hg", "Altimeter setting", "inHg", "false" } );
		fsxVars.put("attitude indicator pitch degrees", new String[] {"attitude indicator pitch degrees", "AI pitch indication", "Radians", "false" } );
		fsxVars.put("attitude indicator bank degrees", new String[] {"attitude indicator bank degrees", "AI bank indication", "Radians", "false" } );
		fsxVars.put("attitude bars position", new String[] {"attitude bars position", "AI reference pitch reference bars", "Percent Over 100", "false" } );
		fsxVars.put("attitude cage", new String[] {"attitude cage", "AI caged state", "Bool", "false" } );
		fsxVars.put("wiskey compass indication degrees", new String[] {"wiskey compass indication degrees", "Magnetic compass indication", "Degrees", "true" } );
		fsxVars.put("plane heading degrees gyro", new String[] {"plane heading degrees gyro", "Heading indicator (directional gyro) indication", "Radians", "true" } );
		fsxVars.put("heading indicator", new String[] {"heading indicator", "Heading indicator (directional gyro) indication", "Radians", "false" } );
		fsxVars.put("gyro drift error", new String[] {"gyro drift error", "Angular error of heading indicator", "Radians", "false" } );
		fsxVars.put("delta heading rate", new String[] {"delta heading rate", "Rate of turn of heading indicator", "Radians per second", "true" } );
		fsxVars.put("turn coordinator ball", new String[] {"turn coordinator ball", "Turn coordinator ball position", "Position 128", "false" } );
		fsxVars.put("angle of attack indicator", new String[] {"angle of attack indicator", "AoA indication", "Radians", "false" } );
		fsxVars.put("radio height", new String[] {"radio height", "Radar altitude", "Feet", "false" } );
		fsxVars.put("partial panel adf", new String[] {"partial panel adf", "Gauge fail flag (0 = ok, 1 = fail, 2 = blank)", "Enum", "true" } );
		fsxVars.put("partial panel airspeed", new String[] {"partial panel airspeed", "Gauge fail flag (0 = ok, 1 = fail, 2 = blank)", "Enum", "true" } );
		fsxVars.put("partial panel altimeter", new String[] {"partial panel altimeter", "Gauge fail flag (0 = ok, 1 = fail, 2 = blank)", "Enum", "true" } );
		fsxVars.put("partial panel attitude", new String[] {"partial panel attitude", "Gauge fail flag (0 = ok, 1 = fail, 2 = blank)", "Enum", "true" } );
		fsxVars.put("partial panel comm", new String[] {"partial panel comm", "Gauge fail flag (0 = ok, 1 = fail, 2 = blank)", "Enum", "true" } );
		fsxVars.put("partial panel compass", new String[] {"partial panel compass", "Gauge fail flag (0 = ok, 1 = fail, 2 = blank)", "Enum", "true" } );
		fsxVars.put("partial panel electrical", new String[] {"partial panel electrical", "Gauge fail flag (0 = ok, 1 = fail, 2 = blank)", "Enum", "true" } );
		fsxVars.put("partial panel avionics", new String[] {"partial panel avionics", "Gauge fail flag (0 = ok, 1 = fail, 2 = blank)", "Enum", "false" } );
		fsxVars.put("partial panel engine", new String[] {"partial panel engine", "Gauge fail flag (0 = ok, 1 = fail, 2 = blank)", "Enum", "true" } );
		fsxVars.put("partial panel fuel indicator", new String[] {"partial panel fuel indicator", "Gauge fail flag (0 = ok, 1 = fail, 2 = blank)", "Enum", "false" } );
		fsxVars.put("partial panel heading", new String[] {"partial panel heading", "Gauge fail flag (0 = ok, 1 = fail, 2 = blank)", "Enum", "true" } );
		fsxVars.put("partial panel vertical velocity", new String[] {"partial panel vertical velocity", "Gauge fail flag (0 = ok, 1 = fail, 2 = blank)", "Enum", "true" } );
		fsxVars.put("partial panel transponder", new String[] {"partial panel transponder", "Gauge fail flag (0 = ok, 1 = fail, 2 = blank)", "Enum", "true" } );
		fsxVars.put("partial panel nav", new String[] {"partial panel nav", "Gauge fail flag (0 = ok, 1 = fail, 2 = blank)", "Enum", "true" } );
		fsxVars.put("partial panel pitot", new String[] {"partial panel pitot", "Gauge fail flag (0 = ok, 1 = fail, 2 = blank)", "Enum", "true" } );
		fsxVars.put("partial panel turn coordinator", new String[] {"partial panel turn coordinator", "Gauge fail flag (0 = ok, 1 = fail, 2 = blank)", "Enum", "false" } );
		fsxVars.put("partial panel vacuum", new String[] {"partial panel vacuum", "Gauge fail flag (0 = ok, 1 = fail, 2 = blank)", "Enum", "true" } );
		fsxVars.put("max g force", new String[] {"max g force", "Maximum G force attained", "Gforce", "false" } );
		fsxVars.put("min g force", new String[] {"min g force", "Minimum G force attained", "Gforce", "false" } );
		fsxVars.put("suction pressure", new String[] {"suction pressure", "Vacuum system suction pressure", "inHg", "true" } );
		// Aircraft Avionics Data
		fsxVars.put("avionics master switch", new String[] {"avionics master switch", "Avionics switch state", "Bool", "false" } );
		fsxVars.put("nav sound:index", new String[] {"nav sound:index", "Nav audio flag. Index of 1 or 2.", "Bool", "false" } );
		fsxVars.put("dme sound", new String[] {"dme sound", "DME audio flag", "Bool", "false" } );
		fsxVars.put("adf sound:index", new String[] {"adf sound:index", "ADF audio flag. Index of 0 or 1.", "Bool", "false" } );
		fsxVars.put("marker sound", new String[] {"marker sound", "Marker audio flag", "Bool", "false" } );
		fsxVars.put("com transmit:index", new String[] {"com transmit:index", "Audio panel com transmit state. Index of 1 or 2.", "Bool", "false" } );
		fsxVars.put("com recieve all", new String[] {"com recieve all", "Flag if all Coms receiving", "Bool", "false" } );
		fsxVars.put("com active frequency:index", new String[] {"com active frequency:index", "Com frequency. Index is 1 or 2.", "Frequency BCD16", "false" } );
		fsxVars.put("com standby frequency:index", new String[] {"com standby frequency:index", "Com standby frequency. Index is 1 or 2.", "Frequency BCD16", "false" } );
		fsxVars.put("com status:index", new String[] {"com status:index", "Radio status flag : -1 =Invalid, 0 = OK, 1 = Does not exist, 2 = No electricity, 3 = Failed", "Enum", "false" } );
		fsxVars.put("nav available:index", new String[] {"nav available:index", "Flag if Nav equipped on aircraft", "Bool", "false" } );
		fsxVars.put("nav active frequency:index", new String[] {"nav active frequency:index", "Nav active frequency. Index is 1 or 2.", "MHz", "false" } );
		fsxVars.put("nav standby frequency:index", new String[] {"nav standby frequency:index", "Nav standby frequency. Index is 1 or 2.", "MHz", "false" } );
		fsxVars.put("nav signal:index", new String[] {"nav signal:index", "Nav signal strength", "Number", "false" } );
		fsxVars.put("nav has nav:index", new String[] {"nav has nav:index", "Flag if Nav has signal", "Bool", "false" } );
		fsxVars.put("nav has localizer:index", new String[] {"nav has localizer:index", "Flag if tuned station is a localizer", "Bool", "false" } );
		fsxVars.put("nav has dme:index", new String[] {"nav has dme:index", "Flag if tuned station has a DME", "Bool", "false" } );
		fsxVars.put("nav has glide slope:index", new String[] {"nav has glide slope:index", "Flag if tuned station has a glideslope", "Bool", "false" } );
		fsxVars.put("nav back course flags:index", new String[] {"nav back course flags:index", "Returns the following bit flags: BIT0: 1=back course available, BIT1: 1=localizer tuned in, BIT2: 1=on course, BIT7: 1=station active", "Flags", "false" } );
		fsxVars.put("nav magvar:index", new String[] {"nav magvar:index", "Magnetic variation of tuned nav station", "Degrees", "false" } );
		fsxVars.put("nav radial:index", new String[] {"nav radial:index", "Radial that aircraft is on", "Degrees", "false" } );
		fsxVars.put("nav radial error:index", new String[] {"nav radial error:index", "Difference between current radial and OBS tuned radial", "Degrees", "false" } );
		fsxVars.put("nav localizer:index", new String[] {"nav localizer:index", "Localizer course heading", "Degrees", "false" } );
		fsxVars.put("nav glide slope error:index", new String[] {"nav glide slope error:index", "Difference between current position and glideslope angle. Note that this provides 32 bit floating point precision, rather than the 8 bit integer precision of NAV GSI.", "Degrees", "false" } );
		fsxVars.put("nav cdi:index", new String[] {"nav cdi:index", "CDI needle deflection (+/- 127)", "Number", "false" } );
		fsxVars.put("nav gsi:index", new String[] {"nav gsi:index", "Glideslope needle deflection (+/- 119). Note that this provides only 8 bit precision, whereas NAV GLIDE SLOPE ERROR provides 32 bit floating point precision.", "Number", "false" } );
		fsxVars.put("nav tofrom:index", new String[] {"nav tofrom:index", "Nav TO/FROM flag: 0 = Off, 1 = TO, 2 = FROM", "Enum", "false" } );
		fsxVars.put("nav gs flag:index", new String[] {"nav gs flag:index", "Glideslope flag", "Bool", "false" } );
		fsxVars.put("nav obs:index", new String[] {"nav obs:index", "OBS setting. Index of 1 or 2.", "Degrees", "false" } );
		fsxVars.put("nav dme:index", new String[] {"nav dme:index", "DME distance", "Nautical miles", "false" } );
		fsxVars.put("nav dmespeed:index", new String[] {"nav dmespeed:index", "DME speed", "Knots", "false" } );
		fsxVars.put("adf active frequency:index", new String[] {"adf active frequency:index", "ADF frequency. Index of 1 or 2.", "Frequency ADF BCD32", "false" } );
		fsxVars.put("adf standby frequency:index", new String[] {"adf standby frequency:index", "ADF standby frequency", "Hz", "false" } );
		fsxVars.put("adf radial:index", new String[] {"adf radial:index", "Current direction from NDB station", "Degrees", "false" } );
		fsxVars.put("adf signal:index", new String[] {"adf signal:index", "Signal strength", "Number", "false" } );
		fsxVars.put("transponder code:index", new String[] {"transponder code:index", "4-digit code", "BCO16", "false" } );
		fsxVars.put("marker beacon state", new String[] {"marker beacon state", "Marker beacon state: 0 = None, 1 = Outer, 2 = Middle, 3 = Inner", "Enum", "true" } );
		fsxVars.put("inner marker", new String[] {"inner marker", "Inner marker state", "Bool", "true" } );
		fsxVars.put("middle marker", new String[] {"middle marker", "Middle marker state", "Bool", "true" } );
		fsxVars.put("outer marker", new String[] {"outer marker", "Outer marker state", "Bool", "true" } );
		fsxVars.put("nav raw glide slope:index", new String[] {"nav raw glide slope:index", "Glide slope angle", "Degrees", "false" } );
		fsxVars.put("adf card:index", new String[] {"adf card:index", "ADF compass rose setting", "Degrees", "false" } );
		fsxVars.put("hsi cdi needle", new String[] {"hsi cdi needle", "Needle deflection (+/- 127)", "Number", "false" } );
		fsxVars.put("hsi gsi needle", new String[] {"hsi gsi needle", "Needle deflection (+/- 119)", "Number", "false" } );
		fsxVars.put("hsi cdi needle valid", new String[] {"hsi cdi needle valid", "Signal valid", "Bool", "false" } );
		fsxVars.put("hsi gsi needle valid", new String[] {"hsi gsi needle valid", "Signal valid", "Bool", "false" } );
		fsxVars.put("hsi tf flags", new String[] {"hsi tf flags", "Nav TO/FROM flag: 0 = Off, 1 = TO, 2 = FROM", "Enum", "false" } );
		fsxVars.put("hsi bearing valid", new String[] {"hsi bearing valid", "This will return true if the HSI BEARING variable contains valid data.", "Bool", "false" } );
		fsxVars.put("hsi bearing", new String[] {"hsi bearing", "If the GPS DRIVES NAV1 variable is true and the HSI BEARING VALID variable is true, this variable contains the HSI needle bearing. If the GPS DRIVES NAV1 variable is false and the HSI BEARING VALID variable is true, this variable contains the ADF1 frequency.", "Degrees", "false" } );
		fsxVars.put("hsi has localizer", new String[] {"hsi has localizer", "Station is a localizer", "Bool", "false" } );
		fsxVars.put("hsi speed", new String[] {"hsi speed", "DME/GPS speed", "Knots", "false" } );
		fsxVars.put("hsi distance", new String[] {"hsi distance", "DME/GPS distance", "Nautical miles", "false" } );
		fsxVars.put("gps position lat", new String[] {"gps position lat", "Current GPS latitude", "Degrees", "false" } );
		fsxVars.put("gps position lon", new String[] {"gps position lon", "Current GPS longitude", "Degrees", "false" } );
		fsxVars.put("gps position alt", new String[] {"gps position alt", "Current GPS altitude", "Meters", "false" } );
		fsxVars.put("gps magvar", new String[] {"gps magvar", "Current GPS magnetic variation", "Radians", "false" } );
		fsxVars.put("gps is active flight plan", new String[] {"gps is active flight plan", "Flight plan mode active", "Bool", "false" } );
		fsxVars.put("gps is active way point", new String[] {"gps is active way point", "Waypoint mode active", "Bool", "false" } );
		fsxVars.put("gps is arrived", new String[] {"gps is arrived", "Is flight plan destination reached", "Bool", "false" } );
		fsxVars.put("gps is directto flightplan", new String[] {"gps is directto flightplan", "Is Direct To Waypoint mode active", "Bool", "false" } );
		fsxVars.put("gps ground speed", new String[] {"gps ground speed", "Current ground speed", "Meters per second", "false" } );
		fsxVars.put("gps ground true heading", new String[] {"gps ground true heading", "Current true heading", "Radians", "false" } );
		fsxVars.put("gps ground magnetic track", new String[] {"gps ground magnetic track", "Current magnetic ground track", "Radians", "false" } );
		fsxVars.put("gps ground true track", new String[] {"gps ground true track", "Current true ground track", "Radians", "false" } );
		fsxVars.put("gps wp distance", new String[] {"gps wp distance", "Distance to waypoint", "Meters", "false" } );
		fsxVars.put("gps wp bearing", new String[] {"gps wp bearing", "Magnetic bearing to waypoint", "Radians", "false" } );
		fsxVars.put("gps wp true bearing", new String[] {"gps wp true bearing", "True bearing to waypoint", "Radians", "false" } );
		fsxVars.put("gps wp cross trk", new String[] {"gps wp cross trk", "Cross track distance", "Meters", "false" } );
		fsxVars.put("gps wp desired track", new String[] {"gps wp desired track", "Desired track to waypoint", "Radians", "false" } );
		fsxVars.put("gps wp true req hdg", new String[] {"gps wp true req hdg", "Required true heading to waypoint", "Radians", "false" } );
		fsxVars.put("gps wp vertical speed", new String[] {"gps wp vertical speed", "Vertical speed to waypoint", "Meters per second", "false" } );
		fsxVars.put("gps wp track angle error", new String[] {"gps wp track angle error", "Tracking angle error to waypoint", "Radians", "false" } );
		fsxVars.put("gps ete", new String[] {"gps ete", "Estimated time enroute to destination", "Seconds", "false" } );
		fsxVars.put("gps eta", new String[] {"gps eta", "Estimated time of arrival at destination", "Seconds", "false" } );
		fsxVars.put("gps wp next lat", new String[] {"gps wp next lat", "Latitude of next waypoint", "Degrees", "false" } );
		fsxVars.put("gps wp next lon", new String[] {"gps wp next lon", "Longitude of next waypoint", "Degrees", "false" } );
		fsxVars.put("gps wp next alt", new String[] {"gps wp next alt", "Altitude of next waypoint", "Meters", "false" } );
		fsxVars.put("gps wp prev valid", new String[] {"gps wp prev valid", "Is previous waypoint valid (i.e. current waypoint is not the first waypoint)", "Bool", "false" } );
		fsxVars.put("gps wp prev lat", new String[] {"gps wp prev lat", "Latitude of previous waypoint", "Degrees", "false" } );
		fsxVars.put("gps wp prev lon", new String[] {"gps wp prev lon", "Longitude of previous waypoint", "Degrees", "false" } );
		fsxVars.put("gps wp prev alt", new String[] {"gps wp prev alt", "Altitude of previous waypoint", "Meters", "false" } );
		fsxVars.put("gps wp ete", new String[] {"gps wp ete", "Estimated time enroute to waypoint", "Seconds", "false" } );
		fsxVars.put("gps wp eta", new String[] {"gps wp eta", "Estimated time of arrival at waypoint", "Seconds", "false" } );
		fsxVars.put("gps course to steer", new String[] {"gps course to steer", "Suggested heading to steer (for autopilot)", "Radians", "false" } );
		fsxVars.put("gps flight plan wp index", new String[] {"gps flight plan wp index", "Index of waypoint", "Number", "false" } );
		fsxVars.put("gps flight plan wp count", new String[] {"gps flight plan wp count", "Number of waypoints", "Number", "false" } );
		fsxVars.put("gps is active wp locked", new String[] {"gps is active wp locked", "Is switching to next waypoint locked", "Bool", "false" } );
		fsxVars.put("gps is approach loaded", new String[] {"gps is approach loaded", "Is approach loaded", "Bool", "false" } );
		fsxVars.put("gps is approach active", new String[] {"gps is approach active", "Is approach mode active", "Bool", "false" } );
		fsxVars.put("gps approach mode", new String[] {"gps approach mode", "Sub mode within approach mode : 0 = None, 1 = Transition, 2 = Final, 3 = Missed,", "Enum", "false" } );
		fsxVars.put("gps approach wp type", new String[] {"gps approach wp type", "Waypoint type within approach mode : 0 = None, 1 = Fix, 2 = Procedure turn left, 3 = Procedure turn right, 4 = Dme arc left, 5 = Dme arc right, 6 = Holding left, 7 = Holding right, 8 = Distance, 9 = Altitude, 10 = Manual sequence, 11 = Vector to final", "Enum", "false" } );
		fsxVars.put("gps approach is wp runway", new String[] {"gps approach is wp runway", "Waypoint is the runway", "Bool", "false" } );
		fsxVars.put("gps approach segment type", new String[] {"gps approach segment type", "Segment type within approach : 0 = Line, 1 = Arc clockwise, 2 = Arc counter-clockwise", "Enum", "false" } );
		fsxVars.put("gps approach approach index", new String[] {"gps approach approach index", "Index of approach for given airport", "Number", "false" } );
		fsxVars.put("gps approach approach type", new String[] {"gps approach approach type", "Approach type : 0 = None, 1 = GPS, 2 = VOR, 3 = NDB, 4 = ILS, 5 = Localizer, 6 = SDF, 7 = LDA, 8 = VOR/DME, 9 = NDB/DME, 10 = RNAV, 11 = Backcourse", "Enum", "false" } );
		fsxVars.put("gps approach transition index", new String[] {"gps approach transition index", "Index of approach transition", "Number", "false" } );
		fsxVars.put("gps approach is final", new String[] {"gps approach is final", "Is approach transition final approach segment", "Bool", "false" } );
		fsxVars.put("gps approach is missed", new String[] {"gps approach is missed", "Is approach segment missed approach segment", "Bool", "false" } );
		fsxVars.put("gps approach timezone deviation", new String[] {"gps approach timezone deviation", "Deviation of local time from GMT", "Seconds", "false" } );
		fsxVars.put("gps approach wp index", new String[] {"gps approach wp index", "Index of current waypoint", "Number", "false" } );
		fsxVars.put("gps approach wp count", new String[] {"gps approach wp count", "Number of waypoints", "Number", "false" } );
		fsxVars.put("gps drives nav1", new String[] {"gps drives nav1", "GPS is driving Nav 1 indicator", "Bool", "false" } );
		fsxVars.put("com receive all", new String[] {"com receive all", "Toggles all COM radios to receive on", "Bool", "false" } );
		fsxVars.put("com available", new String[] {"com available", "True if either COM1 or COM2 is available", "Bool", "false" } );
		fsxVars.put("com test:index", new String[] {"com test:index", "Enter an index of 1 or 2. True if the COM system is working.", "Bool", "false" } );
		fsxVars.put("transponder available", new String[] {"transponder available", "True if a transponder is available", "Bool", "false" } );
		fsxVars.put("adf available", new String[] {"adf available", "True if ADF is available", "Bool", "false" } );
		fsxVars.put("adf frequency:index", new String[] {"adf frequency:index", "Legacy, use ADF ACTIVE FREQUENCY", "Frequency BCD16", "false" } );
		fsxVars.put("adf ext frequency:index", new String[] {"adf ext frequency:index", "Legacy, use ADF ACTIVE FREQUENCY", "Frequency BCD16", "false" } );
		fsxVars.put("adf ident", new String[] {"adf ident", "ICAO code", "", "false" } );
		fsxVars.put("adf name", new String[] {"adf name", "Descriptive name", "String", "false" } );
		fsxVars.put("nav ident:index", new String[] {"nav ident:index", "ICAO code", "", "false" } );
		fsxVars.put("nav name:index", new String[] {"nav name:index", "Descriptive name", "", "false" } );
		fsxVars.put("nav codes:index", new String[] {"nav codes:index", "Returns bit flags with the following meaning: bit7: 0= vor  1= localizer, bit6: 1= glideslope available, , bit5: 1= no localizer backcourse, bit4: 1= dme transmitter at glide slope transmitter, bit3: 1= no nav signal available, bit2: 1= voice available, bit1: 1 = tacan available, bit0: 1= dme available", "Flags", "false" } );
		fsxVars.put("nav glide slope", new String[] {"nav glide slope", "The glide slope gradient.", "Number", "false" } );
		fsxVars.put("nav relative bearing to station:index", new String[] {"nav relative bearing to station:index", "Relative bearing to station", "Degrees", "false" } );
		fsxVars.put("selected dme", new String[] {"selected dme", "Selected DME", "Number", "false" } );
		fsxVars.put("gps wp next id", new String[] {"gps wp next id", "ID of next GPS waypoint", "", "false" } );
		fsxVars.put("gps wp prev id", new String[] {"gps wp prev id", "ID of previous GPS waypoint", "String", "false" } );
		fsxVars.put("gps target distance", new String[] {"gps target distance", "Distance to target", "Meters", "false" } );
		fsxVars.put("gps target altitude", new String[] {"gps target altitude", "Altitude of GPS target", "Meters", "false" } );
		fsxVars.put("adf latlonalt:index", new String[] {"adf latlonalt:index", "Returns the latitude, longitude and altitude of the station the radio equipment is currently tuned to, or zeros if the radio is not tuned to any ADF station. Index of 1 or 2 for ADF 1 and ADF 2.", "SIMCONNECT_DATA_LATLONALTstructure", "false" } );
		fsxVars.put("nav vor latlonalt:index", new String[] {"nav vor latlonalt:index", "Returns the VOR station latitude, longitude and altitude.", "SIMCONNECT_DATA_LATLONALTstructure", "false" } );
		fsxVars.put("nav gs latlonalt:index", new String[] {"nav gs latlonalt:index", "Returns the glide slope.", "SIMCONNECT_DATA_LATLONALTstructure", "false" } );
		fsxVars.put("nav dme latlonalt:index", new String[] {"nav dme latlonalt:index", "Returns the DME station.", "SIMCONNECT_DATA_LATLONALTstructure", "false" } );
		fsxVars.put("inner marker latlonalt", new String[] {"inner marker latlonalt", "Returns the latitude, longitude and altitude of the inner marker of an approach to a runway, if the aircraft is within the required proximity, otherwise it will return zeros.", "SIMCONNECT_DATA_LATLONALTstructure", "false" } );
		fsxVars.put("middle marker latlonalt", new String[] {"middle marker latlonalt", "Returns the latitude, longitude and altitude of the middle marker.", "SIMCONNECT_DATA_LATLONALTstructure", "false" } );
		fsxVars.put("outer marker latlonalt", new String[] {"outer marker latlonalt", "Returns the latitude, longitude and altitude of the outer marker.", "SIMCONNECT_DATA_LATLONALTstructure", "false" } );
		// Aircraft Controls Data
		fsxVars.put("yoke y position", new String[] {"yoke y position", "Percent control deflection fore/aft (for animation)", "Position", "true" } ); //  (-16K to 0) -16K = Yoke fully pushed in
		fsxVars.put("yoke x position", new String[] {"yoke x position", "Percent control deflection left/right (for animation)", "Position", "true" } ); // (-16K to 0) -16K = Yoke fully pushed in
		fsxVars.put("rudder pedal position", new String[] {"rudder pedal position", "Percent rudder pedal deflection (for animation)", "Position", "true" } ); // (-16K to 0) -16K = left pedal pushed full in
		fsxVars.put("rudder position", new String[] {"rudder position", "Percent rudder input deflection", "Position", "true" } ); // (-16K to 0) -16K = full left
		fsxVars.put("elevator position", new String[] {"elevator position", "Percent elevator input deflection", "Position", "true" } ); //  (-16K to 0) -16K = full down
		fsxVars.put("aileron position", new String[] {"aileron position", "Percent aileron input left/right", "Position", "true" } ); //  (-16K to 0) -16K = full left
		fsxVars.put("elevator trim position", new String[] {"elevator trim position", "Elevator trim deflection", "Radians", "true" } );
		fsxVars.put("elevator trim indicator", new String[] {"elevator trim indicator", "Percent elevator trim (for indication)", "Position", "false" } ); //  (-16K to 0) -16K = full down
		fsxVars.put("elevator trim pct", new String[] {"elevator trim pct", "Percent elevator trim", "Percent Over 100", "false" } );
		fsxVars.put("brake left position", new String[] {"brake left position", "Percent left brake", "Position", "true" } ); //  (0 to 32K) 0 = off, 32K full
		fsxVars.put("brake right position", new String[] {"brake right position", "Percent right brake", "Position", "true" } ); //  (0 to 32K) 0 = off, 32K full
		fsxVars.put("brake indicator", new String[] {"brake indicator", "Brake on indication", "Position", "false" } ); //  (0 to 16K) 0 = off, 16K full
		fsxVars.put("brake parking position", new String[] {"brake parking position", "Parking brake on", "Position", "true" } ); //  (0 to 32K) 0 = off, 32K full
		fsxVars.put("brake parking indicator", new String[] {"brake parking indicator", "Parking brake indicator", "Bool", "false" } );
		fsxVars.put("spoilers armed", new String[] {"spoilers armed", "Auto-spoilers armed", "Bool", "false" } );
		fsxVars.put("spoilers handle position", new String[] {"spoilers handle position", "Spoiler handle position", "Percent Over 100 or Position (16K = down, 0 = up)", "true" } );
		fsxVars.put("spoilers left position", new String[] {"spoilers left position", "Percent left spoiler deflected", "Percent Over 100 or Position (0 = retracted, 16K fully extended)", "false" } );
		fsxVars.put("spoilers right position", new String[] {"spoilers right position", "Percent right spoiler deflected", "Percent Over 100 or Position (0 = retracted, 16K fully extended)", "false" } );
		fsxVars.put("flaps handle percent", new String[] {"flaps handle percent", "Percent flap handle extended", "Percent Over 100", "false" } );
		fsxVars.put("flaps handle index", new String[] {"flaps handle index", "Index of current flap position", "Number", "true" } );
		fsxVars.put("flaps num handle positions", new String[] {"flaps num handle positions", "Number of flap positions", "Number", "false" } );
		fsxVars.put("trailing edge flaps left percent", new String[] {"trailing edge flaps left percent", "Percent left trailing edge flap extended", "Percent Over 100", "true" } );
		fsxVars.put("trailing edge flaps right percent", new String[] {"trailing edge flaps right percent", "Percent right trailing edge flap extended", "Percent Over 100", "true" } );
		fsxVars.put("trailing edge flaps left angle", new String[] {"trailing edge flaps left angle", "Angle left trailing edge flap extended. Use TRAILING EDGE FLAPS LEFT PERCENT to set a value.", "Radians", "false" } );
		fsxVars.put("trailing edge flaps right angle", new String[] {"trailing edge flaps right angle", "Angle right trailing edge flap extended. Use TRAILING EDGE FLAPS RIGHT PERCENT to set a value.", "Radians", "false" } );
		fsxVars.put("leading edge flaps left percent", new String[] {"leading edge flaps left percent", "Percent left leading edge flap extended", "Percent Over 100", "true" } );
		fsxVars.put("leading edge flaps right percent", new String[] {"leading edge flaps right percent", "Percent right leading edge flap extended", "Percent Over 100", "true" } );
		fsxVars.put("leading edge flaps left angle", new String[] {"leading edge flaps left angle", "Angle left leading edge flap extended. Use LEADING EDGE FLAPS LEFT PERCENT to set a value.", "Radians", "false" } );
		fsxVars.put("leading edge flaps right angle", new String[] {"leading edge flaps right angle", "Angle right leading edge flap extended. Use LEADING EDGE FLAPS RIGHT PERCENT to set a value.", "Radians", "false" } );
		fsxVars.put("aileron left deflection", new String[] {"aileron left deflection", "Angle deflection", "Radians", "false" } );
		fsxVars.put("aileron left deflection pct", new String[] {"aileron left deflection pct", "Percent deflection", "Percent Over 100", "false" } );
		fsxVars.put("aileron right deflection", new String[] {"aileron right deflection", "Angle deflection", "Radians", "false" } );
		fsxVars.put("aileron right deflection pct", new String[] {"aileron right deflection pct", "Percent deflection", "Percent Over 100", "false" } );
		fsxVars.put("aileron average deflection", new String[] {"aileron average deflection", "Angle deflection", "Radians", "false" } );
		fsxVars.put("aileron trim", new String[] {"aileron trim", "Angle deflection", "Radians", "false" } );
		fsxVars.put("aileron trim pct", new String[] {"aileron trim pct", "Percent deflection", "Percent Over 100", "true" } );
		fsxVars.put("rudder deflection", new String[] {"rudder deflection", "Angle deflection", "Radians", "false" } );
		fsxVars.put("rudder deflection pct", new String[] {"rudder deflection pct", "Percent deflection", "Percent Over 100", "false" } );
		fsxVars.put("rudder trim", new String[] {"rudder trim", "Angle deflection", "Radians", "false" } );
		fsxVars.put("rudder trim pct", new String[] {"rudder trim pct", "Percent deflection", "Percent Over 100", "true" } );
		fsxVars.put("flaps available", new String[] {"flaps available", "True if flaps available", "Bool", "false" } );
		fsxVars.put("flap damage by speed", new String[] {"flap damage by speed", "True if flagps are damaged by excessive speed", "Bool", "false" } );
		fsxVars.put("flap speed exceeded", new String[] {"flap speed exceeded", "True if safe speed limit for flaps exceeded", "Bool", "false" } );
		fsxVars.put("elevator deflection", new String[] {"elevator deflection", "Angle deflection", "Radians", "false" } );
		fsxVars.put("elevator deflection pct", new String[] {"elevator deflection pct", "Percent deflection", "Percent Over 100", "false" } );
		fsxVars.put("alternate static source open", new String[] {"alternate static source open", "Alternate static air source", "Bool", "false" } );
		fsxVars.put("aileron trim pct", new String[] {"aileron trim pct", "The trim position of the ailerons. Zero is fully retracted.", "Float. Percent over 100", "true" } );
		fsxVars.put("rudder trim pct", new String[] {"rudder trim pct", "The trim position of the rudder. Zero is no trim.", "Float. Percent over 100", "true" } );
		fsxVars.put("folding wing handle position", new String[] {"folding wing handle position", "True if the folding wing handle is engaged.", "Bool", "false" } );
		fsxVars.put("fuel dump switch", new String[] {"fuel dump switch", "If true the aircraft is dumping fuel at the rate set in the configuration file.", "Bool", "false" } );
		// Aircraft Autopilot Data
		fsxVars.put("autopilot available", new String[] {"autopilot available", "Available flag", "Bool", "false" } );
		fsxVars.put("autopilot master", new String[] {"autopilot master", "On/off flag", "Bool", "false" } );
		fsxVars.put("autopilot nav selected", new String[] {"autopilot nav selected", "Index of Nav radio selected", "Number", "false" } );
		fsxVars.put("autopilot wing leveler", new String[] {"autopilot wing leveler", "Wing leveler active", "Bool", "false" } );
		fsxVars.put("autopilot nav1 lock", new String[] {"autopilot nav1 lock", "Lateral nav mode active", "Bool", "false" } );
		fsxVars.put("autopilot heading lock", new String[] {"autopilot heading lock", "Heading mode active", "Bool", "false" } );
		fsxVars.put("autopilot heading lock dir", new String[] {"autopilot heading lock dir", "Selected heading", "Degrees", "false" } );
		fsxVars.put("autopilot altitude lock", new String[] {"autopilot altitude lock", "Altitude hole active", "Bool", "false" } );
		fsxVars.put("autopilot altitude lock var", new String[] {"autopilot altitude lock var", "Selected altitude", "Feet", "false" } );
		fsxVars.put("autopilot attitude hold", new String[] {"autopilot attitude hold", "Attitude hold active", "Bool", "false" } );
		fsxVars.put("autopilot glideslope hold", new String[] {"autopilot glideslope hold", "GS hold active", "Bool", "false" } );
		fsxVars.put("autopilot pitch hold ref", new String[] {"autopilot pitch hold ref", "Current reference pitch", "Radians", "false" } );
		fsxVars.put("autopilot approach hold", new String[] {"autopilot approach hold", "Approach mode active", "Bool", "false" } );
		fsxVars.put("autopilot backcourse hold", new String[] {"autopilot backcourse hold", "Back course mode active", "Bool", "false" } );
		fsxVars.put("autopilot vertical hold var", new String[] {"autopilot vertical hold var", "Selected vertical speed", "Feet/minute", "false" } );
		fsxVars.put("autopilot pitch hold", new String[] {"autopilot pitch hold", "Set to True if the autopilot pitch hold has is engaged.", "Bool", "false" } );
		fsxVars.put("autopilot flight director active", new String[] {"autopilot flight director active", "Flight director active", "Bool", "false" } );
		fsxVars.put("autopilot flight director pitch", new String[] {"autopilot flight director pitch", "Reference pitch angle", "Radians", "false" } );
		fsxVars.put("autopilot flight director bank", new String[] {"autopilot flight director bank", "Reference bank angle", "Radians", "false" } );
		fsxVars.put("autopilot airspeed hold", new String[] {"autopilot airspeed hold", "Airspeed hold active", "Bool", "false" } );
		fsxVars.put("autopilot airspeed hold var", new String[] {"autopilot airspeed hold var", "Selected airspeed", "Knots", "false" } );
		fsxVars.put("autopilot mach hold", new String[] {"autopilot mach hold", "Mach hold active", "Bool", "false" } );
		fsxVars.put("autopilot mach hold var", new String[] {"autopilot mach hold var", "Selected mach", "Number", "false" } );
		fsxVars.put("autopilot yaw damper", new String[] {"autopilot yaw damper", "Yaw damper active", "Bool", "false" } );
		fsxVars.put("autopilot rpm hold var", new String[] {"autopilot rpm hold var", "Selected rpm", "Number", "false" } );
		fsxVars.put("autopilot throttle arm", new String[] {"autopilot throttle arm", "Autothrottle armed", "Bool", "false" } );
		fsxVars.put("autopilot takeoff power active", new String[] {"autopilot takeoff power active", "Takeoff / Go Around power mode active", "Bool", "false" } );
		fsxVars.put("autothrottle active", new String[] {"autothrottle active", "Auto-throttle active", "Bool", "false" } );
		fsxVars.put("autopilot nav1 lock", new String[] {"autopilot nav1 lock", "True if autopilot nav1 lock applied", "Bool", "false" } );
		fsxVars.put("autopilot vertical hold", new String[] {"autopilot vertical hold", "True if autopilot vertical hold applied", "Bool", "false" } );
		fsxVars.put("autopilot rpm hold", new String[] {"autopilot rpm hold", "True if autopilot rpm hold applied", "Bool", "false" } );
		fsxVars.put("autopilot max bank", new String[] {"autopilot max bank", "True if autopilot max bank applied", "Radians", "false" } );
		fsxVars.put("fly by wire elac switch", new String[] {"fly by wire elac switch", "True if the fly by wire Elevators and Ailerons computer is on.", "Bool", "false" } );
		fsxVars.put("fly by wire fac switch", new String[] {"fly by wire fac switch", "True if the fly by wire Flight Augmentation computer is on.", "Bool", "false" } );
		fsxVars.put("fly by wire sec switch", new String[] {"fly by wire sec switch", "True if the fly by wire Spoilers and Elevators computer is on.", "Bool", "false" } );
		fsxVars.put("fly by wire elac failed", new String[] {"fly by wire elac failed", "True if the Elevators and Ailerons computer has failed.", "Bool", "false" } );
		fsxVars.put("fly by wire fac failed", new String[] {"fly by wire fac failed", "True if the Flight Augmentation computer has failed.", "Bool", "false" } );
		fsxVars.put("fly by wire sec failed", new String[] {"fly by wire sec failed", "True if the Spoilers and Elevators computer has failed.", "Bool", "false" } );
		// Aircraft Landing Gear Data
		fsxVars.put("is gear retractable", new String[] {"is gear retractable", "True if gear can be retracted", "Bool", "false" } );
		fsxVars.put("is gear skis", new String[] {"is gear skis", "True if landing gear is skis", "Bool", "false" } );
		fsxVars.put("is gear floats", new String[] {"is gear floats", "True if landing gear is floats", "Bool", "false" } );
		fsxVars.put("is gear skids", new String[] {"is gear skids", "True if landing gear is skids", "Bool", "false" } );
		fsxVars.put("is gear wheels", new String[] {"is gear wheels", "True if landing gear is wheels", "Bool", "false" } );
		fsxVars.put("gear handle position", new String[] {"gear handle position", "True if gear handle is applied", "Bool", "true" } );
		fsxVars.put("gear hydraulic pressure", new String[] {"gear hydraulic pressure", "Gear hydraulic pressure", "Pound force per square foot (psf)", "false" } );
		fsxVars.put("tailwheel lock on", new String[] {"tailwheel lock on", "True if tailwheel lock applied", "Bool", "false" } );
		fsxVars.put("gear center position", new String[] {"gear center position", "Percent center gear extended", "Percent Over 100", "true" } );
		fsxVars.put("gear left position", new String[] {"gear left position", "Percent left gear extended", "Percent Over 100", "true" } );
		fsxVars.put("gear right position", new String[] {"gear right position", "Percent right gear extended", "Percent Over 100", "true" } );
		fsxVars.put("gear tail position", new String[] {"gear tail position", "Percent tail gear extended", "Percent Over 100", "false" } );
		fsxVars.put("gear aux position", new String[] {"gear aux position", "Percent auxiliary gear extended", "Percent Over 100", "false" } );
		fsxVars.put("gear position:index", new String[] {"gear position:index", "Position of landing gear: 0 = unknown, 1 = up, 2 = down", "Enum", "true" } );
		fsxVars.put("gear animation position:index", new String[] {"gear animation position:index", "Percent gear animation extended", "Number", "false" } );
		fsxVars.put("gear total pct extended", new String[] {"gear total pct extended", "Percent total gear extended", "Percentage", "false" } );
		fsxVars.put("auto brake switch cb", new String[] {"auto brake switch cb", "Auto brake switch position", "Number", "false" } );
		fsxVars.put("water rudder handle position", new String[] {"water rudder handle position", "Position of the water rudder handle (0 handle retracted, 100 rudder handle applied)", "Percent Over 100", "true" } );
		fsxVars.put("water left rudder extended", new String[] {"water left rudder extended", "Percent extended", "Percentage", "false" } );
		fsxVars.put("water right rudder extended", new String[] {"water right rudder extended", "Percent extended", "Percentage", "false" } );
		fsxVars.put("gear center steer angle", new String[] {"gear center steer angle", "Center wheel angle, negative to the left, positive to the right.", "Percent Over 100", "false" } );
		fsxVars.put("gear left steer angle", new String[] {"gear left steer angle", "Left wheel angle, negative to the left, positive to the right.", "Percent Over 100", "false" } );
		fsxVars.put("gear right steer angle", new String[] {"gear right steer angle", "Right wheel angle, negative to the left, positive to the right.", "Percent Over 100", "false" } );
		fsxVars.put("gear aux steer angle", new String[] {"gear aux steer angle", "Aux wheel angle, negative to the left, positive to the right. The aux wheel is the fourth set of gear, sometimes used on helicopters.", "Percent Over 100", "false" } );
		fsxVars.put("gear steer angle:index", new String[] {"gear steer angle:index", "Alternative method of getting the steer angle. Index is 0 = center, 1 = left, 2 = right, 3 = aux", "Percent Over 100", "false" } );
		fsxVars.put("water left rudder steer angle", new String[] {"water left rudder steer angle", "Water left rudder angle, negative to the left, positive to the right.", "Percent Over 100", "false" } );
		fsxVars.put("water right rudder steer angle", new String[] {"water right rudder steer angle", "Water right rudder angle, negative to the left, positive to the right.", "Percent Over 100", "false" } );
		fsxVars.put("gear center steer angle pct", new String[] {"gear center steer angle pct", "Center steer angle as a percentage", "Percent Over 100", "false" } );
		fsxVars.put("gear left steer angle pct", new String[] {"gear left steer angle pct", "Left steer angle as a percentage", "Percent Over 100", "false" } );
		fsxVars.put("gear right steer angle pct", new String[] {"gear right steer angle pct", "Right steer angle as a percentage", "Percent Over 100", "false" } );
		fsxVars.put("gear aux steer angle pct", new String[] {"gear aux steer angle pct", "Aux steer angle as a percentage", "Percent Over 100", "false" } );
		fsxVars.put("gear steer angle pct:index", new String[] {"gear steer angle pct:index", "Alternative method of getting steer angle as a percentage. Index is 0 = center, 1 = left, 2 = right, 3 = aux", "Percent Over 100", "false" } );
		fsxVars.put("water left rudder steer angle pct", new String[] {"water left rudder steer angle pct", "Water left rudder angle as a percentage", "Percent Over 100", "false" } );
		fsxVars.put("water right rudder steer angle pct", new String[] {"water right rudder steer angle pct", "Water right rudder as a percentage", "Percent Over 100", "false" } );
		fsxVars.put("wheel rpm:index", new String[] {"wheel rpm:index", "Wheel rpm. Index is, 0 = center, 1 = left, 2 = right, 3 = aux", "Rpm", "false" } );
		fsxVars.put("center wheel rpm", new String[] {"center wheel rpm", "Center landing gear rpm", "Rpm", "false" } );
		fsxVars.put("left wheel rpm", new String[] {"left wheel rpm", "Left landing gear rpm", "Rpm", "false" } );
		fsxVars.put("right wheel rpm", new String[] {"right wheel rpm", "Right landing gear rpm", "Rpm", "false" } );
		fsxVars.put("aux wheel rpm", new String[] {"aux wheel rpm", "Rpm of fourth set of gear wheels.", "Rpm", "false" } );
		fsxVars.put("wheel rotation angle:index", new String[] {"wheel rotation angle:index", "Wheel rotation angle. Index is 0 = center, 1 = left, 2 = right, 3 = aux", "Radians", "false" } );
		fsxVars.put("center wheel rotation angle", new String[] {"center wheel rotation angle", "Center wheel rotation angle", "Radians", "false" } );
		fsxVars.put("left wheel rotation angle", new String[] {"left wheel rotation angle", "Left wheel rotation angle", "Radians", "false" } );
		fsxVars.put("right wheel rotation angle", new String[] {"right wheel rotation angle", "Right wheel rotation angle", "Radians", "false" } );
		fsxVars.put("aux wheel rotation angle", new String[] {"aux wheel rotation angle", "Aux wheel rotation angle", "Radians", "false" } );
		fsxVars.put("gear emergency handle position", new String[] {"gear emergency handle position", "True if gear emergency handle applied", "Bool", "false" } );
		fsxVars.put("gear warning", new String[] {"gear warning", "One of: 0: unknown, 1: normal, 2: amphib", "Enum", "false" } );
		fsxVars.put("antiskid brakes active", new String[] {"antiskid brakes active", "True if antiskid brakes active", "Bool", "false" } );
		fsxVars.put("retract float switch", new String[] {"retract float switch", "True if retract float switch on", "Bool", "false" } );
		fsxVars.put("retract left float extended", new String[] {"retract left float extended", "If aircraft has retractable floats.", "Percent", "false" } ); //  (0 is fully retracted, 100 is fully extended)
		fsxVars.put("retract right float extended", new String[] {"retract right float extended", "If aircraft has retractable floats.", "Percent", "false" } ); // (0 is fully retracted, 100 is fully extended)
		fsxVars.put("steer input control", new String[] {"steer input control", "Position of steering tiller", "Percent over 100", "false" } );
		fsxVars.put("gear damage by speed", new String[] {"gear damage by speed", "True if gear has been damaged by excessive speed", "Bool", "false" } );
		fsxVars.put("gear speed exceeded", new String[] {"gear speed exceeded", "True if safe speed limit for gear exceeded", "Bool", "false" } );
		fsxVars.put("nosewheel lock on", new String[] {"nosewheel lock on", "True if the nosewheel lock is engaged.", "Bool", "false" } );
		// Aircraft Environment Data
		fsxVars.put("ambient density", new String[] {"ambient density", "Ambient density", "Slugs per cubic feet ", "false" } );
		fsxVars.put("ambient temperature", new String[] {"ambient temperature", "Ambient temperature", "Celsius", "false" } );
		fsxVars.put("ambient pressure", new String[] {"ambient pressure", "Ambient pressure", "inHg", "false" } );
		fsxVars.put("ambient wind velocity", new String[] {"ambient wind velocity", "Wind velocity", "Knots", "false" } );
		fsxVars.put("ambient wind direction", new String[] {"ambient wind direction", "Wind direction", "Degrees", "false" } );
		fsxVars.put("ambient wind x", new String[] {"ambient wind x", "Wind component in East/West direction.", "Meters per second", "false" } );
		fsxVars.put("ambient wind y", new String[] {"ambient wind y", "Wind component in vertical direction.", "Meters per second", "false" } );
		fsxVars.put("ambient wind z", new String[] {"ambient wind z", "Wind component in North/South direction.", "Meters per second", "false" } );
		fsxVars.put("struct ambient wind", new String[] {"struct ambient wind", "X (latitude), Y (vertical) and Z (longitude) components of the wind.", "Feet_per_second", "false" } );
		fsxVars.put("ambient precip state", new String[] {"ambient precip state", "Precip state (bit field) 2 = None 4 = Rain 8 = Snow", "Mask", "false" } );
		fsxVars.put("aircraft wind x", new String[] {"aircraft wind x", "Wind component in aircraft lateral axis", "Knots", "false" } );
		fsxVars.put("aircraft wind y", new String[] {"aircraft wind y", "Wind component in aircraft vertical axis", "Knots", "false" } );
		fsxVars.put("aircraft wind z", new String[] {"aircraft wind z", "Wind component in aircraft longitudinal axis", "Knots", "false" } );
		fsxVars.put("barometer pressure", new String[] {"barometer pressure", "Barometric pressure", "Millibars", "false" } );
		fsxVars.put("sea level pressure", new String[] {"sea level pressure", "Barometric pressure at sea level", "Millibars", "false" } );
		fsxVars.put("total air temperature", new String[] {"total air temperature", "Total air temperature is the air temperature at the front of the aircraft where the ram pressure from the speed of the aircraft is taken into account.", "Celsius", "false" } );
		fsxVars.put("windshield rain effect available", new String[] {"windshield rain effect available", "Is visual effect available on this aircraft", "Bool", "false" } );
		fsxVars.put("ambient in cloud", new String[] {"ambient in cloud", "True if the aircraft is in a cloud.", "Bool", "false" } );
		fsxVars.put("ambient visibility", new String[] {"ambient visibility", "Ambient visibility", "Meters", "false" } );
		fsxVars.put("standard atm temperature", new String[] {"standard atm temperature", "Outside temperature on the standard ATM scale", "Rankine", "false" } );
		// Helicopter Specific Data
		fsxVars.put("rotor brake handle pos", new String[] {"rotor brake handle pos", "Percent actuated", "Percent Over 100", "false" } );
		fsxVars.put("rotor brake active", new String[] {"rotor brake active", "Active", "Bool", "false" } );
		fsxVars.put("rotor clutch switch pos", new String[] {"rotor clutch switch pos", "Switch position", "Bool", "false" } );
		fsxVars.put("rotor clutch active", new String[] {"rotor clutch active", "Active", "Bool", "false" } );
		fsxVars.put("rotor temperature", new String[] {"rotor temperature", "Main rotor transmission temperature", "Rankine", "false" } );
		fsxVars.put("rotor chip detected", new String[] {"rotor chip detected", "Chip detection", "Bool", "false" } );
		fsxVars.put("rotor gov switch pos", new String[] {"rotor gov switch pos", "Switch position", "Bool", "false" } );
		fsxVars.put("rotor gov active", new String[] {"rotor gov active", "Active", "Bool", "false" } );
		fsxVars.put("rotor lateral trim pct", new String[] {"rotor lateral trim pct", "Trim percent", "Percent Over 100", "false" } );
		fsxVars.put("rotor rpm pct", new String[] {"rotor rpm pct", "Percent max rated rpm", "Percent Over 100", "false" } );
		fsxVars.put("eng turbine temperature", new String[] {"eng turbine temperature", "Turbine temperature. Applies only to Bell helicopter.", "Celsius scalar 16K", "false" } ); //  (degrees * 16384)
		fsxVars.put("eng torque percent:index", new String[] {"eng torque percent:index", "Torque. Returns main rotor torque for Bell helicopter, or the indexed rotor torque of other helicopters.", "Percent", "false" } ); // scalar 16K (Ft/lbs * 16384)
		fsxVars.put("eng fuel pressure", new String[] {"eng fuel pressure", "Fuel pressure. Applies only to Bell helicopter.", "PSI scalar 16K (Psi * 16384)", "false" } );
		fsxVars.put("eng electrical load", new String[] {"eng electrical load", "Electrical load. Applies only to Bell helicopter.", "Percent scalar 16K (Max load * 16384)", "false" } );
		fsxVars.put("eng transmission pressure", new String[] {"eng transmission pressure", "Transmission pressure. Applies only to Bell helicopter.", "PSI scalar 16K (Psi * 16384)", "false" } );
		fsxVars.put("eng transmission temperature", new String[] {"eng transmission temperature", "Transmission temperature. Applies only to Bell helicopter.", "Celsius scalar 16K (Degrees * 16384)", "false" } );
		fsxVars.put("eng rotor rpm:index", new String[] {"eng rotor rpm:index", "Rotor rpm. Returns main rotor rpm for Bell helicopter, or the indexed rotor rpm of other helicopters.", "Percent", "false" } ); //  scalar 16K (Max rpm * 16384)
		fsxVars.put("collective position", new String[] {"collective position", "The position of the helicopter's collective. 0 is fully up, 100 fully depressed.", "Percent_over_100", "false" } );
		// Slings and Hoists
		fsxVars.put("num sling cables", new String[] {"num sling cables", "The number of sling cables (not hoists) that are configured for the aircraft. Refer to the document Notes on Aircraft Systems.", "Number", "false" } );
		fsxVars.put("payload station object:index", new String[] {"payload station object:index", "Places the named object at the payload station identified by the index (starting from 1). The string is the Container name (refer to the title property of Simulation Object Configuration Files).", "String256", "false" });
		fsxVars.put("payload station num simobjects:index", new String[] {"payload station num simobjects:index", "The number of objects at the payload station (indexed from 1).", "Number", "false" } );
		fsxVars.put("sling object attached:index", new String[] {"sling object attached:index", "If units are set as boolean, returns True if a sling object is attached. If units are set as a string, returns the container title of the object. There can be multiple sling positions, indexed from 1. The sling positions are set in the Aircraft Configuration File.", "Bool/String", "false" } );
		fsxVars.put("sling cable broken:index", new String[] {"sling cable broken:index", "True if the cable is broken.", "Bool", "false" } );
		fsxVars.put("sling cable extended length:index", new String[] {"sling cable extended length:index", "The length of the cable extending from the aircraft.", "Feet", "true" } );
		fsxVars.put("sling active payload station:index", new String[] {"sling active payload station:index", "The payload station (identified by the parameter) where objects will be placed from the sling (identified by the index).", "Number", "true" } );
		fsxVars.put("sling hoist percent deployed:index", new String[] {"sling hoist percent deployed:index", "The percentage of the full length of the sling cable deployed.", "Percent_over_100", "false" } );
		fsxVars.put("sling hook in pickup mode:index", new String[] {"sling hook in pickup mode:index", "A Boolean for whether or not the hook is in pickup mode, so capable of picking up another object. ", "Bool", "false" } );
		fsxVars.put("is attached to sling", new String[] {"is attached to sling", "Set to true if this object is attached to a sling.", "Bool", "false" } );
		// Aircraft Miscellaneous Systems Data
		fsxVars.put("smoke enable", new String[] {"smoke enable", "Set to True to activate the smoke system, if one is available (for example, on the Extra).", "Bool", "true" } );
		fsxVars.put("smokesystem available", new String[] {"smokesystem available", "Smoke system available", "Bool", "false" } );
		fsxVars.put("pitot heat", new String[] {"pitot heat", "Pitot heat active", "Bool", "false" } );
		fsxVars.put("folding wing left percent", new String[] {"folding wing left percent", "Left folding wing position, 100 is fully folded", "Percent Over 100", "true" } );
		fsxVars.put("folding wing right percent", new String[] {"folding wing right percent", "Right folding wing position, 100 is fully folded", "Percent Over 100", "true" } );
		fsxVars.put("canopy open", new String[] {"canopy open", "Percent primary door/exit open", "Percent Over 100", "true" } );
		fsxVars.put("tailhook position", new String[] {"tailhook position", "Percent tail hook extended", "Percent Over 100", "true" } );
		fsxVars.put("exit open:index", new String[] {"exit open:index", "Percent door/exit open", "Percent Over 100", "true" } );
		fsxVars.put("stall horn available", new String[] {"stall horn available", "True if stall alarm available", "Bool", "false" } );
		fsxVars.put("engine mixure available", new String[] {"engine mixure available", "True if engine mixture is available for prop engines. Obsolete value as mixture is always available. Spelling error in variable name.", "Bool", "false" } );
		fsxVars.put("carb heat available", new String[] {"carb heat available", "True if carb heat available", "Bool", "false" } );
		fsxVars.put("spoiler available", new String[] {"spoiler available", "True if spoiler system available", "Bool", "false" } );
		fsxVars.put("is tail dragger", new String[] {"is tail dragger", "True if the aircraft is a taildragger", "Bool", "false" } );
		fsxVars.put("strobes available", new String[] {"strobes available", "True if strobe lights are available", "Bool", "false" } );
		fsxVars.put("toe brakes available", new String[] {"toe brakes available", "True if toe brakes are available", "Bool", "false" } );
		fsxVars.put("pushback state", new String[] {"pushback state", "Type of pushback : 0 = Straight 1 = Left 2 = Right", "Enum", "true" } );
		fsxVars.put("electrical master battery", new String[] {"electrical master battery", "Battery switch position", "Bool", "true" } );
		fsxVars.put("electrical total load amps", new String[] {"electrical total load amps", "Total load amps", "Amperes", "true" } );
		fsxVars.put("electrical battery load", new String[] {"electrical battery load", "Battery load", "Amperes", "true" } );
		fsxVars.put("electrical battery voltage", new String[] {"electrical battery voltage", "Battery voltage", "Volts", "true" } );
		fsxVars.put("electrical main bus voltage", new String[] {"electrical main bus voltage", "Main bus voltage", "Volts", "true" } );
		fsxVars.put("electrical main bus amps", new String[] {"electrical main bus amps", "Main bus current", "Amperes", "true" } );
		fsxVars.put("electrical avionics bus voltage", new String[] {"electrical avionics bus voltage", "Avionics bus voltage", "Volts", "true" } );
		fsxVars.put("electrical avionics bus amps", new String[] {"electrical avionics bus amps", "Avionics bus current", "Amperes", "true" } );
		fsxVars.put("electrical hot battery bus voltage", new String[] {"electrical hot battery bus voltage", "Voltage available when battery switch is turned off", "Volts", "true" } );
		fsxVars.put("electrical hot battery bus amps", new String[] {"electrical hot battery bus amps", "Current available when battery switch is turned off", "Amperes", "true" } );
		fsxVars.put("electrical battery bus voltage", new String[] {"electrical battery bus voltage", "Battery bus voltage", "Volts", "true" } );
		fsxVars.put("electrical battery bus amps", new String[] {"electrical battery bus amps", "Battery bus current", "Amperes", "true" } );
		fsxVars.put("electrical genalt bus voltage:index", new String[] {"electrical genalt bus voltage:index", "Genalt bus voltage (takes engine index)", "Volts", "true" } );
		fsxVars.put("electrical genalt bus amps:index", new String[] {"electrical genalt bus amps:index", "Genalt bus current (takes engine index)", "Amperes", "true" } );
		fsxVars.put("circuit general panel on", new String[] {"circuit general panel on", "Is electrical power available to this circuit", "Bool", "false" } );
		fsxVars.put("circuit flap motor on", new String[] {"circuit flap motor on", "Is electrical power available to this circuit", "Bool", "false" } );
		fsxVars.put("circuit gear motor on", new String[] {"circuit gear motor on", "Is electrical power available to this circuit", "Bool", "false" } );
		fsxVars.put("circuit autopilot on", new String[] {"circuit autopilot on", "Is electrical power available to this circuit", "Bool", "false" } );
		fsxVars.put("circuit avionics on", new String[] {"circuit avionics on", "Is electrical power available to this circuit", "Bool", "false" } );
		fsxVars.put("circuit pitot heat on", new String[] {"circuit pitot heat on", "Is electrical power available to this circuit", "Bool", "false" } );
		fsxVars.put("circuit prop sync on", new String[] {"circuit prop sync on", "Is electrical power available to this circuit", "Bool", "false" } );
		fsxVars.put("circuit auto feather on", new String[] {"circuit auto feather on", "Is electrical power available to this circuit", "Bool", "false" } );
		fsxVars.put("circuit auto brakes on", new String[] {"circuit auto brakes on", "Is electrical power available to this circuit", "Bool", "false" } );
		fsxVars.put("circuit standy vacuum on", new String[] {"circuit standy vacuum on", "Is electrical power available to this circuit", "Bool", "false" } );
		fsxVars.put("circuit marker beacon on", new String[] {"circuit marker beacon on", "Is electrical power available to this circuit", "Bool", "false" } );
		fsxVars.put("circuit gear warning on", new String[] {"circuit gear warning on", "Is electrical power available to this circuit", "Bool", "false" } );
		fsxVars.put("circuit hydraulic pump on", new String[] {"circuit hydraulic pump on", "Is electrical power available to this circuit", "Bool", "false" } );
		fsxVars.put("hydraulic pressure:index", new String[] {"hydraulic pressure:index", "Hydraulic system pressure. Indexes start at 1.", "Pound force per square foot", "false" } );
		fsxVars.put("hydraulic reservoir percent:index", new String[] {"hydraulic reservoir percent:index", "Hydraulic pressure changes will follow changes to this variable. Indexes start at 1.", "Percent Over 100", "true" } );
		fsxVars.put("hydraulic system integrity", new String[] {"hydraulic system integrity", "Percent system functional", "Percent Over 100", "false" } );
		fsxVars.put("structural deice switch", new String[] {"structural deice switch", "True if the aircraft structure deice switch is on", "Bool", "false" } );
		fsxVars.put("apply heat to systems", new String[] {"apply heat to systems", "Used when too close to a fire.", "Bool", "true" } );
		fsxVars.put("droppable objects type:index", new String[] {"droppable objects type:index", "The type of droppable object at the station number identified by the index.", "String", "true" } );
		fsxVars.put("droppable objects count:index", new String[] {"droppable objects count:index", "The number of droppable objects at the station number identified by the index.", "Number", "false" } );
		// Aircraft Miscellaneous Data
		fsxVars.put("total weight", new String[] {"total weight", "Total weight of the aircraft", "Pounds", "false" } );
		fsxVars.put("max gross weight", new String[] {"max gross weight", "Maximum gross weight of the aircaft", "Pounds", "false" } );
		fsxVars.put("empty weight", new String[] {"empty weight", "Empty weight of the aircraft", "Pounds", "false" } );
		fsxVars.put("is user sim", new String[] {"is user sim", "Is this the user loaded aircraft", "Bool", "false" } );
		fsxVars.put("sim disabled", new String[] {"sim disabled", "Is sim disabled", "Bool", "true" } );
		fsxVars.put("g force", new String[] {"g force", "Current g force", "GForce", "true" } );
		fsxVars.put("atc heavy", new String[] {"atc heavy", "Is this aircraft recognized by ATC as heavy", "Bool", "true" } );
		fsxVars.put("auto coordination", new String[] {"auto coordination", "Is auto-coordination active", "Bool", "true" } );
		fsxVars.put("realism", new String[] {"realism", "General realism percent", "Number", "true" } );
		fsxVars.put("true airspeed selected", new String[] {"true airspeed selected", "True if True Airspeed has been selected", "Bool", "true" } );
		fsxVars.put("design speed vs0", new String[] {"design speed vs0", "Design speed at VS0", "Feet per second", "false" } );
		fsxVars.put("design speed vs1", new String[] {"design speed vs1", "Design speed at VS1", "Feet per second", "false" } );
		fsxVars.put("design speed vc", new String[] {"design speed vc", "Design speed at VC", "Feet per second", "false" } );
		fsxVars.put("min drag velocity", new String[] {"min drag velocity", "Minimum drag velocity", "Feet per second", "false" } );
		fsxVars.put("estimated cruise speed", new String[] {"estimated cruise speed", "Estimated cruise speed", "Feet per second", "false" } );
		fsxVars.put("cg percent", new String[] {"cg percent", "Longitudinal CG position as a percent of reference chord", "Percent over 100", "false" } );
		fsxVars.put("cg percent lateral", new String[] {"cg percent lateral", "Lateral CG position as a percent of reference chord", "Percent over 100", "false" } );
		fsxVars.put("is slew active", new String[] {"is slew active", "True if slew is active", "Bool", "true" } );
		fsxVars.put("is slew allowed", new String[] {"is slew allowed", "True if slew is enabled", "Bool", "true" } );
		fsxVars.put("atc suggested min rwy takeoff", new String[] {"atc suggested min rwy takeoff", "Suggested minimum runway length for takeoff. Used by ATC ", "Feet", "false" } );
		fsxVars.put("atc suggested min rwy landing", new String[] {"atc suggested min rwy landing", "Suggested minimum runway length for landing. Used by ATC ", "Feet", "false" } );
		fsxVars.put("payload station weight:index", new String[] {"payload station weight:index", "Individual payload station weight", "Pounds", "true" } );
		fsxVars.put("payload station count", new String[] {"payload station count", "Number of payload stations", "Number", "false" } );
		fsxVars.put("user input enabled", new String[] {"user input enabled", "Is input allowed from the user", "Bool", "true" } );
		fsxVars.put("typical descent rate", new String[] {"typical descent rate", "Normal descent rate", "Feet per minute", "false" } );
		fsxVars.put("visual model radius", new String[] {"visual model radius", "Model radius", "Meters", "false" } );
		fsxVars.put("category", new String[] {"category", "One of the following: Airplane, Helicopter, Boat, GroundVehicle, ControlTower, SimpleObject, Viewer", "String", "false" } );
		fsxVars.put("sigma sqrt", new String[] {"sigma sqrt", "Sigma sqrt", "Number", "false" } );
		fsxVars.put("dynamic pressure", new String[] {"dynamic pressure", "Dynamic pressure", "Pounds per square foot", "false" } );
		fsxVars.put("total velocity", new String[] {"total velocity", "Velocity regardless of direction. For example, if a helicopter is ascending vertically at 100 fps, getting this variable will return 100.", "Feet per second", "false" } );
		fsxVars.put("airspeed select indicated or true", new String[] {"airspeed select indicated or true", "The airspeed, whether true or indicated airspeed has been selected.", "Knots", "false" } );
		fsxVars.put("variometer rate", new String[] {"variometer rate", "Variometer rate", "Feet per second", "false" } );
		fsxVars.put("variometer switch", new String[] {"variometer switch", "True if the variometer switch is on", "Bool", "false" } );
		fsxVars.put("pressure altitude", new String[] {"pressure altitude", "Altitude reading", "Meters", "false" } );
		fsxVars.put("magnetic compass", new String[] {"magnetic compass", "Compass reading", "Degrees", "false" } );
		fsxVars.put("turn indicator rate", new String[] {"turn indicator rate", "Turn indicator reading", "Radians per second", "false" } );
		fsxVars.put("turn indicator switch", new String[] {"turn indicator switch", "True if turn indicator switch is on", "Bool", "false" } );
		fsxVars.put("yoke y indicator", new String[] {"yoke y indicator", "Yoke position in vertical direction", "Position", "false" } );
		fsxVars.put("yoke x indicator", new String[] {"yoke x indicator", "Yoke position in horizontal direction", "Position", "false" } );
		fsxVars.put("rudder pedal indicator", new String[] {"rudder pedal indicator", "Rudder pedal position", "Position", "false" } );
		fsxVars.put("brake dependent hydraulic pressure", new String[] {"brake dependent hydraulic pressure", "Brake dependent hydraulic pressure reading", "Pounds per square foot", "false" } );
		fsxVars.put("panel anti ice switch", new String[] {"panel anti ice switch", "True if panel anti-ice switch is on", "Bool", "false" } );
		fsxVars.put("wing area", new String[] {"wing area", "Total wing area", "Square feet", "false" } );
		fsxVars.put("wing span", new String[] {"wing span", "Total wing span", "Feet", "false" } );
		fsxVars.put("beta dot", new String[] {"beta dot", "Beta dot", "Radians per second", "false" } );
		fsxVars.put("linear cl alpha", new String[] {"linear cl alpha", "Linear CL alpha", "Per radian", "false" } );
		fsxVars.put("stall alpha", new String[] {"stall alpha", "Stall alpha", "Radians", "false" } );
		fsxVars.put("zero lift alpha", new String[] {"zero lift alpha", "Zero lift alpha", "Radians", "false" } );
		fsxVars.put("cg aft limit", new String[] {"cg aft limit", "Aft limit of CG", "Percent over 100", "false" } );
		fsxVars.put("cg fwd limit", new String[] {"cg fwd limit", "Forward limit of CG", "Percent over 100", "false" } );
		fsxVars.put("cg max mach", new String[] {"cg max mach", "Max mach CG", "Machs", "false" } );
		fsxVars.put("cg min mach", new String[] {"cg min mach", "Min mach CG", "Machs", "false" } );
		fsxVars.put("payload station name", new String[] {"payload station name", "Descriptive name for payload station", "String", "false" } );
		fsxVars.put("elevon deflection", new String[] {"elevon deflection", "Elevon deflection", "Radians", "false" } );
		fsxVars.put("exit type", new String[] {"exit type", "One of: 0: Main, 1: Cargo, 2: Emergency, 3: Unknown", "Enum", "false" } );
		fsxVars.put("exit posx", new String[] {"exit posx", "Position of exit relative to datum reference point", "Feet", "false" } );
		fsxVars.put("exit posy", new String[] {"exit posy", "Position of exit relative to datum reference point", "Feet", "false" } );
		fsxVars.put("exit posz", new String[] {"exit posz", "Position of exit relative to datum reference point", "Feet", "false" } );
		fsxVars.put("decision height", new String[] {"decision height", "Design decision height", "Feet", "false" } );
		fsxVars.put("decision altitude msl", new String[] {"decision altitude msl", "Design decision altitude above mean sea level", "Feet", "false" } );
		fsxVars.put("empty weight pitch moi", new String[] {"empty weight pitch moi", "Empty weight pitch moment of inertia", "Slugs per feet squared", "false" } );
		fsxVars.put("empty weight roll moi", new String[] {"empty weight roll moi", "Empty weight roll moment of inertia", "Slugs per feet squared", "false" } );
		fsxVars.put("empty weight yaw moi", new String[] {"empty weight yaw moi", "Empty weight yaw moment of inertia", "Slugs per feet squared", "false" } );
		fsxVars.put("empty weight cross coupled moi", new String[] {"empty weight cross coupled moi", "Empty weigth cross coupled moment of inertia", "Slugs per feet squared", "false" } );
		fsxVars.put("total weight pitch moi", new String[] {"total weight pitch moi", "Total weight pitch moment of inertia", "Slugs per feet squared", "false" } );
		fsxVars.put("total weight roll moi", new String[] {"total weight roll moi", "Total weight roll moment of inertia", "Slugs per feet squared", "false" } );
		fsxVars.put("total weight yaw moi", new String[] {"total weight yaw moi", "Total weight yaw moment of inertia", "Slugs per feet squared", "false" } );
		fsxVars.put("total weight cross coupled moi", new String[] {"total weight cross coupled moi", "Total weight cross coupled moment of inertia", "Slugs per feet squared", "false" } );
		fsxVars.put("water ballast valve", new String[] {"water ballast valve", "True if water ballast valve is available", "Bool", "false" } );
		fsxVars.put("max rated engine rpm", new String[] {"max rated engine rpm", "Maximum rated rpm", "Rpm", "false" } );
		fsxVars.put("full throttle thrust to weight ratio", new String[] {"full throttle thrust to weight ratio", "Full throttle thrust to weight ratio", "Number", "false" } );
		fsxVars.put("prop auto cruise active", new String[] {"prop auto cruise active", "True if prop auto cruise active", "Bool", "false" } );
		fsxVars.put("prop rotation angle", new String[] {"prop rotation angle", "Prop rotation angle", "Radians", "false" } );
		fsxVars.put("prop beta max", new String[] {"prop beta max", "Prop beta max", "Radians", "false" } );
		fsxVars.put("prop beta min", new String[] {"prop beta min", "Prop beta min", "Radians", "false" } );
		fsxVars.put("prop beta min reverse", new String[] {"prop beta min reverse", "Prop beta min reverse", "Radians", "false" } );
		fsxVars.put("fuel selected transfer mode", new String[] {"fuel selected transfer mode", "One of: -1: off, 0: auto, 1: forward, 2: aft, 3: manual", "Enum", "false" } );
		fsxVars.put("droppable objects ui name", new String[] {"droppable objects ui name", "Descriptive name, used in User Interface dialogs, of a droppable object", "String", "false" } );
		fsxVars.put("manual fuel pump handle", new String[] {"manual fuel pump handle", "Position of manual fuel pump handle. 100 is fully deployed.", "Percent over 100", "false" } );
		fsxVars.put("bleed air source control", new String[] {"bleed air source control", "One of: 0: min, 1: auto, 2: off, 3: apu, 4: engines", "Enum", "false" } );
		fsxVars.put("electrical old charging amps", new String[] {"electrical old charging amps", "Legacy, use ELECTRICAL BATTERY LOAD", "Amps", "false" } );
		fsxVars.put("hydraulic switch", new String[] {"hydraulic switch", "True if hydraulic switch is on", "Bool", "false" } );
		fsxVars.put("concorde visor nose handle", new String[] {"concorde visor nose handle", "One of: 0: visor up, nose down, 1: visor down, nose up, 2: visor down, nose 5 degrees, 3: visor down, nose 12.5 degrees", "Enum", "false" } );
		fsxVars.put("concorde visor position percent", new String[] {"concorde visor position percent", "0 = up, 1.0 = extended/down", "Percent over 100", "false" } );
		fsxVars.put("concorde nose angle", new String[] {"concorde nose angle", "0 = up", "Radians", "false" } );
		fsxVars.put("realism crash with others", new String[] {"realism crash with others", "True indicates crashing with other aircraft is possible.", "Bool", "false" } );
		fsxVars.put("realism crash detection", new String[] {"realism crash detection", "True indicates crash detection is turned on.", "Bool", "false" } );
		fsxVars.put("manual instrument lights", new String[] {"manual instrument lights", "True if instrument lights are set manually", "Bool", "false" } );
		fsxVars.put("pitot ice pct", new String[] {"pitot ice pct", "Amount of pitot ice. 100 is fully iced.", "Percent over 100", "false" } );
		fsxVars.put("semibody loadfactor y", new String[] {"semibody loadfactor y", "Semibody loadfactor x and z are not supported.", "Number", "false" } );
		fsxVars.put("semibody loadfactor ydot", new String[] {"semibody loadfactor ydot", "Semibody loadfactory ydot", "Per second", "false" } );
		fsxVars.put("rad ins switch", new String[] {"rad ins switch", "True if Rad INS switch on", "Bool", "false" } );
		fsxVars.put("simulated radius", new String[] {"simulated radius", "Simulated radius", "Feet", "false" } );
		fsxVars.put("structural ice pct", new String[] {"structural ice pct", "Amount of ice on aircraft structure. 100 is fully iced.", "Percent over 100", "false" } );
		fsxVars.put("artificial ground elevation", new String[] {"artificial ground elevation", "In case scenery is not loaded for AI planes, this variable can be used to set a default surface elevation.", "Feet", "false" } );
		fsxVars.put("surface info valid", new String[] {"surface info valid", "True indicates SURFACE CONDITION is meaningful.", "Bool", "false" } );
		fsxVars.put("surface condition", new String[] {"surface condition", "One of: 0: Normal, 1: Wet, 2: Icy, 3: Snow", "Enum", "false" } );
		fsxVars.put("pushback angle", new String[] {"pushback angle", "Pushback angle (the heading of the tug)", "Radians", "false" } );
		fsxVars.put("pushback contactx", new String[] {"pushback contactx", "The towpoint position, relative to the aircrafts datum reference point.", "Feet", "false" } );
		fsxVars.put("pushback contacty", new String[] {"pushback contacty", "Pushback contact position in vertical direction", "Feet", "false" } );
		fsxVars.put("pushback contactz", new String[] {"pushback contactz", "Pushback contact position in fore/aft direction", "Feet", "false" } );
		fsxVars.put("pushback wait", new String[] {"pushback wait", "True if waiting for pushback.", "Bool", "false" } );
		fsxVars.put("yaw string angle", new String[] {"yaw string angle", "The yaw string angle. Yaw strings are attached to gliders as visible indicators of the yaw angle. An animation of this is not implemented in ESP.", "Radians", "false" } );
		fsxVars.put("yaw string pct extended", new String[] {"yaw string pct extended", "Yaw string angle as a percentage", "Percent over 100", "false" } );
		fsxVars.put("inductor compass percent deviation", new String[] {"inductor compass percent deviation", "Inductor compass deviation reading", "Percent over 100", "false" } );
		fsxVars.put("inductor compass heading ref", new String[] {"inductor compass heading ref", "Inductor compass heading", "Radians", "false" } );
		fsxVars.put("anemometer pct rpm", new String[] {"anemometer pct rpm", "Anemometer rpm as a percentage", "Percent over 100", "false" } );
		fsxVars.put("rotor rotation angle", new String[] {"rotor rotation angle", "Main rotor rotation angle (helicopters only)", "Radians", "false" } );
		fsxVars.put("disk pitch angle", new String[] {"disk pitch angle", "Main rotor pitch angle (helicopters only)", "Radians", "false" } );
		fsxVars.put("disk bank angle", new String[] {"disk bank angle", "Main rotor bank angle (helicopters only)", "Radians", "false" } );
		fsxVars.put("disk pitch pct", new String[] {"disk pitch pct", "Main rotor pitch percent (helicopters only)", "Percent over 100", "false" } );
		fsxVars.put("disk bank pct", new String[] {"disk bank pct", "Main rotor bank percent (helicopters only)", "Percent over 100", "false" } );
		fsxVars.put("disk coning pct", new String[] {"disk coning pct", "Main rotor coning percent (helicopters only)", "Percent over 100", "false" } );
		fsxVars.put("nav vor llaf64", new String[] {"nav vor llaf64", "Nav VOR latitude, longitude, altitude", "LLA structure", "false" } );
		fsxVars.put("nav gs llaf64", new String[] {"nav gs llaf64", "Nav GS latitude, longitude, altitude", "LLA structure", "false" } );
		fsxVars.put("static cg to ground", new String[] {"static cg to ground", "Static CG to ground", "Feet", "false" } );
		fsxVars.put("static pitch", new String[] {"static pitch", "Static pitch", "Radians", "false" } );
		fsxVars.put("crash sequence", new String[] {"crash sequence", "One of: 0: off, 1: complete, 3: reset, 4: pause, 11: start", "Enum", "false" } );
		fsxVars.put("crash flag", new String[] {"crash flag", "One of: 0: None, 2: Mountain, 4: General, 6: Building, 8: Splash, 10: Gear up, 12: Overstress, 14: Building, 16: Aircraft, 18: Fuel Truck", "Enum", "false" } );
		fsxVars.put("tow release handle", new String[] {"tow release handle", "Position of tow release handle. 100 is fully deployed.", "Percent over 100", "false" } );
		fsxVars.put("tow connection", new String[] {"tow connection", "True if a towline is connected to both tow plane and glider.", "Bool", "false" } );
		fsxVars.put("apu pct rpm", new String[] {"apu pct rpm", "Auxiliary power unit rpm, as a percentage", "Percent over 100", "false" } );
		fsxVars.put("apu pct starter", new String[] {"apu pct starter", "Auxiliary power unit starter, as a percentage", "Percent over 100", "false" } );
		fsxVars.put("apu volts", new String[] {"apu volts", "Auxiliary power unit voltage", "Volts", "false" } );
		fsxVars.put("apu generator switch", new String[] {"apu generator switch", "True if APU generator switch on", "Bool", "false" } );
		fsxVars.put("apu generator active", new String[] {"apu generator active", "True if APU generator active", "Bool", "false" } );
		fsxVars.put("apu on fire detected", new String[] {"apu on fire detected", "True if APU on fire", "Bool", "false" } );
		fsxVars.put("pressurization cabin altitude", new String[] {"pressurization cabin altitude", "The current altitude of the cabin pressurization..", "Feet", "false" } );
		fsxVars.put("pressurization cabin altitude goal", new String[] {"pressurization cabin altitude goal", "The set altitude of the cabin pressurization.", "Feet", "false" } );
		fsxVars.put("pressurization cabin altitude rate", new String[] {"pressurization cabin altitude rate", "The rate at which cabin pressurization changes.", "Feet per second", "false" } );
		fsxVars.put("pressurization pressure differential", new String[] {"pressurization pressure differential", "The difference in pressure between the set altitude pressurization and the current pressurization.", "Pounds per square foot", "false" } );
		fsxVars.put("pressurization dump switch", new String[] {"pressurization dump switch", "True if the cabin pressurization dump switch is on.", "Bool", "false" } );
		fsxVars.put("fire bottle switch", new String[] {"fire bottle switch", "True if the fire bottle switch is on.", "Bool", "false" } );
		fsxVars.put("fire bottle discharged", new String[] {"fire bottle discharged", "True if the fire bottle is discharged.", "Bool", "false" } );
		fsxVars.put("cabin no smoking alert switch", new String[] {"cabin no smoking alert switch", "True if the No Smoking switch is on.", "Bool", "true" } );
		fsxVars.put("cabin seatbelts alert switch", new String[] {"cabin seatbelts alert switch", "True if the Seatbelts switch is on.", "Bool", "true" } );
		fsxVars.put("gpws warning", new String[] {"gpws warning", "True if Ground Proximity Warning System installed.", "Bool", "false" } );
		fsxVars.put("gpws system active", new String[] {"gpws system active", "True if the Ground Proximity Warning System is active", "Bool", "true" } );
		fsxVars.put("is latitude longitude freeze on", new String[] {"is latitude longitude freeze on", "True if the lat/lon of the aircraft (either user or AI controlled) is frozen. If this variable returns true, it means that the latitude and longitude of the aircraft are not being controlled by ESP, so enabling, for example, a SimConnect client to control the position of the aircraft. This can also apply to altitude and attitude. Also refer to the range of KEY_FREEZE..... Event IDs.", "Bool", "false" } );
		fsxVars.put("is altitude freeze on", new String[] {"is altitude freeze on", "True if the altitude of the aircraft is frozen.", "Bool", "false" } );
		fsxVars.put("is attitude freeze on", new String[] {"is attitude freeze on", "True if the attitude (pitch, bank and heading) of the aircraft is frozen.", "Bool", "false" } );
		// Aircraft String Data
		fsxVars.put("atc type", new String[] {"atc type", "Type used by ATC", "", "false" } );
		fsxVars.put("atc model", new String[] {"atc model", "Model used by ATC", "", "false" } );
		fsxVars.put("atc id", new String[] {"atc id", "ID used by ATC", "", "true" } );
		fsxVars.put("atc airline", new String[] {"atc airline", "Airline used by ATC", "", "true" } );
		fsxVars.put("atc flight number", new String[] {"atc flight number", "Flight Number used by ATC", "", "true" } );
		fsxVars.put("title", new String[] {"title", "Title from aircraft.cfg", "", "false" } );
		fsxVars.put("hsi station ident", new String[] {"hsi station ident", "Tuned station identifier", "", "false" } );
		fsxVars.put("gps wp_prev id", new String[] {"gps wp_prev id", "ID of previous GPS waypoint", "", "false" } );
		fsxVars.put("gps wp_next id", new String[] {"gps wp_next id", "ID of next GPS waypoint", "", "false" } );
		fsxVars.put("gps approach airport id", new String[] {"gps approach airport id", "ID of airport", "", "false" } );
		fsxVars.put("gps approach approach id", new String[] {"gps approach approach id", "ID of approach", "", "false" } );
		fsxVars.put("gps approach transition id", new String[] {"gps approach transition id", "ID of approach transition", "String", "false" } );
		// AI Controlled Aircraft
		fsxVars.put("ai desired speed ", new String[] {"ai desired speed ", "Desired speed of the AI object. ", "Knots", "true" } );
		fsxVars.put("ai waypoint list", new String[] {"ai waypoint list", "List of waypoints that an AI controlled object should follow.", "SIMCONNECT_DATA_WAYPOINT structure list", "true" } );
		fsxVars.put("ai current waypoint", new String[] {"ai current waypoint", "Current waypoint in the list", "Number", "true" } );
		fsxVars.put("ai desired heading", new String[] {"ai desired heading", "Desired heading of the AI object.", "Degrees", "true" } );
		fsxVars.put("ai groundturntime", new String[] {"ai groundturntime", "Time to make a 90 degree turn.", "Seconds", "true" } );
		fsxVars.put("ai groundcruisespeed", new String[] {"ai groundcruisespeed", "Cruising speed.", "Knots", "true" } );
		fsxVars.put("ai groundturnspeed", new String[] {"ai groundturnspeed", "Turning speed.", "Knots", "true" } );
		fsxVars.put("ai traffic isifr", new String[] {"ai traffic isifr", "Request whether this aircraft is IFR or VFR See Note 1.", "Boolean", "false" } );
		fsxVars.put("ai traffic state", new String[] {"ai traffic state", "English string describing an AI object's state.  If the object is an aircraft under ATC control the string will be one of: init, sleep, flt plan, startup, preflight support, clearance, push back 1, push back 2, pre taxi out, taxi out, takeoff 1, takeoff 2, T&G depart, enroute, pattern, landing, rollout, go around, taxi in, shutdown, postflight support; If the AI object is not an aircraft under ATC control, the string is one of: Sleep, Waypoint, Takeoff, Landing, Taxi; This string also appears in the State column of the Traffic Explorer tool dialog. See Note 1.", "String", "false" } );
		fsxVars.put("ai traffic current airport", new String[] {"ai traffic current airport", "ICAO code of current airport. See Note 1.", "String", "false" } );
		fsxVars.put("ai traffic assigned runway", new String[] {"ai traffic assigned runway", "Assigned runway name (for example: 32R). See Note 1.", "String", "false" } );
		fsxVars.put("ai traffic assigned parking", new String[] {"ai traffic assigned parking", "English assigned parking name. The string is the same as the one shown in the Parking column of the Traffic Explorer dialog, and is made up in the form: Name + Number, Type ( radius ), For example: Ramp 1, RAMP sml (10m) Gate G 4, RAMP lrg (18m) Refer also to the Taxiway Parking section of the Compiling BGL document. See Note 1.", "String", "false" } );
		fsxVars.put("ai traffic fromairport", new String[] {"ai traffic fromairport", "ICAO code of the departure airport in the current schedule. See Note 2.", "String", "false" } );
		fsxVars.put("ai traffic toairport", new String[] {"ai traffic toairport", "ICAO code of the destination airport in the current schedule. See Note 2.", "String", "false" } );
		fsxVars.put("ai traffic etd", new String[] {"ai traffic etd", "Estimated time of departure for the current schedule entry, given as the number of seconds difference from the current simulation time. This can be negative if ETD is earlier than the current simulation time. See Note 2.", "Seconds", "false" } );
		fsxVars.put("ai traffic eta", new String[] {"ai traffic eta", "Estimated time of arrival for the current schedule entry, given as the number of seconds difference from the current simulated time. This can be negative if ETA is earlier than the current simulated time. See Note 2.", "Seconds", "false" } );
		// Carrier Operations
		fsxVars.put("launchbar position", new String[] {"launchbar position", "Installed on aircraft before takeoff from a carrier catapult. Note that gear cannot retract with this extended. 100 = fully extended. Refer to the document Notes on Aircraft Systems.", "Percent_over_100", "false" } );
		fsxVars.put("launchbar switch", new String[] {"launchbar switch", "If this is set to True the launch bar switch has been engaged.", "Bool", "false" } );
		fsxVars.put("launchbar held extended", new String[] {"launchbar held extended", "This will be True if the launchbar is fully extended, and can be used, for example, to change the color of an instrument light.", "Bool", "false" } );
		fsxVars.put("number of catapults", new String[] {"number of catapults", "Maximum of 4. A model can contain more than 4 catapults, but only the first four will be read and recognized by the simulation.", "Number", "false" } );
		//fsxVars.put("catapult stroke position:index", new String[] {"catapult stroke position:index", "Catapults are indexed from 1. This value will be 0 before the catapult fires, and then up to 100 as the aircraft is propelled down the catapult. The aircraft may takeoff before the value reaches 100 (depending on the aircraft weight, power applied, and other factors), in which case this value will not be further updated. This value could be used to drive a bogie animation.", "Number", "false" } );
		fsxVars.put("holdback bar installed", new String[] {"holdback bar installed", "Holdback bars allow build up of thrust before takeoff from a catapult, and are installed by the deck crew of an aircraft carrier.", "Bool", "false" } );
		fsxVars.put("blast shield position:index", new String[] {"blast shield position:index", "Indexed from 1, 100 is fully deployed, 0 flat on deck", "Percent_over_100", "false" } );
		fsxVars.put("cable caught by tailhook", new String[] {"cable caught by tailhook", "A number 1 through 4 for the cable number caught by the tailhook. Cable 1 is the one closest to the stern of the carrier. A value of 0 indicates no cable was caught.", "Number", "false" } );
		fsxVars.put("tailhook handle", new String[] {"tailhook handle", "True if the tailhook handle is engaged.", "Bool", "false" } );
		fsxVars.put("surface relative ground speed", new String[] {"surface relative ground speed", "The speed of the aircraft relative to the speed of the first surface directly underneath it. Use this to retrieve, for example, an aircraft's taxiing speed while it is moving on a moving carrier. It also applies to airborne aircraft, for example when a helicopter is successfully hovering above a moving ship, this value should be zero. The returned value will be the same as GROUND VELOCITY if the first surface beneath it is not moving.", "Feet_per_second", "false" } );
		// Racing
		fsxVars.put("recip eng detonating:index", new String[] {"recip eng detonating:index", "Indexed from 1. Set to True if the engine is detonating. ", "Bool", "false" } );
		fsxVars.put("recip eng cylinder health:index", new String[] {"recip eng cylinder health:index", "Index high 16 bits is engine number, low 16 cylinder number, both indexed from 1.", "Percent_over_100", "false" } );
		fsxVars.put("recip eng num cylinders", new String[] {"recip eng num cylinders", "Indexed from 1. The number of engine cylinders.", "Number", "false" } );
		fsxVars.put("recip eng num cylinders failed", new String[] {"recip eng num cylinders failed", "Indexed from 1. The number of cylinders that have failed.", "Number", "false" } );
		fsxVars.put("recip eng antidetonation tank valve:index", new String[] {"recip eng antidetonation tank valve:index", "Indexed from 1, each engine can have one antidetonation tank. Installed on racing aircraft. Refer to the document Notes on Aircraft Systems.", "Bool", "true" } );
		fsxVars.put("recip eng antidetonation tank quantity:index", new String[] {"recip eng antidetonation tank quantity:index", "Indexed from 1. Refer to the Mission Creation documentation for the procedure for refilling tanks.", "Gallons", "true" } );
		fsxVars.put("recip eng antidetonation tank max quantity:index", new String[] {"recip eng antidetonation tank max quantity:index", "Indexed from 1. This value set in the Aircraft Configuration File.", "Gallons", "false" } );
		fsxVars.put("recip eng nitrous tank valve:index", new String[] {"recip eng nitrous tank valve:index", "Indexed from 1. Each engine can have one Nitrous fuel tank installed.", "Bool", "true" } );
		fsxVars.put("recip eng nitrous tank quantity:index", new String[] {"recip eng nitrous tank quantity:index", "Indexed from 1. Refer to the Mission Creation documentation for the procedure for refilling tanks.", "Gallons", "true" } );
		fsxVars.put("recip eng nitrous tank max quantity:index", new String[] {"recip eng nitrous tank max quantity:index", "Indexed from 1. This value set in the Aircraft Configuration File.", "Gallons", "false" } );
		// Environment data
		fsxVars.put("absolute time ", new String[] {"absolute time ", "Time, as referenced from 12:00 AM January 1, 0000", "Seconds", "false" } );
		fsxVars.put("zulu time", new String[] {"zulu time", "Greenwich Mean Time (GMT)", "Seconds", "false" } );
		fsxVars.put("zulu day of week", new String[] {"zulu day of week", "GMT day of week", "Number", "false" } );
		fsxVars.put("zulu day of month", new String[] {"zulu day of month", "GMT day of month", "Number", "false" } );
		fsxVars.put("zulu month of year", new String[] {"zulu month of year", "GMT month of year", "Number", "false" } );
		fsxVars.put("zulu day of year", new String[] {"zulu day of year", "GMT day of year", "Number", "false" } );
		fsxVars.put("zulu year", new String[] {"zulu year", "GMT year", "Number", "false" } );
		fsxVars.put("local time", new String[] {"local time", "Local time", "Seconds", "false" } );
		fsxVars.put("local day of week", new String[] {"local day of week", "Local day of week", "Number", "false" } );
		fsxVars.put("local day of month", new String[] {"local day of month", "Local day of month", "Number", "false" } );
		fsxVars.put("local month of year", new String[] {"local month of year", "Local month of year", "Number", "false" } );
		fsxVars.put("local day of year", new String[] {"local day of year", "Local day of year", "Number", "false" } );
		fsxVars.put("local year", new String[] {"local year", "Local year", "Number", "false" } );
		fsxVars.put("time zone offset", new String[] {"time zone offset", "Local time difference from GMT", "Seconds", "false" } );
		fsxVars.put("time of day", new String[] {"time of day", "General time of day: 1 = Day 2 = Dusk/Dawn 3 = Night", "Enum", "false" } );
		// program data
		fsxVars.put("simulation rate", new String[] {"simulation rate", "Time acceleration factor", "Number", "false" } );
		fsxVars.put("units of measure", new String[] {"units of measure", "Units of measure: 0 = English, 1 = Metric (with altitude in feet), 2 = Metric (with altitude in meters)", "Enum", "false" } );		
	}
}
