package org.gaugebook;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.geom.Arc2D;
import java.awt.geom.Area;
import java.awt.geom.Point2D;

import org.gaugebook.math.Angle;


public class ScaleArc 
{
	Scale owner;
	float arcS; // arc start
	float arcE; // arc extend
	Color color;
	float startR;
	float endR;
	
	public ScaleArc( Scale owner, float arcS, float arcE, Color color, float startR, float endR ) {
		this.owner = owner;
		this.arcS = arcS;
		this.arcE = arcE;
		this.color = color;
		this.startR = startR;
		this.endR = endR;
	}
	
	public void draw( Graphics2D g2 ) {

		Angle angleS = new Angle( owner.angleStart + owner.angleExtend * (1.0 - (arcS - owner.minValue)/(owner.maxValue - owner.minValue)));
        float angleE = -1 * ( owner.angleExtend * (arcE - arcS) / (owner.maxValue - owner.minValue));
        
        float r0 = owner.scaleR * startR;
        float r1 = owner.scaleR * endR;

        // inner Arc
        Arc2D arc0 = new Arc2D.Float(Arc2D.PIE); 
        arc0.setFrameFromCenter( owner.cp, new Point2D.Float((float)owner.cp.getX() - r0, (float)owner.cp.getY() - r0) );
        arc0.setAngleStart( angleS.getDegrees() );
        arc0.setAngleExtent( angleE );

        // outer Arc
        Arc2D arc1 = new Arc2D.Double(Arc2D.PIE); 
        arc1.setFrameFromCenter( owner.cp, new Point2D.Float((float)owner.cp.getX() - r1, (float)owner.cp.getY() - r1) );
        arc1.setAngleStart( angleS.getDegrees() );
        arc1.setAngleExtent( angleE );

        Area area = new Area(arc1);
        area.subtract( new Area(arc0) );
        
		g2.setColor( color );
        g2.fill( area );		
	}
}

