package org.gaugebook;

import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.geom.Point2D;

public class ScaleMarker {
	Scale owner;
	float angle;
	Color color;
	int strength;
	float startR;
	float endR;
	
	public ScaleMarker( Scale owner, float angle, Color color, int strength, float startR, float endR ) {
		this.owner = owner;
		this.angle = angle;
		this.color = color;
		this.strength = strength;
		this.startR = startR;
		this.endR = endR;
	}
	
	public void draw( Graphics2D g2 ) {

        float angleCurrent = owner.angleStart + owner.angleExtend * (1.0f - (angle - owner.minValue) / (owner.maxValue - owner.minValue));
        Point2D p1 = AbstractGauge.getPoint( owner.cp, startR * owner.scaleR, angleCurrent );
        Point2D p2 = AbstractGauge.getPoint( owner.cp, endR * owner.scaleR, angleCurrent );

        g2.setStroke( new BasicStroke(strength));

        g2.setColor( color );
        g2.drawLine((int)p1.getX(),(int)p1.getY(),(int)p2.getX(),(int)Math.round(p2.getY()));		
	}
}
