package org.gaugebook.gauges.aviation.simple;

import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.geom.Point2D;

import org.gaugebook.AbstractClockGauge;
import org.gaugebook.FSXVariable;
import org.gaugebook.GaugeBook;


public class Variometer extends AbstractClockGauge {

	private FSXVariable verticalSpeed;
	
	private double vs = 0;
	
	public void init( GaugeBook owner, String title ) {
		super.init( owner, title );
		this.setMinValue( -20 );
        this.setMaxValue( 20 );
        this.setText("VERTICAL SPEED");
        this.setDecPlaceCount(0);
        this.setMajorTickStep(5);
        this.setMinorTickStep(1);
        this.setAngleExtend(270);
        this.setAngleStart(45);
        this.setValue(0);
        
        super.setTextPosition(0, -0.22);
        
	    verticalSpeed = owner.registerFSXVariable("VERTICAL SPEED");
	    setProperty("unitTextCenter", "100 ft per min");
    }
	
	public void update() {
		vs = verticalSpeed.getDoubleValue() * 60 / 100;
		setValue(vs);
		repaint();
	}
    
    protected void drawValue( final double r, final double needleR, final Point2D cp, Graphics2D g2 ) {
    }

	protected void drawText( final double r, final Point2D cp, Graphics2D g2 ) {
    	super.drawText( r, cp, g2 );
    	super.drawText(r, cp, g2, new Point2D.Double(0, .4), 1, (String)getProperty("unitTextCenter"));

	}
}
