package org.gaugebook.math;

public class Angle {

	private double degrees;
	
	public Angle( double degrees ) {
		this.degrees = degrees;
		normalize();
	}

	public double plus( double degrees ) {
		Angle tmp = new Angle( this.degrees + degrees );
		tmp.normalize();
		return tmp.getDegrees();
	}

	public Angle add( int degrees ) {
		this.degrees += degrees;
		normalize();
		return this;
	}

	public Angle sub( int degrees ) {
		this.degrees -= degrees;
		normalize();
		return this;
	}

	public Angle add( double degrees ) {
		this.degrees += degrees;
		normalize();
		return this;
	}

	public Angle sub( double degrees ) {
		this.degrees -= this.degrees;
		normalize();
		return this;
	}

	public Angle add( Angle angle ) {
		this.degrees += angle.getDegrees();
		normalize();
		return this;
	}

	public Angle sub( Angle angle ) {
		this.degrees -= angle.getDegrees();
		normalize();
		return this;
	}

	public Angle invert() {
		this.degrees = 360 - this.degrees;
		return this;
	}
	
	public double getDegrees() {
		return degrees;
	}

	public double getDegreesPlus( double deg ) {
		Angle result = new Angle( degrees + deg );
		return result.getDegrees();
	}

	public double getDegreesMinus( double deg ) {
		Angle result = new Angle( degrees - deg );
		return result.getDegrees();
	}

	public double getRadians() {
		return Math.PI * degrees / 180;
	}

	public void setDegrees( double deg ) {
		this.degrees = deg;
		normalize();
	}
	
	public void normalize() {
		while( degrees < 0 )
			degrees += 360;
		while( degrees >= 360 ) 
			degrees -= 360;
	}
	
	public String toString() {
		return ""+this.getDegrees();
	}
}
